!******************************************************************************!
!                                                                              !
!    ctparameter173.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter173.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-13 23:10             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter173
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter173()
  if (da_QED2_scheme .eq. 0) then
    da_QED2 = ca*ee**2d0*sa*(Ten107/cw**2d0 + 2d0*Ten108 - Ten13/cw**2d0 - 2d0*&
              Ten14)/(128d0*pi**2d0*sw**2d0) + dZHhHl_QED2/4d0 - dZHlHh_QED2/  &
              4d0
    da_QED2 = cone*real(da_QED2,kind=dp)
  end if 
end subroutine set_ctparameter173
end module ctparameter173
