!******************************************************************************!
!                                                                              !
!    ctparameter31.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter31.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-13 23:10             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter31
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter31()
  dZtL_QED2 = (2d0*Ten396*coupl(nGC_2)**2d0 + Ten397*(coupl(nGC_111)*coupl(    &
              nGC_112) + 2d0*coupl(nGC_54)**2d0) + Ten398*(2d0*coupl(nGC_33)** &
              2d0 + coupl(nGC_80)**2d0) - Ten399*coupl(nGC_114)**2d0 - Ten400* &
              coupl(nGC_113)**2d0 + 2d0*Ten401*coupl(nGC_2)**2d0 + Ten402*(    &
              coupl(nGC_111)*coupl(nGC_112) + 2d0*coupl(nGC_54)**2d0) + Ten403 &
              *(2d0*coupl(nGC_33)**2d0 + coupl(nGC_80)**2d0) + 2d0*Ten406*cMT* &
              coupl(nGC_114)**2d0*rMT + 2d0*Ten407*cMT*coupl(nGC_113)**2d0*rMT &
               + 4d0*Ten408*coupl(nGC_2)**2d0*rMT*(-2d0*cMT + rMT) + Ten409*rMT&
              *(cMT*coupl(nGC_111)**2d0 + cMT*coupl(nGC_112)**2d0 - 8d0*cMT*   &
              coupl(nGC_51)*coupl(nGC_54) + 2d0*coupl(nGC_111)*coupl(nGC_112)* &
              rMT + 2d0*coupl(nGC_51)**2d0*rMT + 2d0*coupl(nGC_54)**2d0*rMT) + &
              Ten410*rMT*(2d0*cMB*coupl(nGC_110)*coupl(nGC_80) + coupl(nGC_110 &
              )**2d0*rMT + 2d0*coupl(nGC_33)**2d0*rMT + coupl(nGC_80)**2d0*rMT &
              ) - 2d0*Ten411*coupl(nGC_114)**2d0*rMT**2d0 - 2d0*Ten412*coupl(  &
              nGC_113)**2d0*rMT**2d0 + 4d0*Ten413*coupl(nGC_2)**2d0*rMT**2d0 + &
              2d0*Ten414*rMT**2d0*(coupl(nGC_111)*coupl(nGC_112) + coupl(nGC_51&
              )**2d0 + coupl(nGC_54)**2d0) + Ten415*rMT**2d0*(coupl(nGC_110)** &
              2d0 + 2d0*coupl(nGC_33)**2d0 + coupl(nGC_80)**2d0) - coupl(nGC_2 &
              )**2d0 - coupl(nGC_33)**2d0 - coupl(nGC_54)**2d0)/(16d0*pi**2d0)
end subroutine set_ctparameter31
end module ctparameter31
