!******************************************************************************!
!                                                                              !
!    vertices_info6.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info6.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-13 23:10             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info6
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl6()
      allocate(vertices(1501)%branchR2(0:0))
      call avR2(1501, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1168/))

      allocate(vertices(1235)%branchR2(0:0))
      call avR2(1235, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1174/))

      allocate(vertices(991)%branchR2(0:0))
      call avR2(991, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1178/))

      allocate(vertices(1297)%branchR2(0:1))
      call avR2(1297, 0, 27, 1, 0, FSFa0, (/0, 3/), (/nGC_1087, nGC_1085/))

      call avR2(1297, 1, 27, 1, 0, FSFa0, (/2, 1/), (/nGC_1088, nGC_1086/))

      allocate(vertices(1177)%branchR2(0:0))
      call avR2(1177, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1150/))

      allocate(vertices(972)%branchR2(0:1))
      call avR2(972, 0, 29, 1, 0, SFFa0, (/0, 3/), (/nGC_1076, nGC_1074/))

      call avR2(972, 1, 29, 1, 0, SFFa0, (/2, 1/), (/nGC_1077, nGC_1075/))

      allocate(vertices(1224)%branchR2(0:0))
      call avR2(1224, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_932/))

      allocate(vertices(664)%branchR2(0:0))
      call avR2(664, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1186/))

      allocate(vertices(1482)%branchR2(0:1))
      call avR2(1482, 0, 13, 1, 0, FFa0, (/0, 2/), (/nGC_878, nGC_909, nGC_909 &
      , nGC_877/))

      call avR2(1482, 1, 13, 1, 0, FFa0, (/2, 0/), (/nGC_876, nGC_910, nGC_910 &
      , nGC_876/))

      allocate(vertices(565)%branchR2(0:1))
      call avR2(565, 0, 28, 1, 0, SFaF0, (/0, 3/), (/nGC_1062, nGC_1060/))

      call avR2(565, 1, 28, 1, 0, SFaF0, (/2, 1/), (/nGC_1063, nGC_1061/))

      allocate(vertices(47)%branchR2(0:0))
      call avR2(47, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1796/))

      allocate(vertices(917)%branchR2(0:0))
      call avR2(917, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1157/))

      allocate(vertices(176)%branchR2(0:0))
      call avR2(176, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1022/))

      allocate(vertices(583)%branchR2(0:0))
      call avR2(583, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1183/))

      allocate(vertices(1203)%branchR2(0:1))
      call avR2(1203, 0, 28, 1, 0, SFaF0, (/0, 3/), (/nGC_1076, nGC_1074/))

      call avR2(1203, 1, 28, 1, 0, SFaF0, (/2, 1/), (/nGC_1077, nGC_1075/))

      allocate(vertices(16)%branchR2(0:0))
      call avR2(16, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1174/))

      allocate(vertices(521)%branchR2(0:0))
      call avR2(521, 0, 8, 1, 0, FVFa1, (/0, 3/), (/nGC_1027/))

      allocate(vertices(770)%branchR2(0:1))
      call avR2(770, 0, 31, 1, 0, FaSF0, (/0, 3/), (/nGC_1123, nGC_1121/))

      call avR2(770, 1, 31, 1, 0, FaSF0, (/2, 1/), (/nGC_1124, nGC_1122/))

      allocate(vertices(1261)%branchR2(0:1))
      call avR2(1261, 0, 28, 1, 0, SFaF0, (/0, 3/), (/nGC_1025, nGC_1023/))

      call avR2(1261, 1, 28, 1, 0, SFaF0, (/2, 1/), (/nGC_1026, nGC_1024/))

      allocate(vertices(556)%branchR2(0:1))
      call avR2(556, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1032/))

      call avR2(556, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_973/))

      allocate(vertices(1622)%branchR2(0:0))
      call avR2(1622, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1198, nGC_1198,       &
      nGC_1197/))

      allocate(vertices(697)%branchR2(0:0))
      call avR2(697, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1149/))

      allocate(vertices(1088)%branchR2(0:0))
      call avR2(1088, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_993/))

      allocate(vertices(1527)%branchR2(0:0))
      call avR2(1527, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_1125/))

      allocate(vertices(625)%branchR2(0:0))
      call avR2(625, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_992/))

      allocate(vertices(1466)%branchR2(0:0))
      call avR2(1466, 0, 14, 1, 0, VV0, (/0, 2/), (/nGC_885, nGC_883, nGC_884/))

      allocate(vertices(458)%branchR2(0:0))
      call avR2(458, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_986/))

      allocate(vertices(1074)%branchR2(0:1))
      call avR2(1074, 0, 29, 1, 0, SFFa0, (/0, 3/), (/nGC_965, nGC_967/))

      call avR2(1074, 1, 29, 1, 0, SFFa0, (/2, 1/), (/nGC_966, nGC_968/))

      allocate(vertices(500)%branchR2(0:0))
      call avR2(500, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1166/))

      allocate(vertices(1623)%branchR2(0:5))
      call avR2(1623, 0, 85, 1, 0, VVVV0, (/3, 1/), (/nGC_1206, nGC_1206,      &
      nGC_1206/))

      call avR2(1623, 1, 84, 1, 0, VVVV0, (/3, 1/), (/nGC_1206, nGC_1206,      &
      nGC_1206/))

      call avR2(1623, 2, 87, 1, 0, VVVV0, (/3, 1/), (/nGC_1207, nGC_1207,      &
      nGC_1207/))

      call avR2(1623, 3, 88, 1, 0, VVVV0, (/3, 1/), (/nGC_1205, nGC_1205,      &
      nGC_1205/))

      call avR2(1623, 4, 86, 1, 0, VVVV0, (/3, 1/), (/nGC_1206, nGC_1206,      &
      nGC_1206/))

      call avR2(1623, 5, 83, 1, 0, VVVV0, (/3, 1/), (/nGC_1205, nGC_1205,      &
      nGC_1205/))

      allocate(vertices(670)%branchR2(0:0))
      call avR2(670, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1808/))

      allocate(vertices(405)%branchR2(0:0))
      call avR2(405, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1150/))

      allocate(vertices(1461)%branchR2(0:0))
      call avR2(1461, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1173/))

      allocate(vertices(200)%branchR2(0:0))
      call avR2(200, 0, 8, 1, 0, SFFa2, (/0, 3/), (/nGC_1019/))

      allocate(vertices(1000)%branchR2(0:1))
      call avR2(1000, 0, 28, 1, 0, VFaF1, (/0, 3/), (/nGC_955, nGC_957/))

      call avR2(1000, 1, 28, 1, 0, VFaF1, (/2, 1/), (/nGC_956, nGC_958/))

      allocate(vertices(1215)%branchR2(0:1))
      call avR2(1215, 0, 27, 1, 0, FVFa0, (/0, 3/), (/nGC_955, nGC_957/))

      call avR2(1215, 1, 27, 1, 0, FVFa0, (/2, 1/), (/nGC_956, nGC_958/))

      allocate(vertices(293)%branchR2(0:0))
      call avR2(293, 0, 8, 1, 0, FaSF0, (/0, 3/), (/nGC_1112, nGC_1111/))

      allocate(vertices(704)%branchR2(0:0))
      call avR2(704, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_1047, nGC_1048/))

      allocate(vertices(1441)%branchR2(0:0))
      call avR2(1441, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1168/))

      allocate(vertices(842)%branchR2(0:0))
      call avR2(842, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1153, nGC_1151,        &
      nGC_1152/))

      allocate(vertices(619)%branchR2(0:0))
      call avR2(619, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1156, nGC_1155,        &
      nGC_1154/))

      allocate(vertices(1303)%branchR2(0:1))
      call avR2(1303, 0, 31, 1, 0, FaVF0, (/0, 3/), (/nGC_947, nGC_949/))

      call avR2(1303, 1, 31, 1, 0, FaVF0, (/2, 1/), (/nGC_948, nGC_950/))

      allocate(vertices(95)%branchR2(0:0))
      call avR2(95, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_1795/))

      allocate(vertices(80)%branchR2(0:0))
      call avR2(80, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1178/))

      allocate(vertices(1506)%branchR2(0:0))
      call avR2(1506, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1805/))

      allocate(vertices(638)%branchR2(0:0))
      call avR2(638, 0, 8, 1, 0, VFaF0, (/0, 3/), (/nGC_964/))

      allocate(vertices(528)%branchR2(0:0))
      call avR2(528, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1160/))

      allocate(vertices(98)%branchR2(0:0))
      call avR2(98, 0, 8, 1, 0, VFFa1, (/0, 3/), (/nGC_1002, nGC_1003/))

      allocate(vertices(1490)%branchR2(0:0))
      call avR2(1490, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1168/))

      allocate(vertices(1453)%branchR2(0:1))
      call avR2(1453, 0, 13, 1, 0, FFa0, (/0, 2/), (/nGC_882, nGC_913, nGC_913 &
      , nGC_881/))

      call avR2(1453, 1, 13, 1, 0, FFa0, (/2, 0/), (/nGC_876, nGC_914, nGC_914 &
      , nGC_876/))

      allocate(vertices(157)%branchR2(0:0))
      call avR2(157, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(1066)%branchR2(0:0))
      call avR2(1066, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1171/))

      allocate(vertices(389)%branchR2(0:0))
      call avR2(389, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1167/))

      allocate(vertices(817)%branchR2(0:0))
      call avR2(817, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(844)%branchR2(0:0))
      call avR2(844, 0, 8, 1, 0, FSFa2, (/0, 3/), (/nGC_1093/))

      allocate(vertices(291)%branchR2(0:0))
      call avR2(291, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1157/))

      allocate(vertices(862)%branchR2(0:0))
      call avR2(862, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1176/))

      allocate(vertices(103)%branchR2(0:1))
      call avR2(103, 0, 31, 1, 0, FaVF0, (/0, 3/), (/nGC_1114, nGC_1115/))

      call avR2(103, 1, 31, 1, 0, FaVF0, (/2, 1/), (/nGC_1012, nGC_1012/))

      allocate(vertices(1387)%branchR2(0:0))
      call avR2(1387, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_935/))

      allocate(vertices(1367)%branchR2(0:0))
      call avR2(1367, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1148/))

      allocate(vertices(978)%branchR2(0:0))
      call avR2(978, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1182/))

      allocate(vertices(40)%branchR2(0:0))
      call avR2(40, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1084/))

      allocate(vertices(555)%branchR2(0:0))
      call avR2(555, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1176/))

      allocate(vertices(30)%branchR2(0:3))
      call avR2(30, 0, 11, 1, 0, FFaV0, (/1, 2/), (/nGC_1128, nGC_1129/))

      call avR2(30, 1, 11, 1, 0, FFaV0, (/3, 0/), (/nGC_930, nGC_930/))

      call avR2(30, 2, 12, 1, 0, FFaV0, (/3, 0/), (/nGC_927, nGC_927/))

      call avR2(30, 3, 12, 1, 0, FFaV0, (/1, 2/), (/nGC_1126, nGC_1127/))

      allocate(vertices(1039)%branchR2(0:0))
      call avR2(1039, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1170/))

      allocate(vertices(311)%branchR2(0:1))
      call avR2(311, 0, 31, 1, 0, FaSF0, (/0, 3/), (/nGC_1038, nGC_1036/))

      call avR2(311, 1, 31, 1, 0, FaSF0, (/2, 1/), (/nGC_1039, nGC_1037/))

      allocate(vertices(1007)%branchR2(0:0))
      call avR2(1007, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1178/))

      allocate(vertices(278)%branchR2(0:1))
      call avR2(278, 0, 30, 1, 0, FaFV1, (/0, 3/), (/nGC_1052, nGC_1053/))

      call avR2(278, 1, 30, 1, 0, FaFV1, (/2, 1/), (/nGC_1035, nGC_1035/))

      allocate(vertices(1624)%branchR2(0:1))
      call avR2(1624, 0, 57, 1, 0, VVVV0, (/2, 2/), (/nGC_1199, nGC_1199,      &
      nGC_1199/))

      call avR2(1624, 1, 58, 1, 0, VVVV0, (/2, 2/), (/nGC_1200, nGC_1200,      &
      nGC_1200/))

      allocate(vertices(934)%branchR2(0:0))
      call avR2(934, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1151, nGC_1152,        &
      nGC_1153/))

      allocate(vertices(145)%branchR2(0:0))
      call avR2(145, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1170/))

      allocate(vertices(608)%branchR2(0:0))
      call avR2(608, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1016/))

      allocate(vertices(1100)%branchR2(0:0))
      call avR2(1100, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1808/))

      allocate(vertices(1430)%branchR2(0:0))
      call avR2(1430, 0, 14, 1, 0, VV0, (/0, 2/), (/nGC_903, nGC_901, nGC_902/))

      allocate(vertices(761)%branchR2(0:1))
      call avR2(761, 0, 29, 1, 0, VFFa1, (/0, 3/), (/nGC_1091, nGC_1092/))

      call avR2(761, 1, 29, 1, 0, VFFa1, (/2, 1/), (/nGC_1035, nGC_1035/))

      allocate(vertices(928)%branchR2(0:0))
      call avR2(928, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1183/))

      allocate(vertices(1503)%branchR2(0:0))
      call avR2(1503, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_959/))

      allocate(vertices(446)%branchR2(0:0))
      call avR2(446, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1160/))

      allocate(vertices(120)%branchR2(0:0))
      call avR2(120, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(1008)%branchR2(0:0))
      call avR2(1008, 0, 8, 1, 0, VFFa1, (/0, 3/), (/nGC_998, nGC_999/))

      allocate(vertices(1036)%branchR2(0:1))
      call avR2(1036, 0, 28, 1, 0, SFaF0, (/0, 3/), (/nGC_982, nGC_981/))

      call avR2(1036, 1, 28, 1, 0, SFaF0, (/2, 1/), (/nGC_980, nGC_980/))

      allocate(vertices(1399)%branchR2(0:0))
      call avR2(1399, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1168/))

      allocate(vertices(1013)%branchR2(0:1))
      call avR2(1013, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1087, nGC_1085/))

      call avR2(1013, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1088, nGC_1086/))

      allocate(vertices(1488)%branchR2(0:0))
      call avR2(1488, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1195/))

      allocate(vertices(1439)%branchR2(0:0))
      call avR2(1439, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1187/))

      allocate(vertices(858)%branchR2(0:0))
      call avR2(858, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1120/))

      allocate(vertices(659)%branchR2(0:1))
      call avR2(659, 0, 31, 1, 0, FaVF1, (/0, 3/), (/nGC_1032/))

      call avR2(659, 1, 31, 1, 0, FaVF1, (/2, 1/), (/nGC_973/))

      allocate(vertices(445)%branchR2(0:0))
      call avR2(445, 0, 8, 1, 0, FSFa1, (/0, 3/), (/nGC_1067/))

      allocate(vertices(1529)%branchR2(0:1))
      call avR2(1529, 0, 16, 1, 0, VV0, (/2, 0/), (/nGC_895, nGC_893, nGC_894/))

      call avR2(1529, 1, 15, 1, 0, VV0, (/2, 0/), (/nGC_892, nGC_890, nGC_891/))

      allocate(vertices(961)%branchR2(0:0))
      call avR2(961, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1174/))

      allocate(vertices(744)%branchR2(0:0))
      call avR2(744, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1166/))

      allocate(vertices(1218)%branchR2(0:1))
      call avR2(1218, 0, 29, 1, 0, SFFa0, (/0, 3/), (/nGC_1062, nGC_1060/))

      call avR2(1218, 1, 29, 1, 0, SFFa0, (/2, 1/), (/nGC_1063, nGC_1061/))

      allocate(vertices(629)%branchR2(0:0))
      call avR2(629, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1046/))

      allocate(vertices(1380)%branchR2(0:0))
      call avR2(1380, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1148/))

      allocate(vertices(1139)%branchR2(0:0))
      call avR2(1139, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1170/))

      allocate(vertices(1027)%branchR2(0:0))
      call avR2(1027, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1176/))

      allocate(vertices(688)%branchR2(0:0))
      call avR2(688, 0, 8, 1, 0, FaSF2, (/0, 3/), (/nGC_936/))

      allocate(vertices(838)%branchR2(0:0))
      call avR2(838, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1156, nGC_1155,        &
      nGC_1154/))

      allocate(vertices(700)%branchR2(0:0))
      call avR2(700, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1160/))

      allocate(vertices(1221)%branchR2(0:0))
      call avR2(1221, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1192, nGC_1193,       &
      nGC_1194/))

      allocate(vertices(1091)%branchR2(0:1))
      call avR2(1091, 0, 27, 1, 0, FSFa0, (/0, 3/), (/nGC_1138, nGC_1137/))

      call avR2(1091, 1, 27, 1, 0, FSFa0, (/2, 1/), (/nGC_1136, nGC_1136/))

      allocate(vertices(1037)%branchR2(0:0))
      call avR2(1037, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1150/))

      allocate(vertices(187)%branchR2(0:0))
      call avR2(187, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1171/))

      allocate(vertices(83)%branchR2(0:0))
      call avR2(83, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1031/))

      allocate(vertices(27)%branchR2(0:0))
      call avR2(27, 0, 8, 1, 0, FaFS0, (/0, 3/), (/nGC_1090, nGC_1089/))

      allocate(vertices(267)%branchR2(0:0))
      call avR2(267, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1175/))

      allocate(vertices(766)%branchR2(0:0))
      call avR2(766, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1178/))

      allocate(vertices(481)%branchR2(0:0))
      call avR2(481, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_992/))

      allocate(vertices(1400)%branchR2(0:0))
      call avR2(1400, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1173/))

      allocate(vertices(900)%branchR2(0:1))
      call avR2(900, 0, 29, 1, 0, SFFa0, (/0, 3/), (/nGC_1132, nGC_1131/))

      call avR2(900, 1, 29, 1, 0, SFFa0, (/2, 1/), (/nGC_1130, nGC_1130/))

      allocate(vertices(1401)%branchR2(0:0))
      call avR2(1401, 0, 14, 1, 0, SS0, (/0, 2/), (/nGC_916, nGC_915/))

      allocate(vertices(1625)%branchR2(0:5))
      call avR2(1625, 0, 70, 1, 0, VVVV0, (/3, 1/), (/nGC_1205, nGC_1205,      &
      nGC_1205/))

      call avR2(1625, 1, 67, 1, 0, VVVV0, (/3, 1/), (/nGC_1206, nGC_1206,      &
      nGC_1206/))

      call avR2(1625, 2, 66, 1, 0, VVVV0, (/3, 1/), (/nGC_1206, nGC_1206,      &
      nGC_1206/))

      call avR2(1625, 3, 69, 1, 0, VVVV0, (/3, 1/), (/nGC_1206, nGC_1206,      &
      nGC_1206/))

      call avR2(1625, 4, 68, 1, 0, VVVV0, (/3, 1/), (/nGC_1207, nGC_1207,      &
      nGC_1207/))

      call avR2(1625, 5, 65, 1, 0, VVVV0, (/3, 1/), (/nGC_1205, nGC_1205,      &
      nGC_1205/))

      allocate(vertices(1409)%branchR2(0:0))
      call avR2(1409, 0, 8, 1, 0, VFaF0, (/0, 3/), (/nGC_1125/))

      allocate(vertices(255)%branchR2(0:0))
      call avR2(255, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1160/))

      allocate(vertices(788)%branchR2(0:0))
      call avR2(788, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1174/))

      allocate(vertices(71)%branchR2(0:1))
      call avR2(71, 0, 30, 1, 0, FaFS0, (/0, 3/), (/nGC_924, nGC_923/))

      call avR2(71, 1, 30, 1, 0, FaFS0, (/2, 1/), (/nGC_922, nGC_922/))

      allocate(vertices(330)%branchR2(0:0))
      call avR2(330, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1186/))

      allocate(vertices(191)%branchR2(0:3))
      call avR2(191, 0, 21, 1, 0, FVFa0, (/1, 2/), (/nGC_996, nGC_997/))

      call avR2(191, 1, 21, 1, 0, FVFa0, (/3, 0/), (/nGC_930, nGC_930/))

      call avR2(191, 2, 22, 1, 0, FVFa0, (/3, 0/), (/nGC_927, nGC_927/))

      call avR2(191, 3, 22, 1, 0, FVFa0, (/1, 2/), (/nGC_994, nGC_995/))

      allocate(vertices(881)%branchR2(0:0))
      call avR2(881, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1166/))

      allocate(vertices(198)%branchR2(0:0))
      call avR2(198, 0, 8, 1, 0, FSFa0, (/0, 3/), (/nGC_1006, nGC_1005/))

      allocate(vertices(861)%branchR2(0:1))
      call avR2(861, 0, 27, 1, 0, FVFa0, (/0, 3/), (/nGC_1010, nGC_1011/))

      call avR2(861, 1, 27, 1, 0, FVFa0, (/2, 1/), (/nGC_1012, nGC_1012/))

      allocate(vertices(1451)%branchR2(0:0))
      call avR2(1451, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1168/))

      allocate(vertices(663)%branchR2(0:0))
      call avR2(663, 0, 8, 1, 0, FaFS2, (/0, 3/), (/nGC_1093/))

      allocate(vertices(1175)%branchR2(0:0))
      call avR2(1175, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1175/))

      allocate(vertices(1151)%branchR2(0:0))
      call avR2(1151, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1155, nGC_1154,       &
      nGC_1156/))

      allocate(vertices(1417)%branchR2(0:0))
      call avR2(1417, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1168/))

      allocate(vertices(512)%branchR2(0:0))
      call avR2(512, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1155, nGC_1156,        &
      nGC_1154/))

      allocate(vertices(1130)%branchR2(0:0))
      call avR2(1130, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1148/))

      allocate(vertices(486)%branchR2(0:0))
      call avR2(486, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_975/))

      allocate(vertices(1402)%branchR2(0:0))
      call avR2(1402, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1187/))

      allocate(vertices(944)%branchR2(0:0))
      call avR2(944, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1190/))

      allocate(vertices(1118)%branchR2(0:0))
      call avR2(1118, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1154, nGC_1156,       &
      nGC_1155/))

      allocate(vertices(718)%branchR2(0:0))
      call avR2(718, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(33)%branchR2(0:0))
      call avR2(33, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1167/))

      allocate(vertices(652)%branchR2(0:0))
      call avR2(652, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1160/))

      allocate(vertices(251)%branchR2(0:1))
      call avR2(251, 0, 29, 1, 0, SFFa0, (/0, 3/), (/nGC_1087, nGC_1085/))

      call avR2(251, 1, 29, 1, 0, SFFa0, (/2, 1/), (/nGC_1088, nGC_1086/))

      allocate(vertices(596)%branchR2(0:0))
      call avR2(596, 0, 8, 1, 0, FaFV0, (/0, 3/), (/nGC_1004/))

      allocate(vertices(182)%branchR2(0:0))
      call avR2(182, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1151, nGC_1152,        &
      nGC_1153/))

      allocate(vertices(300)%branchR2(0:0))
      call avR2(300, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1182/))

      allocate(vertices(1382)%branchR2(0:0))
      call avR2(1382, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_931/))

      allocate(vertices(439)%branchR2(0:0))
      call avR2(439, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1165/))

      allocate(vertices(1525)%branchR2(0:0))
      call avR2(1525, 0, 8, 1, 0, FVFa1, (/0, 3/), (/nGC_1066/))

      allocate(vertices(82)%branchR2(0:0))
      call avR2(82, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(616)%branchR2(0:0))
      call avR2(616, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1041, nGC_1040/))

      allocate(vertices(297)%branchR2(0:0))
      call avR2(297, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(870)%branchR2(0:0))
      call avR2(870, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1190/))

      allocate(vertices(204)%branchR2(0:3))
      call avR2(204, 0, 17, 1, 0, VFFa1, (/3, 0/), (/nGC_930, nGC_930/))

      call avR2(204, 1, 17, 1, 0, VFFa1, (/1, 2/), (/nGC_1044, nGC_1045/))

      call avR2(204, 2, 18, 1, 0, VFFa1, (/3, 0/), (/nGC_927, nGC_927/))

      call avR2(204, 3, 18, 1, 0, VFFa1, (/1, 2/), (/nGC_1042, nGC_1043/))

      allocate(vertices(399)%branchR2(0:0))
      call avR2(399, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1182/))

      allocate(vertices(177)%branchR2(0:0))
      call avR2(177, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1803/))

      allocate(vertices(150)%branchR2(0:0))
      call avR2(150, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1155, nGC_1156,        &
      nGC_1154/))

      allocate(vertices(677)%branchR2(0:1))
      call avR2(677, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1116, nGC_1118/))

      call avR2(677, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1117, nGC_1119/))

      allocate(vertices(1328)%branchR2(0:0))
      call avR2(1328, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(903)%branchR2(0:1))
      call avR2(903, 0, 29, 1, 0, VFFa1, (/0, 3/), (/nGC_1010, nGC_1011/))

      call avR2(903, 1, 29, 1, 0, VFFa1, (/2, 1/), (/nGC_1012, nGC_1012/))

      allocate(vertices(342)%branchR2(0:0))
      call avR2(342, 0, 8, 1, 0, FaSF1, (/0, 3/), (/nGC_1070/))

      allocate(vertices(642)%branchR2(0:0))
      call avR2(642, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1166/))

      allocate(vertices(657)%branchR2(0:0))
      call avR2(657, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1079/))

      allocate(vertices(229)%branchR2(0:0))
      call avR2(229, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1193, nGC_1192,        &
      nGC_1194/))

      allocate(vertices(1117)%branchR2(0:1))
      call avR2(1117, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_969, nGC_970/))

      call avR2(1117, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_948, nGC_950/))

      allocate(vertices(839)%branchR2(0:0))
      call avR2(839, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1167/))

      allocate(vertices(1348)%branchR2(0:0))
      call avR2(1348, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1149/))

      allocate(vertices(167)%branchR2(0:0))
      call avR2(167, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(1236)%branchR2(0:0))
      call avR2(1236, 0, 8, 1, 0, FFaV0, (/0, 3/), (/nGC_998, nGC_999/))

      allocate(vertices(149)%branchR2(0:1))
      call avR2(149, 0, 28, 1, 0, SFaF0, (/0, 3/), (/nGC_976, nGC_978/))

      call avR2(149, 1, 28, 1, 0, SFaF0, (/2, 1/), (/nGC_977, nGC_979/))

      allocate(vertices(1160)%branchR2(0:0))
      call avR2(1160, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1799/))

      allocate(vertices(473)%branchR2(0:0))
      call avR2(473, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1149/))

      allocate(vertices(156)%branchR2(0:3))
      call avR2(156, 0, 25, 1, 0, FaFV1, (/1, 2/), (/nGC_940, nGC_941/))

      call avR2(156, 1, 25, 1, 0, FaFV1, (/3, 0/), (/nGC_930, nGC_930/))

      call avR2(156, 2, 26, 1, 0, FaFV1, (/3, 0/), (/nGC_927, nGC_927/))

      call avR2(156, 3, 26, 1, 0, FaFV1, (/1, 2/), (/nGC_938, nGC_939/))

      allocate(vertices(294)%branchR2(0:1))
      call avR2(294, 0, 29, 1, 0, VFFa1, (/0, 3/), (/nGC_947, nGC_949/))

      call avR2(294, 1, 29, 1, 0, VFFa1, (/2, 1/), (/nGC_948, nGC_950/))

      allocate(vertices(185)%branchR2(0:0))
      call avR2(185, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_993/))

      allocate(vertices(409)%branchR2(0:0))
      call avR2(409, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1179/))

      allocate(vertices(1321)%branchR2(0:1))
      call avR2(1321, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1015, nGC_1014/))

      call avR2(1321, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1013, nGC_1013/))

      allocate(vertices(1353)%branchR2(0:1))
      call avR2(1353, 0, 29, 1, 0, SFFa0, (/0, 3/), (/nGC_1025, nGC_1023/))

      call avR2(1353, 1, 29, 1, 0, SFFa0, (/2, 1/), (/nGC_1026, nGC_1024/))

      allocate(vertices(1341)%branchR2(0:1))
      call avR2(1341, 0, 30, 1, 0, FaFS0, (/0, 3/), (/nGC_965, nGC_967/))

      call avR2(1341, 1, 30, 1, 0, FaFS0, (/2, 1/), (/nGC_966, nGC_968/))

      allocate(vertices(543)%branchR2(0:3))
      call avR2(543, 0, 25, 1, 0, FaFV1, (/1, 2/), (/nGC_928, nGC_929/))

      call avR2(543, 1, 25, 1, 0, FaFV1, (/3, 0/), (/nGC_930, nGC_930/))

      call avR2(543, 2, 26, 1, 0, FaFV1, (/3, 0/), (/nGC_927, nGC_927/))

      call avR2(543, 3, 26, 1, 0, FaFV1, (/1, 2/), (/nGC_925, nGC_926/))

      allocate(vertices(128)%branchR2(0:3))
      call avR2(128, 0, 25, 1, 0, FaFV1, (/1, 2/), (/nGC_996, nGC_997/))

      call avR2(128, 1, 25, 1, 0, FaFV1, (/3, 0/), (/nGC_930, nGC_930/))

      call avR2(128, 2, 26, 1, 0, FaFV1, (/3, 0/), (/nGC_927, nGC_927/))

      call avR2(128, 3, 26, 1, 0, FaFV1, (/1, 2/), (/nGC_994, nGC_995/))

      allocate(vertices(315)%branchR2(0:0))
      call avR2(315, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1181, nGC_1181,        &
      nGC_1180/))

      allocate(vertices(1449)%branchR2(0:0))
      call avR2(1449, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1195/))

      allocate(vertices(907)%branchR2(0:3))
      call avR2(907, 0, 24, 1, 0, FaVF0, (/3, 0/), (/nGC_927, nGC_927/))

      call avR2(907, 1, 24, 1, 0, FaVF0, (/1, 2/), (/nGC_925, nGC_926/))

      call avR2(907, 2, 23, 1, 0, FaVF0, (/1, 2/), (/nGC_928, nGC_929/))

      call avR2(907, 3, 23, 1, 0, FaVF0, (/3, 0/), (/nGC_930, nGC_930/))

      allocate(vertices(679)%branchR2(0:0))
      call avR2(679, 0, 8, 1, 0, SFaF1, (/0, 3/), (/nGC_1093/))

      allocate(vertices(729)%branchR2(0:0))
      call avR2(729, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1022/))

      allocate(vertices(1256)%branchR2(0:0))
      call avR2(1256, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1190/))

      allocate(vertices(334)%branchR2(0:0))
      call avR2(334, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1174/))

      allocate(vertices(85)%branchR2(0:0))
      call avR2(85, 0, 8, 1, 0, FaFV0, (/0, 3/), (/nGC_1027/))

      allocate(vertices(130)%branchR2(0:1))
      call avR2(130, 0, 28, 1, 0, VFaF1, (/0, 3/), (/nGC_1010, nGC_1011/))

      call avR2(130, 1, 28, 1, 0, VFaF1, (/2, 1/), (/nGC_1012, nGC_1012/))

      allocate(vertices(488)%branchR2(0:0))
      call avR2(488, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_992/))

      allocate(vertices(173)%branchR2(0:0))
      call avR2(173, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1157/))

      allocate(vertices(246)%branchR2(0:1))
      call avR2(246, 0, 30, 1, 0, FaFS0, (/0, 3/), (/nGC_976, nGC_978/))

      call avR2(246, 1, 30, 1, 0, FaFS0, (/2, 1/), (/nGC_977, nGC_979/))

      allocate(vertices(983)%branchR2(0:0))
      call avR2(983, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1178/))

      allocate(vertices(354)%branchR2(0:0))
      call avR2(354, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1794/))

      allocate(vertices(1040)%branchR2(0:1))
      call avR2(1040, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1000, nGC_1001/))

      call avR2(1040, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_956, nGC_958/))

      allocate(vertices(1208)%branchR2(0:0))
      call avR2(1208, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_932/))

      allocate(vertices(346)%branchR2(0:0))
      call avR2(346, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1159/))

      allocate(vertices(643)%branchR2(0:1))
      call avR2(643, 0, 28, 1, 0, SFaF0, (/0, 3/), (/nGC_1138, nGC_1137/))

      call avR2(643, 1, 28, 1, 0, SFaF0, (/2, 1/), (/nGC_1136, nGC_1136/))

      allocate(vertices(431)%branchR2(0:0))
      call avR2(431, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1149/))

      allocate(vertices(73)%branchR2(0:0))
      call avR2(73, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_1806/))

      allocate(vertices(741)%branchR2(0:0))
      call avR2(741, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_931/))

      allocate(vertices(1166)%branchR2(0:3))
      call avR2(1166, 0, 19, 1, 0, VFaF1, (/1, 2/), (/nGC_940, nGC_941/))

      call avR2(1166, 1, 19, 1, 0, VFaF1, (/3, 0/), (/nGC_930, nGC_930/))

      call avR2(1166, 2, 20, 1, 0, VFaF1, (/3, 0/), (/nGC_927, nGC_927/))

      call avR2(1166, 3, 20, 1, 0, VFaF1, (/1, 2/), (/nGC_938, nGC_939/))

      allocate(vertices(1300)%branchR2(0:1))
      call avR2(1300, 0, 30, 1, 0, FaFV1, (/0, 3/), (/nGC_1114, nGC_1115/))

      call avR2(1300, 1, 30, 1, 0, FaFV1, (/2, 1/), (/nGC_1012, nGC_1012/))

      allocate(vertices(929)%branchR2(0:1))
      call avR2(929, 0, 27, 1, 0, FSFa0, (/0, 3/), (/nGC_1096, nGC_1095/))

      call avR2(929, 1, 27, 1, 0, FSFa0, (/2, 1/), (/nGC_1094, nGC_1094/))

      allocate(vertices(205)%branchR2(0:1))
      call avR2(205, 0, 27, 1, 0, FSFa0, (/0, 3/), (/nGC_1062, nGC_1060/))

      call avR2(205, 1, 27, 1, 0, FSFa0, (/2, 1/), (/nGC_1063, nGC_1061/))

      allocate(vertices(124)%branchR2(0:0))
      call avR2(124, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_1090, nGC_1089/))

      allocate(vertices(254)%branchR2(0:0))
      call avR2(254, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_992/))

      allocate(vertices(994)%branchR2(0:1))
      call avR2(994, 0, 27, 1, 0, FVFa1, (/0, 3/), (/nGC_1032/))

      call avR2(994, 1, 27, 1, 0, FVFa1, (/2, 1/), (/nGC_973/))

      allocate(vertices(351)%branchR2(0:0))
      call avR2(351, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1178/))

      allocate(vertices(383)%branchR2(0:0))
      call avR2(383, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1807/))

      allocate(vertices(1172)%branchR2(0:0))
      call avR2(1172, 0, 8, 1, 0, VFFa1, (/0, 3/), (/nGC_1047, nGC_1048/))

      allocate(vertices(530)%branchR2(0:0))
      call avR2(530, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1176/))

      allocate(vertices(296)%branchR2(0:1))
      call avR2(296, 0, 30, 1, 0, FaFV1, (/0, 3/), (/nGC_1020, nGC_1021/))

      call avR2(296, 1, 30, 1, 0, FaFV1, (/2, 1/), (/nGC_1012, nGC_1012/))

      allocate(vertices(949)%branchR2(0:1))
      call avR2(949, 0, 27, 1, 0, FSFa0, (/0, 3/), (/nGC_1030, nGC_1029/))

      call avR2(949, 1, 27, 1, 0, FSFa0, (/2, 1/), (/nGC_1028, nGC_1028/))

      allocate(vertices(630)%branchR2(0:1))
      call avR2(630, 0, 31, 1, 0, FaVF0, (/0, 3/), (/nGC_969, nGC_970/))

      call avR2(630, 1, 31, 1, 0, FaVF0, (/2, 1/), (/nGC_948, nGC_950/))

      allocate(vertices(594)%branchR2(0:0))
      call avR2(594, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1176/))

      allocate(vertices(105)%branchR2(0:0))
      call avR2(105, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(771)%branchR2(0:0))
      call avR2(771, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_933/))

      allocate(vertices(1291)%branchR2(0:0))
      call avR2(1291, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1167/))

      allocate(vertices(179)%branchR2(0:3))
      call avR2(179, 0, 24, 1, 0, FaVF0, (/3, 0/), (/nGC_927, nGC_927/))

      call avR2(179, 1, 24, 1, 0, FaVF0, (/1, 2/), (/nGC_1042, nGC_1043/))

      call avR2(179, 2, 23, 1, 0, FaVF0, (/3, 0/), (/nGC_930, nGC_930/))

      call avR2(179, 3, 23, 1, 0, FaVF0, (/1, 2/), (/nGC_1044, nGC_1045/))

      allocate(vertices(1626)%branchR2(0:1))
      call avR2(1626, 0, 57, 1, 0, VVVV0, (/2, 2/), (/nGC_1203, nGC_1203,      &
      nGC_1203/))

      call avR2(1626, 1, 58, 1, 0, VVVV0, (/2, 2/), (/nGC_1204, nGC_1204,      &
      nGC_1204/))

      allocate(vertices(1627)%branchR2(0:0))
      call avR2(1627, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1185/))

      allocate(vertices(942)%branchR2(0:0))
      call avR2(942, 0, 8, 1, 0, FVFa0, (/0, 3/), (/nGC_1047, nGC_1048/))

      allocate(vertices(1628)%branchR2(0:1))
      call avR2(1628, 0, 59, 1, 0, VVVV0, (/2, 2/), (/nGC_1188, nGC_1188,      &
      nGC_1188/))

      call avR2(1628, 1, 60, 1, 0, VVVV0, (/2, 2/), (/nGC_1189, nGC_1189,      &
      nGC_1189/))

      allocate(vertices(1518)%branchR2(0:0))
      call avR2(1518, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_971/))

      allocate(vertices(307)%branchR2(0:0))
      call avR2(307, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1171/))

      allocate(vertices(891)%branchR2(0:0))
      call avR2(891, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1167/))

      allocate(vertices(6)%branchR2(0:0))
      call avR2(6, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1165/))

      allocate(vertices(1629)%branchR2(0:0))
      call avR2(1629, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1202, nGC_1202,       &
      nGC_1202/))

      allocate(vertices(1065)%branchR2(0:1))
      call avR2(1065, 0, 28, 1, 0, VFaF0, (/0, 3/), (/nGC_972/))

      call avR2(1065, 1, 28, 1, 0, VFaF0, (/2, 1/), (/nGC_973/))

      allocate(vertices(895)%branchR2(0:0))
      call avR2(895, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_1004/))

      allocate(vertices(674)%branchR2(0:0))
      call avR2(674, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1186/))

      allocate(vertices(1280)%branchR2(0:0))
      call avR2(1280, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_1806/))

      allocate(vertices(575)%branchR2(0:1))
      call avR2(575, 0, 30, 1, 0, FaFS0, (/0, 3/), (/nGC_1132, nGC_1131/))

      call avR2(575, 1, 30, 1, 0, FaFS0, (/2, 1/), (/nGC_1130, nGC_1130/))

      allocate(vertices(1142)%branchR2(0:0))
      call avR2(1142, 0, 8, 1, 0, FFaV0, (/0, 3/), (/nGC_1047, nGC_1048/))

      allocate(vertices(1302)%branchR2(0:0))
      call avR2(1302, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1186/))

      allocate(vertices(178)%branchR2(0:0))
      call avR2(178, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_987/))

      allocate(vertices(426)%branchR2(0:0))
      call avR2(426, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1156, nGC_1154,        &
      nGC_1155/))

      allocate(vertices(376)%branchR2(0:0))
      call avR2(376, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1170/))

      allocate(vertices(610)%branchR2(0:1))
      call avR2(610, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_972/))

      call avR2(610, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_973/))

      allocate(vertices(1120)%branchR2(0:0))
      call avR2(1120, 0, 8, 1, 0, FSFa0, (/0, 3/), (/nGC_943, nGC_942/))

      allocate(vertices(1486)%branchR2(0:0))
      call avR2(1486, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_1066/))

      allocate(vertices(1630)%branchR2(0:1))
      call avR2(1630, 0, 61, 1, 0, VVVV0, (/2, 2/), (/nGC_1188, nGC_1188,      &
      nGC_1188/))

      call avR2(1630, 1, 62, 1, 0, VVVV0, (/2, 2/), (/nGC_1189, nGC_1189,      &
      nGC_1189/))

      allocate(vertices(1264)%branchR2(0:0))
      call avR2(1264, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1150/))

      allocate(vertices(414)%branchR2(0:0))
      call avR2(414, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1165/))

      allocate(vertices(24)%branchR2(0:1))
      call avR2(24, 0, 30, 1, 0, FaFV0, (/0, 3/), (/nGC_1032/))

      call avR2(24, 1, 30, 1, 0, FaFV0, (/2, 1/), (/nGC_973/))

      allocate(vertices(1067)%branchR2(0:0))
      call avR2(1067, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_937/))

      allocate(vertices(483)%branchR2(0:0))
      call avR2(483, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1172/))

      allocate(vertices(1075)%branchR2(0:1))
      call avR2(1075, 0, 27, 1, 0, FSFa0, (/0, 3/), (/nGC_982, nGC_981/))

      call avR2(1075, 1, 27, 1, 0, FSFa0, (/2, 1/), (/nGC_980, nGC_980/))

      allocate(vertices(459)%branchR2(0:0))
      call avR2(459, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_1006, nGC_1005/))

      allocate(vertices(309)%branchR2(0:0))
      call avR2(309, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1149/))

      allocate(vertices(765)%branchR2(0:1))
      call avR2(765, 0, 27, 1, 0, FVFa1, (/0, 3/), (/nGC_972/))

      call avR2(765, 1, 27, 1, 0, FVFa1, (/2, 1/), (/nGC_973/))

      allocate(vertices(58)%branchR2(0:1))
      call avR2(58, 0, 30, 1, 0, FaFS0, (/0, 3/), (/nGC_1082, nGC_1080/))

      call avR2(58, 1, 30, 1, 0, FaFS0, (/2, 1/), (/nGC_1083, nGC_1081/))

      allocate(vertices(463)%branchR2(0:1))
      call avR2(463, 0, 31, 1, 0, FaSF0, (/0, 3/), (/nGC_1076, nGC_1074/))

      call avR2(463, 1, 31, 1, 0, FaSF0, (/2, 1/), (/nGC_1077, nGC_1075/))

      allocate(vertices(779)%branchR2(0:0))
      call avR2(779, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1165/))

      allocate(vertices(1631)%branchR2(0:1))
      call avR2(1631, 0, 64, 1, 0, VVVV0, (/2, 2/), (/nGC_1204, nGC_1204,      &
      nGC_1204/))

      call avR2(1631, 1, 63, 1, 0, VVVV0, (/2, 2/), (/nGC_1203, nGC_1203,      &
      nGC_1203/))

      allocate(vertices(976)%branchR2(0:0))
      call avR2(976, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1175/))

      allocate(vertices(188)%branchR2(0:0))
      call avR2(188, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1084/))

      allocate(vertices(1279)%branchR2(0:0))
      call avR2(1279, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1178/))

      allocate(vertices(1111)%branchR2(0:1))
      call avR2(1111, 0, 28, 1, 0, VFaF1, (/0, 3/), (/nGC_1141, nGC_1142/))

      call avR2(1111, 1, 28, 1, 0, VFaF1, (/2, 1/), (/nGC_948, nGC_950/))

      allocate(vertices(562)%branchR2(0:0))
      call avR2(562, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1178/))

      allocate(vertices(14)%branchR2(0:0))
      call avR2(14, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1050/))

      allocate(vertices(1377)%branchR2(0:0))
      call avR2(1377, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1802/))

      allocate(vertices(1428)%branchR2(0:1))
      call avR2(1428, 0, 13, 1, 0, FFa0, (/0, 2/), (/nGC_882, nGC_899, nGC_899 &
      , nGC_881/))

      call avR2(1428, 1, 13, 1, 0, FFa0, (/2, 0/), (/nGC_876, nGC_900, nGC_900 &
      , nGC_876/))

      allocate(vertices(1183)%branchR2(0:0))
      call avR2(1183, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_1069, nGC_1068/))

      allocate(vertices(808)%branchR2(0:0))
      call avR2(808, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1165/))

      allocate(vertices(193)%branchR2(0:0))
      call avR2(193, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_932/))

      allocate(vertices(394)%branchR2(0:0))
      call avR2(394, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1175/))

      allocate(vertices(952)%branchR2(0:1))
      call avR2(952, 0, 30, 1, 0, FaFS0, (/0, 3/), (/nGC_1087, nGC_1085/))

      call avR2(952, 1, 30, 1, 0, FaFS0, (/2, 1/), (/nGC_1088, nGC_1086/))

      allocate(vertices(153)%branchR2(0:0))
      call avR2(153, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1166/))

      allocate(vertices(1632)%branchR2(0:5))
      call avR2(1632, 0, 77, 1, 0, VVVV0, (/3, 1/), (/nGC_1208, nGC_1208,      &
      nGC_1208/))

      call avR2(1632, 1, 81, 1, 0, VVVV0, (/3, 1/), (/nGC_1210, nGC_1210,      &
      nGC_1210/))

      call avR2(1632, 2, 79, 1, 0, VVVV0, (/3, 1/), (/nGC_1209, nGC_1209,      &
      nGC_1209/))

      call avR2(1632, 3, 80, 1, 0, VVVV0, (/3, 1/), (/nGC_1209, nGC_1209,      &
      nGC_1209/))

      call avR2(1632, 4, 78, 1, 0, VVVV0, (/3, 1/), (/nGC_1209, nGC_1209,      &
      nGC_1209/))

      call avR2(1632, 5, 82, 1, 0, VVVV0, (/3, 1/), (/nGC_1208, nGC_1208,      &
      nGC_1208/))

      allocate(vertices(580)%branchR2(0:1))
      call avR2(580, 0, 29, 1, 0, SFFa0, (/0, 3/), (/nGC_1104, nGC_1102/))

      call avR2(580, 1, 29, 1, 0, SFFa0, (/2, 1/), (/nGC_1105, nGC_1103/))

      allocate(vertices(599)%branchR2(0:0))
      call avR2(599, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1157/))

      allocate(vertices(1512)%branchR2(0:0))
      call avR2(1512, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1139/))

      allocate(vertices(165)%branchR2(0:0))
      call avR2(165, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1171/))

    end subroutine fill_vertices_mdl6
end module vertices_info6
