!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-13 23:10             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl1()
      coupl(nGC_1265) = coupl(nGC_835)*dcw_QED2 + coupl(nGC_836)*dsw_QED2 +    &
                        coupl(nGC_837)*dZee_QED2 + coupl(nGC_838)*da_QED2
      coupl(nGC_1264) = coupl(nGC_775)*dcw_QED2 + coupl(nGC_776)*dsw_QED2 +    &
                        coupl(nGC_777)*dZee_QED2
      coupl(nGC_1266) = coupl(nGC_805)*dcw_QED2 + coupl(nGC_806)*dsw_QED2 +    &
                        coupl(nGC_807)*dZee_QED2 + coupl(nGC_808)*da_QED2
      coupl(nGC_1263) = coupl(nGC_772)*dcw_QED2 + coupl(nGC_773)*dsw_QED2 +    &
                        coupl(nGC_774)*dZee_QED2
      coupl(nGC_1427) = -cima*dMHH2_QED2
      coupl(nGC_TS_GC_78_Hh) = -coupl(nGC_78)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1290) = -cima*dyb_QED3
      coupl(nGC_TS_GC_70_Hl) = -coupl(nGC_70)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1661) = coupl(nGC_MI)*dZsR_QCD2
      coupl(nGC_1660) = coupl(nGC_MI)*dZsR_QED2
      coupl(nGC_1665) = coupl(nGC_MI)*dZsL_QCD2
      coupl(nGC_1664) = coupl(nGC_MI)*dZsL_QED2
      coupl(nGC_1445) = cima*dMW2_QED2
      coupl(nGC_1444) = cima*dMZ2_QED2
      coupl(nGC_1441) = -cima*dMS_QCD2
      coupl(nGC_1440) = -cima*dMS_QED2
      coupl(nGC_1443) = -cima*dMB_QCD2
      coupl(nGC_1442) = -cima*dMB_QED2
      coupl(nGC_1289) = cima*dyt_QED1_QCD2
      coupl(nGC_1288) = cima*dyt_QED3
      coupl(nGC_1287) = cima*dyc_QED1_QCD2
      coupl(nGC_1286) = cima*dyc_QED3
      coupl(nGC_1285) = -cima*dys_QED1_QCD2
      coupl(nGC_1284) = -cima*dys_QED3
      coupl(nGC_1283) = cima*dyup_QED1_QCD2
      coupl(nGC_1282) = cima*dyup_QED3
      coupl(nGC_1281) = -cima*dydo_QED1_QCD2
      coupl(nGC_1280) = -cima*dydo_QED3
      coupl(nGC_1470) = coupl(nGC_56)*dZZA_QED2/2d0
      coupl(nGC_1706) = -coupl(nGC_MI)*dZWMinus_QED2
      coupl(nGC_1705) = coupl(nGC_MI)*dZWMinus_QED2
      coupl(nGC_1675) = coupl(nGC_MI)*dZmuMinusL_QED2
      coupl(nGC_1678) = coupl(nGC_54)*dZcL_QCD2
      coupl(nGC_1458) = -coupl(nGC_57)*dZZA_QED2/2d0
      coupl(nGC_1291) = -cima*dyb_QED1_QCD2
      coupl(nGC_TS_GC_93_Hh) = -coupl(nGC_93)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_66_Hh) = -coupl(nGC_66)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_66_Hl) = -coupl(nGC_66)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_79_Hl) = -coupl(nGC_79)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_79_Hh) = -coupl(nGC_79)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1609) = coupl(nGC_1287) + coupl(nGC_85)*dZcR_QCD2/2d0 + coupl( &
                        nGC_85)*dZsL_QCD2/2d0
      coupl(nGC_1608) = coupl(nGC_1286) + coupl(nGC_85)*dZcR_QED2/2d0 + coupl( &
                        nGC_85)*dZsL_QED2/2d0
      coupl(nGC_1598) = coupl(nGC_54)*dZuL_QCD2
      coupl(nGC_1335) = coupl(nGC_829)*dyc_QED3
      coupl(nGC_1338) = coupl(nGC_820)*dyc_QED1_QCD2
      coupl(nGC_TS_GC_72_Hh) = -coupl(nGC_72)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1326) = coupl(nGC_760)*dym_QED3 + coupl(nGC_761)*da_QED2
      coupl(nGC_1320) = coupl(nGC_632)*dye_QED3
      coupl(nGC_1328) = coupl(nGC_681)*dye_QED3 + coupl(nGC_682)*da_QED2
      coupl(nGC_1329) = coupl(nGC_789)*dym_QED3 + coupl(nGC_790)*da_QED2
      coupl(nGC_TS_GC_74_Hl) = -coupl(nGC_74)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_89_Hl) = -coupl(nGC_89)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1600) = coupl(nGC_51)*dZuR_QCD2
      coupl(nGC_1627) = coupl(nGC_72)*dZZA_QED2/2d0
      coupl(nGC_1621) = coupl(nGC_1290) + coupl(nGC_80)*dZbR_QED2/2d0 + coupl( &
                        nGC_80)*dZtL_QED2/2d0
      coupl(nGC_1622) = coupl(nGC_1291) + coupl(nGC_80)*dZbR_QCD2/2d0 + coupl( &
                        nGC_80)*dZtL_QCD2/2d0
      coupl(nGC_1483) = coupl(nGC_66)*dZZA_QED2/2d0
      coupl(nGC_1482) = coupl(nGC_1266) + coupl(nGC_65)*dZHhHl_QED2/2d0 + coupl&
                        (nGC_66)*dZHh_QED2/2d0 + coupl(nGC_66)*dZHl_QED2/2d0 + &
                        coupl(nGC_66)*dZZ_QED2 + coupl(nGC_67)*dZHlHh_QED2/2d0
      coupl(nGC_1556) = coupl(nGC_1265) + coupl(nGC_65)*dZHh_QED2 + coupl(     &
                        nGC_65)*dZZ_QED2 + coupl(nGC_66)*dZHlHh_QED2
      coupl(nGC_1313) = coupl(nGC_831)*dys_QED1_QCD2
      coupl(nGC_1312) = coupl(nGC_831)*dys_QED3 + coupl(nGC_832)*da_QED2
      coupl(nGC_1315) = coupl(nGC_809)*dyb_QED1_QCD2
      coupl(nGC_1317) = -cima*dym_QED3
      coupl(nGC_1316) = -cima*dye_QED3
      coupl(nGC_1318) = -cima*dytau_QED3
      coupl(nGC_TS_GC_83_Hh) = -coupl(nGC_83)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1632) = coupl(nGC_11)*dZbR_QED2
      coupl(nGC_1633) = coupl(nGC_64)*dZZA_QED2/2d0
      coupl(nGC_TS_GC_25_Hh) = -coupl(nGC_25)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1637) = coupl(nGC_MI)*dZeMinusL_QED2
      coupl(nGC_1635) = coupl(nGC_MI)*dZeMinusR_QED2
      coupl(nGC_1434) = -cima*dMC_QED2
      coupl(nGC_1435) = -cima*dMC_QCD2
      coupl(nGC_1436) = -cima*dMT_QED2
      coupl(nGC_1430) = -cima*dMM_QED2
      coupl(nGC_1431) = -cima*dMTA_QED2
      coupl(nGC_1345) = coupl(nGC_833)*dyc_QED3 + coupl(nGC_834)*da_QED2
      coupl(nGC_TS_GC_19_Hl) = -coupl(nGC_19)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_99_Hl) = -coupl(nGC_99)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1540) = coupl(nGC_11)*dZtR_QED2
      coupl(nGC_1541) = coupl(nGC_67)*dZZA_QED2/2d0
      coupl(nGC_1492) = coupl(nGC_11)*dZdR_QED2
      coupl(nGC_1490) = coupl(nGC_11)*dZdL_QED2
      coupl(nGC_1308) = coupl(nGC_797)*dyb_QED3 + coupl(nGC_798)*da_QED2
      coupl(nGC_1309) = coupl(nGC_797)*dyb_QED1_QCD2
      coupl(nGC_1307) = coupl(nGC_705)*dys_QED1_QCD2
      coupl(nGC_TS_GC_65_Hh) = -coupl(nGC_65)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1301) = coupl(nGC_762)*dyb_QED1_QCD2
      coupl(nGC_1216) = coupl(nGC_633)*dsw_QED2 + coupl(nGC_634)*dZee_QED2
      coupl(nGC_1630) = coupl(nGC_11)*dZbL_QED2
      coupl(nGC_TS_GC_73_Hl) = -coupl(nGC_73)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_17_Hl) = -coupl(nGC_17)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1147) = sq2**3d0*(-11d0*Nc*cima*coupl(nGC_10)**3d0 - 48d0*coupl&
                        (nGC_11)**3d0)/(768d0*pi**2d0)
      coupl(nGC_1337) = coupl(nGC_820)*dyc_QED3
      coupl(nGC_1336) = coupl(nGC_829)*dyc_QED1_QCD2
      coupl(nGC_TS_GC_57_Hh) = -coupl(nGC_57)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1232) = coupl(nGC_217)*da_QED2 + coupl(nGC_219)*dvevs_QED1 +   &
                        coupl(nGC_221)*dvev_QED1 + coupl(nGC_223)*dl2_QED4 +   &
                        coupl(nGC_225)*dl3_QED4 + coupl(nGC_227)*dl1_QED4
      coupl(nGC_1801) = -coupl(nGC_1147)
      coupl(nGC_1793) = -coupl(nGC_MI)*dZg_QCD2
      coupl(nGC_1792) = coupl(nGC_MI)*dZg_QCD2
      coupl(nGC_1570) = coupl(nGC_MI)*dZcL_QCD2
      coupl(nGC_1573) = coupl(nGC_MI)*dZuR_QED2
      coupl(nGC_1572) = coupl(nGC_33)*(dZbL_QCD2 + dZtL_QCD2)/2d0
      coupl(nGC_1574) = coupl(nGC_MI)*dZuR_QCD2
      coupl(nGC_1577) = coupl(nGC_MI)*dZuL_QED2
      coupl(nGC_1578) = coupl(nGC_MI)*dZuL_QCD2
      coupl(nGC_1207) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_50) + coupl&
                        (nGC_51) + coupl(nGC_53) + coupl(nGC_54))/(32d0*pi**2d0&
                        *Nc**2d0)
      coupl(nGC_1206) = cima*coupl(nGC_11)**3d0*sq2**3d0*(-coupl(nGC_50) -     &
                        coupl(nGC_51) - coupl(nGC_53) - coupl(nGC_54))/(64d0*pi&
                        **2d0*Nc)
      coupl(nGC_1205) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_50) + coupl&
                        (nGC_51) + coupl(nGC_53) + coupl(nGC_54))/(128d0*pi**  &
                        2d0)
      coupl(nGC_1200) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_50)**2d0  &
                         - coupl(nGC_51)**2d0 - coupl(nGC_53)**2d0 - coupl(    &
                        nGC_54)**2d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_24_Hh) = -coupl(nGC_24)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_67_Hl) = -coupl(nGC_67)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1146) = sq2**3d0*(11d0*Nc*cima*coupl(nGC_10)**3d0 + 48d0*coupl(&
                        nGC_11)**3d0)/(768d0*pi**2d0)
      coupl(nGC_1786) = -coupl(nGC_MZ_GF)*dZZA_QED2/2d0
      coupl(nGC_1787) = coupl(nGC_MI)*dZA_QED2
      coupl(nGC_1785) = coupl(nGC_1320) + coupl(nGC_97)*dZeMinusL_QED2/2d0 +   &
                        coupl(nGC_97)*dZeMinusR_QED2/2d0
      coupl(nGC_1788) = -coupl(nGC_MI)*dZA_QED2
      coupl(nGC_TS_GC_98_Hh) = -coupl(nGC_98)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1568) = coupl(nGC_1435) + coupl(nGC_MC)*dZcL_QCD2/2d0 + coupl( &
                        nGC_MC)*dZcR_QCD2/2d0
      coupl(nGC_1569) = coupl(nGC_MI)*dZcL_QED2
      coupl(nGC_1566) = coupl(nGC_MI)*dZcR_QCD2
      coupl(nGC_1565) = coupl(nGC_MI)*dZcR_QED2
      coupl(nGC_1638) = coupl(nGC_1216) + 2d0*coupl(nGC_27)*dZWMinus_QED2
      coupl(nGC_1639) = -2d0*coupl(nGC_1216) - 4d0*coupl(nGC_27)*dZWMinus_QED2
      coupl(nGC_870) = cima*(-coupl(nGC_33)**2d0 - coupl(nGC_56)**2d0)/(16d0*pi&
                       **2d0)
      coupl(nGC_875) = cMU*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                       32d0*pi**2d0*Nc)
      coupl(nGC_876) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(64d0*&
                       pi**2d0*Nc)
      coupl(nGC_1360) = coupl(nGC_693)*dcw_QED2 + coupl(nGC_694)*dsw_QED2 +    &
                        coupl(nGC_695)*dZee_QED2
      coupl(nGC_1362) = coupl(nGC_822)*dsw_QED2 + coupl(nGC_823)*dZee_QED2 +   &
                        coupl(nGC_824)*dMZ2_QED2
      coupl(nGC_1363) = coupl(nGC_763)*dcw_QED2 + coupl(nGC_764)*dsw_QED2 +    &
                        coupl(nGC_765)*dZee_QED2 + coupl(nGC_766)*dMZ2_QED2 +  &
                        coupl(nGC_767)*da_QED2
      coupl(nGC_1364) = coupl(nGC_778)*dcw_QED2 + coupl(nGC_779)*dsw_QED2 +    &
                        coupl(nGC_780)*dZee_QED2 + coupl(nGC_781)*dMZ2_QED2 +  &
                        coupl(nGC_782)*da_QED2
      coupl(nGC_TS_GC_25_Hl) = -coupl(nGC_25)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1215) = coupl(nGC_686)*dcw_QED2 + coupl(nGC_687)*dsw_QED2 +    &
                        coupl(nGC_688)*dZee_QED2
      coupl(nGC_1219) = coupl(nGC_607)*dl1_QED4
      coupl(nGC_TS_GC_34_Hh) = -coupl(nGC_34)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1122) = -coupl(nGC_11)**2d0*coupl(nGC_85)*sq2**2d0*(-Nc**2d0 + &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1214) = coupl(nGC_783)*dZee_QED2
      coupl(nGC_1778) = -coupl(nGC_MI)*dZZ_QED2
      coupl(nGC_1777) = coupl(nGC_MI)*dZZ_QED2
      coupl(nGC_1776) = coupl(nGC_1444) + coupl(nGC_MZ)*dZZ_QED2 + coupl(      &
                        nGC_TS_GC_72_Hh) + coupl(nGC_TS_GC_73_Hl)
      coupl(nGC_1775) = coupl(nGC_MI)*dZtL_QCD2
      coupl(nGC_1774) = coupl(nGC_MI)*dZtL_QED2
      coupl(nGC_1771) = coupl(nGC_MI)*dZtR_QCD2
      coupl(nGC_1770) = coupl(nGC_MI)*dZtR_QED2
      coupl(nGC_1213) = coupl(nGC_821)*dZee_QED2
      coupl(nGC_1518) = coupl(nGC_73)*dZZA_QED2/2d0
      coupl(nGC_TS_GC_23_Hl) = -coupl(nGC_23)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1517) = coupl(nGC_1214) - coupl(nGC_41)*dZZA_QED2/2d0 + coupl( &
                        nGC_5)*dZA_QED2 + coupl(nGC_5)*dZWMinus_QED2
      coupl(nGC_1516) = -2d0*coupl(nGC_1214) + coupl(nGC_41)*dZZA_QED2 - 2d0*  &
                        coupl(nGC_5)*dZA_QED2 - 2d0*coupl(nGC_5)*dZWMinus_QED2
      coupl(nGC_1680) = coupl(nGC_51)*dZcR_QCD2
      coupl(nGC_TS_GC_46_Hl) = -coupl(nGC_46)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1355) = coupl(nGC_710)*dZee_QED2 + coupl(nGC_711)*dMW2_QED2
      coupl(nGC_1426) = -cima*dMHL2_QED2
      coupl(nGC_1357) = coupl(nGC_825)*dsw_QED2 + coupl(nGC_826)*dZee_QED2 +   &
                        coupl(nGC_827)*dMW2_QED2 + coupl(nGC_828)*da_QED2
      coupl(nGC_1356) = coupl(nGC_802)*dsw_QED2 + coupl(nGC_803)*dZee_QED2 +   &
                        coupl(nGC_804)*dMW2_QED2
      coupl(nGC_1351) = coupl(nGC_842)*dyc_QED3 + coupl(nGC_843)*da_QED2
      coupl(nGC_1353) = coupl(nGC_281)*dyt_QED3 + coupl(nGC_283)*da_QED2
      coupl(nGC_1352) = coupl(nGC_842)*dyc_QED1_QCD2
      coupl(nGC_1359) = coupl(nGC_735)*dcw_QED2 + coupl(nGC_736)*dsw_QED2 +    &
                        coupl(nGC_737)*dZee_QED2 + coupl(nGC_738)*dMW2_QED2
      coupl(nGC_1358) = coupl(nGC_852)*dsw_QED2 + coupl(nGC_853)*dZee_QED2 +   &
                        coupl(nGC_854)*dMW2_QED2 + coupl(nGC_855)*da_QED2
      coupl(nGC_1429) = -cima*dME_QED2
      coupl(nGC_1199) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_50)**2d0 + &
                        coupl(nGC_51)**2d0 + coupl(nGC_53)**2d0 + coupl(nGC_54 &
                        )**2d0)/(32d0*pi**2d0)
      coupl(nGC_1221) = coupl(nGC_608)*dl1_QED4
      coupl(nGC_1220) = -cima*dl1_QED4
      coupl(nGC_1223) = coupl(nGC_654)*da_QED2 + coupl(nGC_655)*dl2_QED4 +     &
                        coupl(nGC_656)*dl1_QED4 + coupl(nGC_657)*dl3_QED4
      coupl(nGC_1222) = coupl(nGC_627)*da_QED2 + coupl(nGC_628)*dl1_QED4 +     &
                        coupl(nGC_629)*dl3_QED4
      coupl(nGC_1224) = coupl(nGC_635)*da_QED2 + coupl(nGC_636)*dl2_QED4 +     &
                        coupl(nGC_637)*dl1_QED4 + coupl(nGC_638)*dl3_QED4
      coupl(nGC_1227) = coupl(nGC_621)*da_QED2 + coupl(nGC_622)*dl1_QED4 +     &
                        coupl(nGC_623)*dl3_QED4
      coupl(nGC_1226) = coupl(nGC_672)*da_QED2 + coupl(nGC_673)*dl2_QED4 +     &
                        coupl(nGC_674)*dl1_QED4 + coupl(nGC_675)*dl3_QED4
      coupl(nGC_1229) = coupl(nGC_658)*da_QED2 + coupl(nGC_659)*dl2_QED4 +     &
                        coupl(nGC_660)*dl1_QED4 + coupl(nGC_661)*dl3_QED4
      coupl(nGC_1228) = coupl(nGC_650)*da_QED2 + coupl(nGC_651)*dl2_QED4 +     &
                        coupl(nGC_652)*dl1_QED4 + coupl(nGC_653)*dl3_QED4
      coupl(nGC_TS_GC_21_Hl) = -coupl(nGC_21)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1012) = coupl(nGC_1)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 - 1d0&
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_1013) = -coupl(nGC_11)**2d0*coupl(nGC_123)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1014) = -(coupl(nGC_120)*coupl(nGC_33)*coupl(nGC_453) + coupl( &
                        nGC_120)*coupl(nGC_90)*coupl(nGC_93) + coupl(nGC_121)**&
                        2d0*coupl(nGC_123) + coupl(nGC_121)*coupl(nGC_451)*    &
                        coupl(nGC_54) + coupl(nGC_121)*coupl(nGC_51)*coupl(    &
                        nGC_57) + coupl(nGC_123)**3d0 + coupl(nGC_123)*coupl(  &
                        nGC_124)**2d0 - 8d0*coupl(nGC_123)*coupl(nGC_2)**2d0 - &
                        8d0*coupl(nGC_123)*coupl(nGC_51)*coupl(nGC_54))/(32d0* &
                        pi**2d0)
      coupl(nGC_1015) = -(coupl(nGC_120)*coupl(nGC_33)*coupl(nGC_35) + coupl(  &
                        nGC_120)*coupl(nGC_90)*coupl(nGC_93) + coupl(nGC_122)**&
                        2d0*coupl(nGC_123) + coupl(nGC_122)*coupl(nGC_451)*    &
                        coupl(nGC_51) + coupl(nGC_122)*coupl(nGC_54)*coupl(    &
                        nGC_57) + coupl(nGC_123)**3d0 + coupl(nGC_123)*coupl(  &
                        nGC_124)**2d0 - 8d0*coupl(nGC_123)*coupl(nGC_2)**2d0 - &
                        8d0*coupl(nGC_123)*coupl(nGC_51)*coupl(nGC_54))/(32d0* &
                        pi**2d0)
      coupl(nGC_1163) = cima*coupl(nGC_11)**2d0*coupl(nGC_33)**2d0*sq2**2d0/(  &
                        32d0*pi**2d0)
      coupl(nGC_1769) = -coupl(nGC_1213) - coupl(nGC_3)*dZA_QED2/2d0 - coupl(  &
                        nGC_3)*dZWMinus_QED2 - coupl(nGC_37)*dZZA_QED2/2d0
      coupl(nGC_1764) = coupl(nGC_I)*dZHh_QED2
      coupl(nGC_1765) = coupl(nGC_MI)*dZtauMinusR_QED2
      coupl(nGC_1767) = coupl(nGC_MI)*dZtauMinusL_QED2
      coupl(nGC_1760) = coupl(nGC_MZ)*dZZA_QED2/2d0
      coupl(nGC_1761) = coupl(nGC_MI)*(dZAZ_QED2 + dZZA_QED2)/2d0
      coupl(nGC_1762) = -coupl(nGC_MI)*(dZAZ_QED2 + dZZA_QED2)/2d0
      coupl(nGC_1508) = coupl(nGC_1308) + coupl(nGC_83)*dZHh_QED2/2d0 + coupl( &
                        nGC_83)*dZbL_QED2/2d0 + coupl(nGC_83)*dZbR_QED2/2d0 +  &
                        coupl(nGC_84)*dZHlHh_QED2/2d0
      coupl(nGC_1509) = coupl(nGC_1309) + coupl(nGC_83)*dZbL_QCD2/2d0 + coupl( &
                        nGC_83)*dZbR_QCD2/2d0
      coupl(nGC_1500) = coupl(nGC_2)*dZtL_QCD2
      coupl(nGC_1502) = coupl(nGC_2)*dZtR_QCD2
      coupl(nGC_1505) = coupl(nGC_53)*dZbL_QCD2
      coupl(nGC_1507) = coupl(nGC_50)*dZbR_QCD2
      coupl(nGC_1698) = coupl(nGC_MI)*dZbL_QED2
      coupl(nGC_1699) = coupl(nGC_MI)*dZbL_QCD2
      coupl(nGC_1690) = coupl(nGC_108)*dZHhHl_QED2/2d0 + coupl(nGC_109)*       &
                        dZHl_QED2/2d0 + coupl(nGC_109)*dZsL_QED2/2d0 + coupl(  &
                        nGC_109)*dZsR_QED2/2d0 + coupl(nGC_1312)
      coupl(nGC_1691) = coupl(nGC_109)*dZsL_QCD2/2d0 + coupl(nGC_109)*dZsR_QCD2&
                        /2d0 + coupl(nGC_1313)
      coupl(nGC_1692) = coupl(nGC_1263) + coupl(nGC_64)*dZZ_QED2
      coupl(nGC_1694) = coupl(nGC_MI)*dZbR_QED2
      coupl(nGC_1695) = coupl(nGC_MI)*dZbR_QCD2
      coupl(nGC_1697) = coupl(nGC_1443) + coupl(nGC_MB)*dZbL_QCD2/2d0 + coupl( &
                        nGC_MB)*dZbR_QCD2/2d0
      coupl(nGC_1342) = coupl(nGC_712)*dyt_QED1_QCD2
      coupl(nGC_1343) = coupl(nGC_745)*dyup_QED3 + coupl(nGC_746)*da_QED2
      coupl(nGC_1340) = coupl(nGC_848)*dyt_QED1_QCD2
      coupl(nGC_1437) = -cima*dMT_QCD2
      coupl(nGC_1346) = coupl(nGC_833)*dyc_QED1_QCD2
      coupl(nGC_1347) = coupl(nGC_275)*dyt_QED3 + coupl(nGC_277)*da_QED2
      coupl(nGC_1432) = -cima*dMU_QED2
      coupl(nGC_1433) = -cima*dMU_QCD2
      coupl(nGC_1348) = coupl(nGC_275)*dyt_QED1_QCD2
      coupl(nGC_1438) = -cima*dMD_QED2
      coupl(nGC_1439) = -cima*dMD_QCD2
      coupl(nGC_1188) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_1)**2d0 +  &
                        coupl(nGC_2)**2d0)/(16d0*pi**2d0)
      coupl(nGC_1189) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_1)**2d0 - &
                        coupl(nGC_2)**2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_928) = coupl(nGC_11)*sq2*(coupl(nGC_121)*coupl(nGC_122) + coupl&
                       (nGC_123)**2d0 + coupl(nGC_124)**2d0 + 4d0*coupl(nGC_2  &
                       )**2d0 + 4d0*coupl(nGC_33)**2d0 + 4d0*coupl(nGC_54)**2d0&
                        + coupl(nGC_90)**2d0)/(64d0*pi**2d0)
      coupl(nGC_929) = coupl(nGC_11)*sq2*(coupl(nGC_120)**2d0 + coupl(nGC_121)*&
                       coupl(nGC_122) + coupl(nGC_123)**2d0 + coupl(nGC_124)** &
                       2d0 + 4d0*coupl(nGC_2)**2d0 + 4d0*coupl(nGC_51)**2d0)/( &
                       64d0*pi**2d0)
      coupl(nGC_926) = coupl(nGC_11)*sq2*(-coupl(nGC_120)**2d0 - coupl(nGC_121 &
                       )*coupl(nGC_122) - coupl(nGC_123)**2d0 - coupl(nGC_124  &
                       )**2d0 - 4d0*coupl(nGC_2)**2d0 - 4d0*coupl(nGC_51)**2d0 &
                       )/(64d0*pi**2d0*Nc)
      coupl(nGC_927) = coupl(nGC_11)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_10  &
                       ) + coupl(nGC_11))/(64d0*pi**2d0*Nc**2d0)
      coupl(nGC_924) = -(-8d0*coupl(nGC_1)**2d0*coupl(nGC_94) + coupl(nGC_120)*&
                       coupl(nGC_124)*coupl(nGC_90) + coupl(nGC_33)*coupl(     &
                       nGC_47)*coupl(nGC_90) + coupl(nGC_429)*coupl(nGC_50)*   &
                       coupl(nGC_91) - 8d0*coupl(nGC_50)*coupl(nGC_53)*coupl(  &
                       nGC_94) + coupl(nGC_53)*coupl(nGC_61)*coupl(nGC_91) +   &
                       coupl(nGC_91)**2d0*coupl(nGC_94) + coupl(nGC_93)**2d0*  &
                       coupl(nGC_94) + coupl(nGC_94)**3d0)/(32d0*pi**2d0)
      coupl(nGC_925) = coupl(nGC_11)*sq2*(-coupl(nGC_121)*coupl(nGC_122) -     &
                       coupl(nGC_123)**2d0 - coupl(nGC_124)**2d0 - 4d0*coupl(  &
                       nGC_2)**2d0 - 4d0*coupl(nGC_33)**2d0 - 4d0*coupl(nGC_54 &
                       )**2d0 - coupl(nGC_90)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_922) = -coupl(nGC_11)**2d0*coupl(nGC_94)*sq2**2d0*(-Nc**2d0 +  &
                       1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_923) = -(-8d0*coupl(nGC_1)**2d0*coupl(nGC_94) + coupl(nGC_120)*&
                       coupl(nGC_124)*coupl(nGC_90) + coupl(nGC_33)*coupl(     &
                       nGC_437)*coupl(nGC_90) + coupl(nGC_429)*coupl(nGC_53)*  &
                       coupl(nGC_92) - 8d0*coupl(nGC_50)*coupl(nGC_53)*coupl(  &
                       nGC_94) + coupl(nGC_50)*coupl(nGC_61)*coupl(nGC_92) +   &
                       coupl(nGC_92)**2d0*coupl(nGC_94) + coupl(nGC_93)**2d0*  &
                       coupl(nGC_94) + coupl(nGC_94)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1238) = coupl(nGC_691)*dsw_QED2 + coupl(nGC_692)*dZee_QED2
      coupl(nGC_1239) = coupl(nGC_696)*dsw_QED2 + coupl(nGC_697)*dZee_QED2 +   &
                        coupl(nGC_698)*da_QED2
      coupl(nGC_1236) = coupl(nGC_784)*dZee_QED2
      coupl(nGC_1237) = coupl(nGC_830)*dZee_QED2
      coupl(nGC_1234) = coupl(nGC_231)*da_QED2 + coupl(nGC_233)*dvevs_QED1 +   &
                        coupl(nGC_235)*dvev_QED1 + coupl(nGC_237)*dl2_QED4 +   &
                        coupl(nGC_239)*dl3_QED4 + coupl(nGC_241)*dl1_QED4
      coupl(nGC_1129) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(  &
                        nGC_50)**2d0 + coupl(nGC_90)**2d0 + coupl(nGC_91)*coupl&
                        (nGC_92) + coupl(nGC_93)**2d0 + coupl(nGC_94)**2d0)/(  &
                        64d0*pi**2d0)
      coupl(nGC_1230) = coupl(nGC_642)*dvev_QED1 + coupl(nGC_643)*dvevs_QED1 + &
                        coupl(nGC_644)*da_QED2 + coupl(nGC_645)*dl1_QED4 +     &
                        coupl(nGC_646)*dl3_QED4
      coupl(nGC_1231) = coupl(nGC_203)*da_QED2 + coupl(nGC_205)*dvevs_QED1 +   &
                        coupl(nGC_207)*dvev_QED1 + coupl(nGC_209)*dl2_QED4 +   &
                        coupl(nGC_211)*dl3_QED4 + coupl(nGC_213)*dl1_QED4
      coupl(nGC_1671) = coupl(nGC_2)*dZcR_QCD2
      coupl(nGC_1300) = coupl(nGC_762)*dyb_QED3
      coupl(nGC_TS_GC_88_Hh) = -coupl(nGC_88)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_35_Hh) = -coupl(nGC_35)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_75_Hh) = -coupl(nGC_75)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_21_Hh) = -coupl(nGC_21)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_76_Hl) = -coupl(nGC_76)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_76_Hh) = -coupl(nGC_76)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1759) = coupl(nGC_50)*dZsR_QCD2
      coupl(nGC_1750) = coupl(nGC_57)*dZZA_QED2/2d0
      coupl(nGC_1753) = coupl(nGC_1363) + coupl(nGC_60)*dZHh_QED2/2d0 + coupl( &
                        nGC_62)*dZHlHh_QED2/2d0
      coupl(nGC_1752) = coupl(nGC_1223) + 2d0*coupl(nGC_22)*dZHlHh_QED2 + 2d0* &
                        coupl(nGC_24)*dZHh_QED2
      coupl(nGC_1754) = -coupl(nGC_1237) - coupl(nGC_4)*dZA_QED2/2d0 - coupl(  &
                        nGC_55)*dZZA_QED2/2d0
      coupl(nGC_1757) = coupl(nGC_53)*dZsL_QCD2
      coupl(nGC_1534) = coupl(nGC_1)*dZbL_QCD2
      coupl(nGC_1536) = coupl(nGC_1)*dZbR_QCD2
      coupl(nGC_1531) = -coupl(nGC_1237) - coupl(nGC_36)*dZZA_QED2/2d0 - coupl(&
                        nGC_4)*dZA_QED2/2d0
      coupl(nGC_1530) = coupl(nGC_1316) + coupl(nGC_95)*dZeMinusR_QED2/2d0 +   &
                        coupl(nGC_95)*dZnu_eL_QED2/2d0
      coupl(nGC_1538) = coupl(nGC_11)*dZtL_QED2
      coupl(nGC_1108) = coupl(nGC_11)**2d0*sq2**2d0*(cMB*coupl(nGC_83) + cMC*  &
                        coupl(nGC_88) + cMD*coupl(nGC_93) + cMS*coupl(nGC_108  &
                        ) + cMT*coupl(nGC_113) + cMU*coupl(nGC_123))/(16d0*pi**&
                        2d0*Nc)
      coupl(nGC_1109) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_53) + coupl(nGC_110)**&
                        2d0*coupl(nGC_51) + 4d0*coupl(nGC_33)**2d0*coupl(      &
                        nGC_427) + 4d0*coupl(nGC_33)**2d0*coupl(nGC_54) + coupl&
                        (nGC_50)*coupl(nGC_81)*coupl(nGC_82) + coupl(nGC_50)*  &
                        coupl(nGC_83)**2d0 + coupl(nGC_50)*coupl(nGC_84)**2d0  &
                         + 4d0*coupl(nGC_53)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1105) = -coupl(nGC_11)**2d0*coupl(nGC_80)*sq2**2d0*(-Nc**2d0 + &
                        1d0)/(16d0*pi**2d0*Nc)
    end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
