!******************************************************************************!
!                                                                              !
!    ctparameter126.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter126.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-13 23:10             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter126
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter126()
  dZZA_QED2 = (4d0*(-Nc*cMB**2d0*coupl(nGC_1)*coupl(nGC_50) - Nc*cMB**2d0*coupl&
              (nGC_1)*coupl(nGC_53) - Nc*cMC**2d0*coupl(nGC_2)*coupl(nGC_51) - &
              Nc*cMC**2d0*coupl(nGC_2)*coupl(nGC_54) - Nc*cMD**2d0*coupl(nGC_1 &
              )*coupl(nGC_50) - Nc*cMD**2d0*coupl(nGC_1)*coupl(nGC_53) - Nc*cMS&
              **2d0*coupl(nGC_1)*coupl(nGC_50) - Nc*cMS**2d0*coupl(nGC_1)*coupl&
              (nGC_53) - Nc*cMT**2d0*coupl(nGC_2)*coupl(nGC_51) - Nc*cMT**2d0* &
              coupl(nGC_2)*coupl(nGC_54) - Nc*cMU**2d0*coupl(nGC_2)*coupl(     &
              nGC_51) - Nc*cMU**2d0*coupl(nGC_2)*coupl(nGC_54) - cME**2d0*coupl&
              (nGC_4)*coupl(nGC_52) - cME**2d0*coupl(nGC_4)*coupl(nGC_55) - cMM&
              **2d0*coupl(nGC_4)*coupl(nGC_52) - cMM**2d0*coupl(nGC_4)*coupl(  &
              nGC_55) - cMTA**2d0*coupl(nGC_4)*coupl(nGC_52) - cMTA**2d0*coupl(&
              nGC_4)*coupl(nGC_55) - 3d0*cMW**2d0*coupl(nGC_3)*coupl(nGC_37) - &
              cima*cMW**2d0*coupl(nGC_41))/cMZ**2d0 + 2d0*(-2d0*Nc*Ten214*cMU**&
              2d0*coupl(nGC_2)*(coupl(nGC_51) + coupl(nGC_54)) - 2d0*Nc*Ten215*&
              cMC**2d0*coupl(nGC_2)*(coupl(nGC_51) + coupl(nGC_54)) - 2d0*Nc*  &
              Ten216*cMT**2d0*coupl(nGC_2)*(coupl(nGC_51) + coupl(nGC_54)) -   &
              2d0*Nc*Ten217*cMD**2d0*coupl(nGC_1)*(coupl(nGC_50) + coupl(nGC_53&
              )) - 2d0*Nc*Ten218*cMS**2d0*coupl(nGC_1)*(coupl(nGC_50) + coupl( &
              nGC_53)) - 2d0*Nc*Ten219*cMB**2d0*coupl(nGC_1)*(coupl(nGC_50) +  &
              coupl(nGC_53)) + 4d0*Nc*Ten220*coupl(nGC_2)*(coupl(nGC_51) +     &
              coupl(nGC_54)) + 4d0*Nc*Ten221*coupl(nGC_2)*(coupl(nGC_51) +     &
              coupl(nGC_54)) + 4d0*Nc*Ten222*coupl(nGC_2)*(coupl(nGC_51) +     &
              coupl(nGC_54)) + 4d0*Nc*Ten223*coupl(nGC_1)*(coupl(nGC_50) +     &
              coupl(nGC_53)) + 4d0*Nc*Ten224*coupl(nGC_1)*(coupl(nGC_50) +     &
              coupl(nGC_53)) + 4d0*Nc*Ten225*coupl(nGC_1)*(coupl(nGC_50) +     &
              coupl(nGC_53)) + cima*Ten3*(3d0*coupl(nGC_41) - coupl(nGC_58)) - &
              2d0*Ten516*coupl(nGC_68)*coupl(nGC_71) + Ten519*(17d0*coupl(nGC_3&
              )*coupl(nGC_37) - coupl(nGC_36)*coupl(nGC_4) + 4d0*coupl(nGC_4)* &
              coupl(nGC_55)) - 2d0*Ten526*cME**2d0*coupl(nGC_4)*(coupl(nGC_52  &
              ) + coupl(nGC_55)) - 2d0*Ten527*cMM**2d0*coupl(nGC_4)*(coupl(    &
              nGC_52) + coupl(nGC_55)) - 2d0*Ten528*cMTA**2d0*coupl(nGC_4)*(   &
              coupl(nGC_52) + coupl(nGC_55)) + 4d0*Ten529*coupl(nGC_4)*(coupl( &
              nGC_52) + coupl(nGC_55)) + 4d0*Ten530*coupl(nGC_4)*(coupl(nGC_52 &
              ) + coupl(nGC_55)) + 4d0*Ten531*coupl(nGC_4)*(coupl(nGC_52) +    &
              coupl(nGC_55)))/cMZ**2d0)/(16d0*pi**2d0)
end subroutine set_ctparameter126
end module ctparameter126
