!******************************************************************************!
!                                                                              !
!    vertices_info3.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info3.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-13 23:10             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info3
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl3()
      allocate(vertices(196)%branchCT(0:1))
      call avCT(196, 0, 27, 1, 0, FSFa0, (/0, 3/), (/nGC_1623, nGC_1621/))

      call avCT(196, 1, 27, 1, 0, FSFa0, (/2, 1/), (/nGC_1624, nGC_1622/))

      allocate(vertices(197)%branchCT(0:0))
      call avCT(197, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1471/))

      allocate(vertices(1248)%branchCT(0:3))
      call avCT(1248, 0, 11, 4, 0, FFaV0, (/3, 0/), (/nGC_1614, nGC_1616/))

      call avCT(1248, 1, 11, 4, 0, FFaV0, (/1, 2/), (/nGC_1615, nGC_1617/))

      call avCT(1248, 2, 12, 5, 0, FFaV0, (/3, 0/), (/nGC_1614, nGC_1616/))

      call avCT(1248, 3, 12, 5, 0, FFaV0, (/1, 2/), (/nGC_1615, nGC_1617/))

      allocate(vertices(199)%branchCT(0:0))
      call avCT(199, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1480, nGC_1480,        &
      nGC_1481/))

      allocate(vertices(200)%branchCT(0:0))
      call avCT(200, 0, 8, 1, 0, SFFa2, (/0, 3/), (/nGC_1606/))

      allocate(vertices(1406)%branchCT(0:0))
      call avCT(1406, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1483/))

      allocate(vertices(1277)%branchCT(0:0))
      call avCT(1277, 0, 8, 1, 0, UUaV0, (/0, 3/), (/nGC_1451/))

      allocate(vertices(728)%branchCT(0:1))
      call avCT(728, 0, 29, 1, 0, VFFa1, (/0, 3/), (/nGC_1504, nGC_1506/))

      call avCT(728, 1, 29, 1, 0, VFFa1, (/2, 1/), (/nGC_1505, nGC_1507/))

      allocate(vertices(204)%branchCT(0:3))
      call avCT(204, 0, 17, 4, 0, VFFa1, (/1, 2/), (/nGC_1630, nGC_1632/))

      call avCT(204, 1, 17, 4, 0, VFFa1, (/3, 0/), (/nGC_1629, nGC_1631/))

      call avCT(204, 2, 18, 5, 0, VFFa1, (/1, 2/), (/nGC_1630, nGC_1632/))

      call avCT(204, 3, 18, 5, 0, VFFa1, (/3, 0/), (/nGC_1629, nGC_1631/))

      allocate(vertices(205)%branchCT(0:1))
      call avCT(205, 0, 27, 1, 0, FSFa0, (/0, 3/), (/nGC_1640, nGC_1642/))

      call avCT(205, 1, 27, 1, 0, FSFa0, (/2, 1/), (/nGC_1641, nGC_1643/))

      allocate(vertices(859)%branchCT(0:0))
      call avCT(859, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1556/))

      allocate(vertices(207)%branchCT(0:0))
      call avCT(207, 0, 8, 1, 0, UaUS0, (/0, 3/), (/nGC_1452/))

      allocate(vertices(483)%branchCT(0:0))
      call avCT(483, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1522/))

      allocate(vertices(209)%branchCT(0:0))
      call avCT(209, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1548/))

      allocate(vertices(1315)%branchCT(0:0))
      call avCT(1315, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1453/))

      allocate(vertices(211)%branchCT(0:0))
      call avCT(211, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_1469/))

      allocate(vertices(477)%branchCT(0:0))
      call avCT(477, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1472/))

      allocate(vertices(213)%branchCT(0:1))
      call avCT(213, 0, 27, 1, 0, FSFa0, (/0, 3/), (/nGC_1608, nGC_1610/))

      call avCT(213, 1, 27, 1, 0, FSFa0, (/2, 1/), (/nGC_1609, nGC_1611/))

      allocate(vertices(214)%branchCT(0:0))
      call avCT(214, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1453/))

      allocate(vertices(215)%branchCT(0:0))
      call avCT(215, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1644/))

      allocate(vertices(1338)%branchCT(0:0))
      call avCT(1338, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1523/))

      allocate(vertices(598)%branchCT(0:1))
      call avCT(598, 0, 30, 1, 0, FaFV1, (/0, 3/), (/nGC_1593, nGC_1595/))

      call avCT(598, 1, 30, 1, 0, FaFV1, (/2, 1/), (/nGC_1594, nGC_1596/))

      allocate(vertices(928)%branchCT(0:0))
      call avCT(928, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1645/))

      allocate(vertices(1003)%branchCT(0:0))
      call avCT(1003, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1545/))

      allocate(vertices(219)%branchCT(0:0))
      call avCT(219, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_1634/))

      allocate(vertices(706)%branchCT(0:0))
      call avCT(706, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1471/))

      allocate(vertices(220)%branchCT(0:0))
      call avCT(220, 0, 8, 1, 0, USUa0, (/0, 3/), (/nGC_1359/))

      allocate(vertices(221)%branchCT(0:0))
      call avCT(221, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1646/))

      allocate(vertices(222)%branchCT(0:0))
      call avCT(222, 0, 8, 1, 0, UaSU0, (/0, 3/), (/nGC_1355/))

      allocate(vertices(223)%branchCT(0:0))
      call avCT(223, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1497/))

      allocate(vertices(487)%branchCT(0:0))
      call avCT(487, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1459/))

      allocate(vertices(225)%branchCT(0:0))
      call avCT(225, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1494/))

      allocate(vertices(226)%branchCT(0:0))
      call avCT(226, 0, 8, 1, 0, USUa0, (/0, 3/), (/nGC_1591/))

      allocate(vertices(227)%branchCT(0:0))
      call avCT(227, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1514/))

      allocate(vertices(228)%branchCT(0:0))
      call avCT(228, 0, 8, 1, 0, SUaU0, (/0, 3/), (/nGC_1452/))

      allocate(vertices(1407)%branchCT(0:0))
      call avCT(1407, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_1470/))

      allocate(vertices(230)%branchCT(0:1))
      call avCT(230, 0, 30, 1, 0, FaFV1, (/0, 3/), (/nGC_1597, nGC_1599/))

      call avCT(230, 1, 30, 1, 0, FaFV1, (/2, 1/), (/nGC_1598, nGC_1600/))

      allocate(vertices(229)%branchCT(0:0))
      call avCT(229, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1647, nGC_1648,        &
      nGC_1648/))

      allocate(vertices(186)%branchCT(0:1))
      call avCT(186, 0, 28, 1, 0, SFaF0, (/0, 3/), (/nGC_1460, nGC_1462/))

      call avCT(186, 1, 28, 1, 0, SFaF0, (/2, 1/), (/nGC_1461, nGC_1463/))

      allocate(vertices(509)%branchCT(0:0))
      call avCT(509, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1563/))

      allocate(vertices(231)%branchCT(0:0))
      call avCT(231, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1455/))

      allocate(vertices(232)%branchCT(0:0))
      call avCT(232, 0, 8, 1, 0, UaUV0, (/0, 3/), (/nGC_1649/))

      allocate(vertices(1408)%branchCT(0:0))
      call avCT(1408, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1529/))

      allocate(vertices(1055)%branchCT(0:0))
      call avCT(1055, 0, 8, 1, 0, UaVU0, (/0, 3/), (/nGC_1605/))

      allocate(vertices(234)%branchCT(0:0))
      call avCT(234, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1545/))

      allocate(vertices(1409)%branchCT(0:0))
      call avCT(1409, 0, 8, 1, 0, VFaF0, (/0, 3/), (/nGC_1470/))

      allocate(vertices(235)%branchCT(0:0))
      call avCT(235, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1466/))

      allocate(vertices(236)%branchCT(0:0))
      call avCT(236, 0, 8, 1, 0, FVFa0, (/0, 3/), (/nGC_1650, nGC_1651/))

      allocate(vertices(1410)%branchCT(0:0))
      call avCT(1410, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1529/))

      allocate(vertices(237)%branchCT(0:0))
      call avCT(237, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1548/))

      allocate(vertices(238)%branchCT(0:1))
      call avCT(238, 0, 31, 1, 0, FaSF0, (/0, 3/), (/nGC_1652, nGC_1652/))

      call avCT(238, 1, 31, 1, 0, FaSF0, (/2, 1/), (/nGC_1653, nGC_1653/))

      allocate(vertices(111)%branchCT(0:0))
      call avCT(111, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1482/))

      allocate(vertices(240)%branchCT(0:1))
      call avCT(240, 0, 29, 1, 0, SFFa0, (/0, 3/), (/nGC_1464, nGC_1464/))

      call avCT(240, 1, 29, 1, 0, SFFa0, (/2, 1/), (/nGC_1465, nGC_1465/))

      allocate(vertices(241)%branchCT(0:0))
      call avCT(241, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1497/))

      allocate(vertices(1176)%branchCT(0:1))
      call avCT(1176, 0, 28, 1, 0, SFaF0, (/0, 3/), (/nGC_1654, nGC_1656/))

      call avCT(1176, 1, 28, 1, 0, SFaF0, (/2, 1/), (/nGC_1655, nGC_1657/))

      allocate(vertices(1411)%branchCT(0:0))
      call avCT(1411, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1627/))

      allocate(vertices(131)%branchCT(0:0))
      call avCT(131, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1658/))

      allocate(vertices(1317)%branchCT(0:0))
      call avCT(1317, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1563/))

      allocate(vertices(244)%branchCT(0:0))
      call avCT(244, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1466/))

      allocate(vertices(1412)%branchCT(0:0))
      call avCT(1412, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1483/))

      allocate(vertices(1413)%branchCT(0:0))
      call avCT(1413, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1483/))

      allocate(vertices(245)%branchCT(0:0))
      call avCT(245, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1523/))

      allocate(vertices(246)%branchCT(0:1))
      call avCT(246, 0, 30, 1, 0, FaFS0, (/0, 3/), (/nGC_1608, nGC_1610/))

      call avCT(246, 1, 30, 1, 0, FaFS0, (/2, 1/), (/nGC_1609, nGC_1611/))

      allocate(vertices(247)%branchCT(0:0))
      call avCT(247, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1607/))

      allocate(vertices(248)%branchCT(0:0))
      call avCT(248, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1471/))

      allocate(vertices(249)%branchCT(0:0))
      call avCT(249, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1494/))

      allocate(vertices(250)%branchCT(0:0))
      call avCT(250, 0, 8, 1, 0, UUaS0, (/0, 3/), (/nGC_1359/))

      allocate(vertices(251)%branchCT(0:1))
      call avCT(251, 0, 29, 1, 0, SFFa0, (/0, 3/), (/nGC_1587, nGC_1589/))

      call avCT(251, 1, 29, 1, 0, SFFa0, (/2, 1/), (/nGC_1588, nGC_1590/))

      allocate(vertices(252)%branchCT(0:0))
      call avCT(252, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1481, nGC_1480,        &
      nGC_1480/))

      allocate(vertices(253)%branchCT(0:0))
      call avCT(253, 0, 8, 1, 0, UaUS0, (/0, 3/), (/nGC_1359/))

      allocate(vertices(1414)%branchCT(0:0))
      call avCT(1414, 0, 14, 1, 0, FaF1, (/0, 2/), (/nGC_1659/))

      allocate(vertices(255)%branchCT(0:0))
      call avCT(255, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1514/))

      allocate(vertices(256)%branchCT(0:0))
      call avCT(256, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1626/))

      allocate(vertices(39)%branchCT(0:0))
      call avCT(39, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1488/))

      allocate(vertices(258)%branchCT(0:0))
      call avCT(258, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1472/))

      allocate(vertices(259)%branchCT(0:0))
      call avCT(259, 0, 8, 1, 0, VUUa0, (/0, 3/), (/nGC_1605/))

      allocate(vertices(261)%branchCT(0:0))
      call avCT(261, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1516, nGC_1517,        &
      nGC_1517/))

      allocate(vertices(765)%branchCT(0:1))
      call avCT(765, 0, 27, 1, 0, FVFa1, (/0, 3/), (/nGC_1449/))

      call avCT(765, 1, 27, 1, 0, FVFa1, (/2, 1/), (/nGC_1450/))

      allocate(vertices(262)%branchCT(0:0))
      call avCT(262, 0, 8, 1, 0, UaUS0, (/0, 3/), (/nGC_1362/))

      allocate(vertices(263)%branchCT(0:0))
      call avCT(263, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_1547/))

      allocate(vertices(264)%branchCT(0:0))
      call avCT(264, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1221/))

      allocate(vertices(265)%branchCT(0:0))
      call avCT(265, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_1552/))

      allocate(vertices(41)%branchCT(0:0))
      call avCT(41, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1453/))

      allocate(vertices(267)%branchCT(0:0))
      call avCT(267, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1471/))

      allocate(vertices(1415)%branchCT(0:1))
      call avCT(1415, 0, 13, 1, 0, FFa0, (/0, 2/), (/nGC_1660, nGC_1662,       &
      nGC_1662, nGC_1664/))

      call avCT(1415, 1, 13, 1, 0, FFa0, (/2, 0/), (/nGC_1661, nGC_1663,       &
      nGC_1663, nGC_1665/))

      allocate(vertices(269)%branchCT(0:0))
      call avCT(269, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1625/))

      allocate(vertices(270)%branchCT(0:1))
      call avCT(270, 0, 31, 1, 0, FaVF0, (/0, 3/), (/nGC_1499, nGC_1501/))

      call avCT(270, 1, 31, 1, 0, FaVF0, (/2, 1/), (/nGC_1500, nGC_1502/))

      allocate(vertices(271)%branchCT(0:0))
      call avCT(271, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1480, nGC_1480,        &
      nGC_1481/))

      allocate(vertices(272)%branchCT(0:0))
      call avCT(272, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1459/))

      allocate(vertices(273)%branchCT(0:0))
      call avCT(273, 0, 8, 1, 0, VUaU0, (/0, 3/), (/nGC_1604/))

      allocate(vertices(274)%branchCT(0:0))
      call avCT(274, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1607/))

      allocate(vertices(275)%branchCT(0:0))
      call avCT(275, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1480, nGC_1481,        &
      nGC_1480/))

      allocate(vertices(276)%branchCT(0:1))
      call avCT(276, 0, 29, 1, 0, SFFa0, (/0, 3/), (/nGC_1666, nGC_1666/))

      call avCT(276, 1, 29, 1, 0, SFFa0, (/2, 1/), (/nGC_1667, nGC_1667/))

      allocate(vertices(277)%branchCT(0:0))
      call avCT(277, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1545/))

      allocate(vertices(279)%branchCT(0:0))
      call avCT(279, 0, 8, 1, 0, UUaS0, (/0, 3/), (/nGC_1355/))

      allocate(vertices(1019)%branchCT(0:0))
      call avCT(1019, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1625/))

      allocate(vertices(280)%branchCT(0:0))
      call avCT(280, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1523/))

      allocate(vertices(281)%branchCT(0:1))
      call avCT(281, 0, 30, 1, 0, FaFV0, (/0, 3/), (/nGC_1477/))

      call avCT(281, 1, 30, 1, 0, FaFV0, (/2, 1/), (/nGC_1478/))

      allocate(vertices(282)%branchCT(0:0))
      call avCT(282, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1471/))

      allocate(vertices(653)%branchCT(0:0))
      call avCT(653, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1546/))

      allocate(vertices(283)%branchCT(0:0))
      call avCT(283, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1497/))

      allocate(vertices(284)%branchCT(0:1))
      call avCT(284, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1504, nGC_1506/))

      call avCT(284, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1505, nGC_1507/))

      allocate(vertices(285)%branchCT(0:1))
      call avCT(285, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1668, nGC_1670/))

      call avCT(285, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1669, nGC_1671/))

      allocate(vertices(286)%branchCT(0:0))
      call avCT(286, 0, 8, 1, 0, UVUa0, (/0, 3/), (/nGC_1555/))

      allocate(vertices(287)%branchCT(0:0))
      call avCT(287, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1672/))

      allocate(vertices(288)%branchCT(0:0))
      call avCT(288, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1453/))

      allocate(vertices(289)%branchCT(0:0))
      call avCT(289, 0, 8, 1, 0, USUa0, (/0, 3/), (/nGC_1452/))

      allocate(vertices(290)%branchCT(0:0))
      call avCT(290, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1545/))

      allocate(vertices(291)%branchCT(0:0))
      call avCT(291, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1497/))

      allocate(vertices(1416)%branchCT(0:0))
      call avCT(1416, 0, 14, 1, 0, FaF0, (/0, 2/), (/nGC_1673, nGC_1674,       &
      nGC_1674, nGC_1675/))

      allocate(vertices(292)%branchCT(0:0))
      call avCT(292, 0, 8, 1, 0, UaUV0, (/0, 3/), (/nGC_1605/))

      allocate(vertices(501)%branchCT(0:0))
      call avCT(501, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1676/))

      allocate(vertices(294)%branchCT(0:1))
      call avCT(294, 0, 29, 1, 0, VFFa1, (/0, 3/), (/nGC_1677, nGC_1679/))

      call avCT(294, 1, 29, 1, 0, VFFa1, (/2, 1/), (/nGC_1678, nGC_1680/))

      allocate(vertices(295)%branchCT(0:0))
      call avCT(295, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1494/))

      allocate(vertices(1417)%branchCT(0:0))
      call avCT(1417, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1483/))

      allocate(vertices(497)%branchCT(0:0))
      call avCT(497, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1521, nGC_1521/))

      allocate(vertices(297)%branchCT(0:0))
      call avCT(297, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1523/))

      allocate(vertices(268)%branchCT(0:0))
      call avCT(268, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1466/))

      allocate(vertices(298)%branchCT(0:0))
      call avCT(298, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1497/))

      allocate(vertices(299)%branchCT(0:0))
      call avCT(299, 0, 8, 1, 0, FaFS1, (/0, 3/), (/nGC_1530/))

      allocate(vertices(1418)%branchCT(0:0))
      call avCT(1418, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1458/))

      allocate(vertices(300)%branchCT(0:0))
      call avCT(300, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1454/))

      allocate(vertices(302)%branchCT(0:0))
      call avCT(302, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1514/))

      allocate(vertices(303)%branchCT(0:0))
      call avCT(303, 0, 8, 1, 0, SFFa2, (/0, 3/), (/nGC_1530/))

      allocate(vertices(48)%branchCT(0:0))
      call avCT(48, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1488/))

      allocate(vertices(72)%branchCT(0:0))
      call avCT(72, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1497/))

      allocate(vertices(305)%branchCT(0:0))
      call avCT(305, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1592/))

      allocate(vertices(306)%branchCT(0:1))
      call avCT(306, 0, 28, 1, 0, VFaF1, (/0, 3/), (/nGC_1499, nGC_1501/))

      call avCT(306, 1, 28, 1, 0, VFaF1, (/2, 1/), (/nGC_1500, nGC_1502/))

      allocate(vertices(307)%branchCT(0:0))
      call avCT(307, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1497/))

      allocate(vertices(308)%branchCT(0:0))
      call avCT(308, 0, 8, 1, 0, SUaU0, (/0, 3/), (/nGC_1361/))

      allocate(vertices(309)%branchCT(0:0))
      call avCT(309, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1523/))

      allocate(vertices(1419)%branchCT(0:0))
      call avCT(1419, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1541/))

      allocate(vertices(310)%branchCT(0:0))
      call avCT(310, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1466/))

      allocate(vertices(311)%branchCT(0:1))
      call avCT(311, 0, 31, 1, 0, FaSF0, (/0, 3/), (/nGC_1460, nGC_1462/))

      call avCT(311, 1, 31, 1, 0, FaSF0, (/2, 1/), (/nGC_1461, nGC_1463/))

      allocate(vertices(312)%branchCT(0:0))
      call avCT(312, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1486/))

      allocate(vertices(313)%branchCT(0:0))
      call avCT(313, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1681, nGC_1682/))

      allocate(vertices(314)%branchCT(0:0))
      call avCT(314, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_1553, nGC_1554/))

      allocate(vertices(315)%branchCT(0:0))
      call avCT(315, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1638, nGC_1638,        &
      nGC_1639/))

      allocate(vertices(1420)%branchCT(0:0))
      call avCT(1420, 0, 8, 1, 0, FaFV0, (/0, 3/), (/nGC_1470/))

      allocate(vertices(317)%branchCT(0:0))
      call avCT(317, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1647, nGC_1648,        &
      nGC_1648/))

      allocate(vertices(318)%branchCT(0:0))
      call avCT(318, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1471/))

      allocate(vertices(319)%branchCT(0:0))
      call avCT(319, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1523/))

      allocate(vertices(320)%branchCT(0:0))
      call avCT(320, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1523/))

      allocate(vertices(321)%branchCT(0:0))
      call avCT(321, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1220/))

      allocate(vertices(322)%branchCT(0:0))
      call avCT(322, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1561/))

      allocate(vertices(323)%branchCT(0:1))
      call avCT(323, 0, 27, 1, 0, FVFa1, (/0, 3/), (/nGC_1571/))

      call avCT(323, 1, 27, 1, 0, FVFa1, (/2, 1/), (/nGC_1572/))

      allocate(vertices(324)%branchCT(0:0))
      call avCT(324, 0, 8, 1, 0, UUaV0, (/0, 3/), (/nGC_1605/))

      allocate(vertices(325)%branchCT(0:0))
      call avCT(325, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1683/))

      allocate(vertices(326)%branchCT(0:1))
      call avCT(326, 0, 30, 1, 0, FaFS0, (/0, 3/), (/nGC_1684, nGC_1684/))

      call avCT(326, 1, 30, 1, 0, FaFS0, (/2, 1/), (/nGC_1685, nGC_1685/))

      allocate(vertices(327)%branchCT(0:0))
      call avCT(327, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1453/))

      allocate(vertices(1421)%branchCT(0:1))
      call avCT(1421, 0, 13, 1, 0, FFa0, (/0, 2/), (/nGC_1565, nGC_1567,       &
      nGC_1567, nGC_1569/))

      call avCT(1421, 1, 13, 1, 0, FFa0, (/2, 0/), (/nGC_1566, nGC_1568,       &
      nGC_1568, nGC_1570/))

      allocate(vertices(328)%branchCT(0:0))
      call avCT(328, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1523/))

      allocate(vertices(329)%branchCT(0:0))
      call avCT(329, 0, 8, 1, 0, SUaU0, (/0, 3/), (/nGC_1452/))

      allocate(vertices(330)%branchCT(0:0))
      call avCT(330, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1459/))

      allocate(vertices(1422)%branchCT(0:0))
      call avCT(1422, 0, 14, 1, 0, SS0, (/0, 2/), (/nGC_1524, nGC_1525/))

      allocate(vertices(331)%branchCT(0:0))
      call avCT(331, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1468/))

      allocate(vertices(380)%branchCT(0:0))
      call avCT(380, 0, 8, 1, 0, VUaU0, (/0, 3/), (/nGC_1649/))

      allocate(vertices(333)%branchCT(0:0))
      call avCT(333, 0, 8, 1, 0, FSFa0, (/0, 3/), (/nGC_1467, nGC_1467/))

      allocate(vertices(334)%branchCT(0:0))
      call avCT(334, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1548/))

      allocate(vertices(335)%branchCT(0:0))
      call avCT(335, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1494/))

      allocate(vertices(336)%branchCT(0:0))
      call avCT(336, 0, 8, 1, 0, FaSF0, (/0, 3/), (/nGC_1549, nGC_1549/))

      allocate(vertices(337)%branchCT(0:0))
      call avCT(337, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1548/))

      allocate(vertices(999)%branchCT(0:1))
      call avCT(999, 0, 28, 1, 0, VFaF0, (/0, 3/), (/nGC_1477/))

      call avCT(999, 1, 28, 1, 0, VFaF0, (/2, 1/), (/nGC_1478/))

      allocate(vertices(339)%branchCT(0:0))
      call avCT(339, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1545/))

      allocate(vertices(340)%branchCT(0:0))
      call avCT(340, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1494/))

      allocate(vertices(341)%branchCT(0:0))
      call avCT(341, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1453/))

      allocate(vertices(342)%branchCT(0:0))
      call avCT(342, 0, 8, 1, 0, FaSF1, (/0, 3/), (/nGC_1530/))

      allocate(vertices(343)%branchCT(0:0))
      call avCT(343, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1523/))

      allocate(vertices(344)%branchCT(0:1))
      call avCT(344, 0, 27, 1, 0, FVFa1, (/0, 3/), (/nGC_1571/))

      call avCT(344, 1, 27, 1, 0, FVFa1, (/2, 1/), (/nGC_1572/))

      allocate(vertices(53)%branchCT(0:0))
      call avCT(53, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1683/))

      allocate(vertices(346)%branchCT(0:0))
      call avCT(346, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1457/))

      allocate(vertices(347)%branchCT(0:0))
      call avCT(347, 0, 8, 1, 0, SUUa0, (/0, 3/), (/nGC_1359/))

      allocate(vertices(348)%branchCT(0:0))
      call avCT(348, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1466/))

      allocate(vertices(349)%branchCT(0:1))
      call avCT(349, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1623, nGC_1621/))

      call avCT(349, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1624, nGC_1622/))

      allocate(vertices(1423)%branchCT(0:0))
      call avCT(1423, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(350)%branchCT(0:1))
      call avCT(350, 0, 27, 1, 0, FSFa0, (/0, 3/), (/nGC_1686, nGC_1686/))

      call avCT(350, 1, 27, 1, 0, FSFa0, (/2, 1/), (/nGC_1687, nGC_1687/))

      allocate(vertices(351)%branchCT(0:0))
      call avCT(351, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1545/))

      allocate(vertices(352)%branchCT(0:1))
      call avCT(352, 0, 28, 1, 0, SFaF0, (/0, 3/), (/nGC_1610, nGC_1608/))

      call avCT(352, 1, 28, 1, 0, SFaF0, (/2, 1/), (/nGC_1611, nGC_1609/))

      allocate(vertices(353)%branchCT(0:0))
      call avCT(353, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1497/))

      allocate(vertices(1192)%branchCT(0:1))
      call avCT(1192, 0, 31, 1, 0, FaSF0, (/0, 3/), (/nGC_1608, nGC_1610/))

      call avCT(1192, 1, 31, 1, 0, FaSF0, (/2, 1/), (/nGC_1609, nGC_1611/))

      allocate(vertices(355)%branchCT(0:0))
      call avCT(355, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1522/))

      allocate(vertices(1424)%branchCT(0:0))
      call avCT(1424, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1541/))

      allocate(vertices(356)%branchCT(0:0))
      call avCT(356, 0, 8, 1, 0, UUaS0, (/0, 3/), (/nGC_1359/))

      allocate(vertices(357)%branchCT(0:0))
      call avCT(357, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1545/))

      allocate(vertices(358)%branchCT(0:0))
      call avCT(358, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1494/))

      allocate(vertices(1286)%branchCT(0:0))
      call avCT(1286, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1514/))

      allocate(vertices(359)%branchCT(0:3))
      call avCT(359, 0, 25, 4, 0, FaFV1, (/1, 2/), (/nGC_1630, nGC_1632/))

      call avCT(359, 1, 25, 4, 0, FaFV1, (/3, 0/), (/nGC_1629, nGC_1631/))

      call avCT(359, 2, 26, 5, 0, FaFV1, (/1, 2/), (/nGC_1630, nGC_1632/))

      call avCT(359, 3, 26, 5, 0, FaFV1, (/3, 0/), (/nGC_1629, nGC_1631/))

      allocate(vertices(1425)%branchCT(0:0))
      call avCT(1425, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(644)%branchCT(0:0))
      call avCT(644, 0, 8, 1, 0, FaVF0, (/0, 3/), (/nGC_1688, nGC_1689/))

      allocate(vertices(360)%branchCT(0:1))
      call avCT(360, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1666, nGC_1666/))

      call avCT(360, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1667, nGC_1667/))

      allocate(vertices(362)%branchCT(0:0))
      call avCT(362, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1488/))

      allocate(vertices(801)%branchCT(0:0))
      call avCT(801, 0, 8, 1, 0, FFaS2, (/0, 3/), (/nGC_1618/))

      allocate(vertices(364)%branchCT(0:1))
      call avCT(364, 0, 30, 1, 0, FaFS0, (/0, 3/), (/nGC_1690, nGC_1690/))

      call avCT(364, 1, 30, 1, 0, FaFS0, (/2, 1/), (/nGC_1691, nGC_1691/))

      allocate(vertices(366)%branchCT(0:0))
      call avCT(366, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1220/))

      allocate(vertices(367)%branchCT(0:0))
      call avCT(367, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1454/))

      allocate(vertices(368)%branchCT(0:0))
      call avCT(368, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1497/))

      allocate(vertices(369)%branchCT(0:0))
      call avCT(369, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1514/))

      allocate(vertices(1426)%branchCT(0:0))
      call avCT(1426, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1483/))

      allocate(vertices(371)%branchCT(0:0))
      call avCT(371, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1692/))

      allocate(vertices(372)%branchCT(0:1))
      call avCT(372, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1593, nGC_1595/))

      call avCT(372, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1594, nGC_1596/))

      allocate(vertices(892)%branchCT(0:0))
      call avCT(892, 0, 8, 1, 0, UaSU0, (/0, 3/), (/nGC_1591/))

      allocate(vertices(374)%branchCT(0:1))
      call avCT(374, 0, 31, 1, 0, FaVF1, (/0, 3/), (/nGC_1477/))

      call avCT(374, 1, 31, 1, 0, FaVF1, (/2, 1/), (/nGC_1478/))

      allocate(vertices(375)%branchCT(0:0))
      call avCT(375, 0, 8, 1, 0, UaUS0, (/0, 3/), (/nGC_1356/))

      allocate(vertices(1139)%branchCT(0:0))
      call avCT(1139, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1453/))

      allocate(vertices(377)%branchCT(0:1))
      call avCT(377, 0, 31, 1, 0, FaSF0, (/0, 3/), (/nGC_1666, nGC_1666/))

      call avCT(377, 1, 31, 1, 0, FaSF0, (/2, 1/), (/nGC_1667, nGC_1667/))

      allocate(vertices(814)%branchCT(0:1))
      call avCT(814, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1656, nGC_1654/))

      call avCT(814, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1657, nGC_1655/))

      allocate(vertices(378)%branchCT(0:0))
      call avCT(378, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1471/))

      allocate(vertices(379)%branchCT(0:0))
      call avCT(379, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1676/))

      allocate(vertices(1427)%branchCT(0:0))
      call avCT(1427, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1518/))

      allocate(vertices(381)%branchCT(0:0))
      call avCT(381, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1693/))

      allocate(vertices(382)%branchCT(0:1))
      call avCT(382, 0, 27, 1, 0, FSFa0, (/0, 3/), (/nGC_1581, nGC_1583/))

      call avCT(382, 1, 27, 1, 0, FSFa0, (/2, 1/), (/nGC_1582, nGC_1584/))

      allocate(vertices(513)%branchCT(0:0))
      call avCT(513, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_1521, nGC_1521/))

      allocate(vertices(384)%branchCT(0:0))
      call avCT(384, 0, 8, 1, 0, SUUa0, (/0, 3/), (/nGC_1591/))

      allocate(vertices(385)%branchCT(0:0))
      call avCT(385, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1645/))

      allocate(vertices(386)%branchCT(0:0))
      call avCT(386, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1466/))

      allocate(vertices(387)%branchCT(0:0))
      call avCT(387, 0, 8, 1, 0, FFaS1, (/0, 3/), (/nGC_1530/))

      allocate(vertices(388)%branchCT(0:1))
      call avCT(388, 0, 27, 1, 0, FSFa0, (/0, 3/), (/nGC_1510, nGC_1512/))

      call avCT(388, 1, 27, 1, 0, FSFa0, (/2, 1/), (/nGC_1511, nGC_1513/))

      allocate(vertices(957)%branchCT(0:0))
      call avCT(957, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1455/))

      allocate(vertices(390)%branchCT(0:0))
      call avCT(390, 0, 8, 1, 0, SUaU0, (/0, 3/), (/nGC_1591/))

      allocate(vertices(392)%branchCT(0:1))
      call avCT(392, 0, 32, 2, 0, UaVU0, (/3, 0/), (/nGC_1456/))

      call avCT(392, 1, 33, 3, 0, UaVU0, (/3, 0/), (/nGC_1456/))

      allocate(vertices(393)%branchCT(0:1))
      call avCT(393, 0, 28, 1, 0, VFaF1, (/0, 3/), (/nGC_1557, nGC_1559/))

      call avCT(393, 1, 28, 1, 0, VFaF1, (/2, 1/), (/nGC_1558, nGC_1560/))

      allocate(vertices(394)%branchCT(0:0))
      call avCT(394, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1471/))

      allocate(vertices(395)%branchCT(0:0))
      call avCT(395, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_1634/))

      allocate(vertices(1428)%branchCT(0:1))
      call avCT(1428, 0, 13, 1, 0, FFa0, (/0, 2/), (/nGC_1694, nGC_1696,       &
      nGC_1696, nGC_1698/))

      call avCT(1428, 1, 13, 1, 0, FFa0, (/2, 0/), (/nGC_1695, nGC_1697,       &
      nGC_1697, nGC_1699/))

      allocate(vertices(397)%branchCT(0:1))
      call avCT(397, 0, 31, 1, 0, FaSF0, (/0, 3/), (/nGC_1581, nGC_1583/))

      call avCT(397, 1, 31, 1, 0, FaSF0, (/2, 1/), (/nGC_1582, nGC_1584/))

      allocate(vertices(398)%branchCT(0:0))
      call avCT(398, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1626/))

      allocate(vertices(212)%branchCT(0:0))
      call avCT(212, 0, 8, 1, 0, UVUa0, (/0, 3/), (/nGC_1700/))

      allocate(vertices(1429)%branchCT(0:0))
      call avCT(1429, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(400)%branchCT(0:0))
      call avCT(400, 0, 8, 1, 0, UUaV0, (/0, 3/), (/nGC_1701/))

      allocate(vertices(401)%branchCT(0:1))
      call avCT(401, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1677, nGC_1679/))

      call avCT(401, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1678, nGC_1680/))

      allocate(vertices(402)%branchCT(0:0))
      call avCT(402, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1523/))

      allocate(vertices(403)%branchCT(0:0))
      call avCT(403, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1702/))

      allocate(vertices(1064)%branchCT(0:0))
      call avCT(1064, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_1469/))

      allocate(vertices(405)%branchCT(0:0))
      call avCT(405, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1455/))

      allocate(vertices(406)%branchCT(0:0))
      call avCT(406, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1497/))

      allocate(vertices(407)%branchCT(0:0))
      call avCT(407, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1480, nGC_1481,        &
      nGC_1480/))

      allocate(vertices(408)%branchCT(0:1))
      call avCT(408, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1557, nGC_1559/))

      call avCT(408, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1558, nGC_1560/))

      allocate(vertices(409)%branchCT(0:0))
      call avCT(409, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1482/))

      allocate(vertices(1361)%branchCT(0:0))
      call avCT(1361, 0, 8, 1, 0, VUaU0, (/0, 3/), (/nGC_1605/))

      allocate(vertices(410)%branchCT(0:0))
      call avCT(410, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1692/))

      allocate(vertices(411)%branchCT(0:1))
      call avCT(411, 0, 28, 1, 0, SFaF0, (/0, 3/), (/nGC_1508, nGC_1508/))

      call avCT(411, 1, 28, 1, 0, SFaF0, (/2, 1/), (/nGC_1509, nGC_1509/))

      allocate(vertices(412)%branchCT(0:0))
      call avCT(412, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1517, nGC_1516,        &
      nGC_1517/))

      allocate(vertices(413)%branchCT(0:0))
      call avCT(413, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1468/))

      allocate(vertices(414)%branchCT(0:0))
      call avCT(414, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1454/))

      allocate(vertices(415)%branchCT(0:0))
      call avCT(415, 0, 8, 1, 0, FaFV0, (/0, 3/), (/nGC_1634/))

      allocate(vertices(416)%branchCT(0:0))
      call avCT(416, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1563/))

      allocate(vertices(417)%branchCT(0:0))
      call avCT(417, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1471/))

      allocate(vertices(418)%branchCT(0:1))
      call avCT(418, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1499, nGC_1501/))

      call avCT(418, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1500, nGC_1502/))

      allocate(vertices(1173)%branchCT(0:0))
      call avCT(1173, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_1703, nGC_1703/))

      allocate(vertices(420)%branchCT(0:0))
      call avCT(420, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1607/))

      allocate(vertices(1430)%branchCT(0:0))
      call avCT(1430, 0, 14, 1, 0, VV0, (/0, 2/), (/nGC_1704, nGC_1705,        &
      nGC_1706/))

      allocate(vertices(421)%branchCT(0:1))
      call avCT(421, 0, 31, 1, 0, FaVF1, (/0, 3/), (/nGC_1449/))

      call avCT(421, 1, 31, 1, 0, FaVF1, (/2, 1/), (/nGC_1450/))

      allocate(vertices(422)%branchCT(0:0))
      call avCT(422, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1497/))

      allocate(vertices(423)%branchCT(0:0))
      call avCT(423, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_1564/))

      allocate(vertices(424)%branchCT(0:0))
      call avCT(424, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1620, nGC_1620/))

      allocate(vertices(425)%branchCT(0:0))
      call avCT(425, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1453/))

      allocate(vertices(1220)%branchCT(0:0))
      call avCT(1220, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1523/))

      allocate(vertices(427)%branchCT(0:0))
      call avCT(427, 0, 8, 1, 0, VUaU0, (/0, 3/), (/nGC_1451/))

      allocate(vertices(428)%branchCT(0:0))
      call avCT(428, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1545/))

      allocate(vertices(429)%branchCT(0:0))
      call avCT(429, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1486/))

      allocate(vertices(430)%branchCT(0:0))
      call avCT(430, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1454/))

      allocate(vertices(431)%branchCT(0:0))
      call avCT(431, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1523/))

      allocate(vertices(432)%branchCT(0:3))
      call avCT(432, 0, 25, 4, 0, FaFV1, (/1, 2/), (/nGC_1490, nGC_1492/))

      call avCT(432, 1, 25, 4, 0, FaFV1, (/3, 0/), (/nGC_1489, nGC_1491/))

      call avCT(432, 2, 26, 5, 0, FaFV1, (/1, 2/), (/nGC_1490, nGC_1492/))

      call avCT(432, 3, 26, 5, 0, FaFV1, (/3, 0/), (/nGC_1489, nGC_1491/))

      allocate(vertices(1431)%branchCT(0:0))
      call avCT(1431, 0, 14, 1, 0, VS0, (/0, 2/), (/nGC_1707/))

      allocate(vertices(468)%branchCT(0:0))
      call avCT(468, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_1564/))

      allocate(vertices(434)%branchCT(0:1))
      call avCT(434, 0, 27, 1, 0, FVFa0, (/0, 3/), (/nGC_1677, nGC_1679/))

      call avCT(434, 1, 27, 1, 0, FVFa0, (/2, 1/), (/nGC_1678, nGC_1680/))

      allocate(vertices(435)%branchCT(0:0))
      call avCT(435, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1479/))

      allocate(vertices(1432)%branchCT(0:0))
      call avCT(1432, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1483/))

      allocate(vertices(436)%branchCT(0:0))
      call avCT(436, 0, 8, 1, 0, USUa0, (/0, 3/), (/nGC_1362/))

      allocate(vertices(437)%branchCT(0:0))
      call avCT(437, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1648, nGC_1647,        &
      nGC_1648/))

      allocate(vertices(438)%branchCT(0:0))
      call avCT(438, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1471/))

      allocate(vertices(1296)%branchCT(0:0))
      call avCT(1296, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1482/))

      allocate(vertices(440)%branchCT(0:0))
      call avCT(440, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1563/))

      allocate(vertices(441)%branchCT(0:0))
      call avCT(441, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1648, nGC_1648,        &
      nGC_1647/))

      allocate(vertices(1308)%branchCT(0:0))
      call avCT(1308, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_1619/))

      allocate(vertices(1148)%branchCT(0:3))
      call avCT(1148, 0, 17, 4, 0, VFFa1, (/3, 0/), (/nGC_1708, nGC_1710/))

      call avCT(1148, 1, 17, 4, 0, VFFa1, (/1, 2/), (/nGC_1709, nGC_1711/))

      call avCT(1148, 2, 18, 5, 0, VFFa1, (/3, 0/), (/nGC_1708, nGC_1710/))

      call avCT(1148, 3, 18, 5, 0, VFFa1, (/1, 2/), (/nGC_1709, nGC_1711/))

      allocate(vertices(443)%branchCT(0:3))
      call avCT(443, 0, 23, 4, 0, FaVF0, (/3, 0/), (/nGC_1708, nGC_1710/))

      call avCT(443, 1, 23, 4, 0, FaVF0, (/1, 2/), (/nGC_1709, nGC_1711/))

      call avCT(443, 2, 24, 5, 0, FaVF0, (/3, 0/), (/nGC_1708, nGC_1710/))

      call avCT(443, 3, 24, 5, 0, FaVF0, (/1, 2/), (/nGC_1709, nGC_1711/))

      allocate(vertices(444)%branchCT(0:0))
      call avCT(444, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1220/))

      allocate(vertices(445)%branchCT(0:0))
      call avCT(445, 0, 8, 1, 0, FSFa1, (/0, 3/), (/nGC_1606/))

      allocate(vertices(446)%branchCT(0:0))
      call avCT(446, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1514/))

      allocate(vertices(447)%branchCT(0:0))
      call avCT(447, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1645/))

      allocate(vertices(448)%branchCT(0:0))
      call avCT(448, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1453/))

      allocate(vertices(449)%branchCT(0:1))
      call avCT(449, 0, 29, 1, 0, SFFa0, (/0, 3/), (/nGC_1460, nGC_1462/))

      call avCT(449, 1, 29, 1, 0, SFFa0, (/2, 1/), (/nGC_1461, nGC_1463/))

      allocate(vertices(1433)%branchCT(0:0))
      call avCT(1433, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1529/))

      allocate(vertices(480)%branchCT(0:0))
      call avCT(480, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1497/))

      allocate(vertices(450)%branchCT(0:0))
      call avCT(450, 0, 8, 1, 0, VUUa0, (/0, 3/), (/nGC_1451/))

      allocate(vertices(1434)%branchCT(0:0))
      call avCT(1434, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_1470/))

      allocate(vertices(452)%branchCT(0:0))
      call avCT(452, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1523/))

      allocate(vertices(453)%branchCT(0:3))
      call avCT(453, 0, 11, 4, 0, FFaV0, (/3, 0/), (/nGC_1712, nGC_1714/))

      call avCT(453, 1, 11, 4, 0, FFaV0, (/1, 2/), (/nGC_1713, nGC_1715/))

      call avCT(453, 2, 12, 5, 0, FFaV0, (/3, 0/), (/nGC_1712, nGC_1714/))

      call avCT(453, 3, 12, 5, 0, FFaV0, (/1, 2/), (/nGC_1713, nGC_1715/))

      allocate(vertices(454)%branchCT(0:0))
      call avCT(454, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1514/))

      allocate(vertices(16)%branchCT(0:0))
      call avCT(16, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1548/))

      allocate(vertices(606)%branchCT(0:0))
      call avCT(606, 0, 8, 1, 0, FaFS2, (/0, 3/), (/nGC_1618/))

      allocate(vertices(26)%branchCT(0:0))
      call avCT(26, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_1467, nGC_1467/))

      allocate(vertices(457)%branchCT(0:0))
      call avCT(457, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1647, nGC_1648,        &
      nGC_1648/))

      allocate(vertices(36)%branchCT(0:0))
      call avCT(36, 0, 8, 1, 0, FaVF0, (/0, 3/), (/nGC_1553, nGC_1554/))

      allocate(vertices(459)%branchCT(0:0))
      call avCT(459, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_1716, nGC_1717/))

      allocate(vertices(460)%branchCT(0:0))
      call avCT(460, 0, 8, 1, 0, FFaV0, (/0, 3/), (/nGC_1718, nGC_1719/))

      allocate(vertices(1435)%branchCT(0:0))
      call avCT(1435, 0, 14, 1, 0, VS0, (/0, 2/), (/nGC_1720/))

      allocate(vertices(462)%branchCT(0:0))
      call avCT(462, 0, 8, 1, 0, SFFa2, (/0, 3/), (/nGC_1618/))

      allocate(vertices(463)%branchCT(0:1))
      call avCT(463, 0, 31, 1, 0, FaSF0, (/0, 3/), (/nGC_1721, nGC_1723/))

      call avCT(463, 1, 31, 1, 0, FaSF0, (/2, 1/), (/nGC_1722, nGC_1724/))

      allocate(vertices(464)%branchCT(0:0))
      call avCT(464, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1497/))

      allocate(vertices(216)%branchCT(0:0))
      call avCT(216, 0, 8, 1, 0, UUaV0, (/0, 3/), (/nGC_1531/))

      allocate(vertices(1436)%branchCT(0:0))
      call avCT(1436, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_1470/))

      allocate(vertices(465)%branchCT(0:1))
      call avCT(465, 0, 27, 1, 0, FSFa0, (/0, 3/), (/nGC_1690, nGC_1690/))

      call avCT(465, 1, 27, 1, 0, FSFa0, (/2, 1/), (/nGC_1691, nGC_1691/))

      allocate(vertices(466)%branchCT(0:0))
      call avCT(466, 0, 8, 1, 0, UaVU0, (/0, 3/), (/nGC_1649/))

      allocate(vertices(970)%branchCT(0:0))
      call avCT(970, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1466/))

      allocate(vertices(469)%branchCT(0:0))
      call avCT(469, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1692/))

      allocate(vertices(136)%branchCT(0:1))
      call avCT(136, 0, 30, 1, 0, FaFV1, (/0, 3/), (/nGC_1677, nGC_1679/))

      call avCT(136, 1, 30, 1, 0, FaFV1, (/2, 1/), (/nGC_1678, nGC_1680/))

      allocate(vertices(472)%branchCT(0:0))
      call avCT(472, 0, 8, 1, 0, UUaS0, (/0, 3/), (/nGC_1362/))

      allocate(vertices(150)%branchCT(0:0))
      call avCT(150, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1481, nGC_1480,        &
      nGC_1480/))

      allocate(vertices(474)%branchCT(0:0))
      call avCT(474, 0, 8, 1, 0, VFFa1, (/0, 3/), (/nGC_1543, nGC_1544/))

      allocate(vertices(159)%branchCT(0:0))
      call avCT(159, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1607/))

      allocate(vertices(971)%branchCT(0:0))
      call avCT(971, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1692/))

      allocate(vertices(173)%branchCT(0:0))
      call avCT(173, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1497/))

      allocate(vertices(479)%branchCT(0:1))
      call avCT(479, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1449/))

      call avCT(479, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1450/))

      allocate(vertices(1437)%branchCT(0:0))
      call avCT(1437, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1518/))

      allocate(vertices(1438)%branchCT(0:0))
      call avCT(1438, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1529/))

      allocate(vertices(1218)%branchCT(0:1))
      call avCT(1218, 0, 29, 1, 0, SFFa0, (/0, 3/), (/nGC_1640, nGC_1642/))

      call avCT(1218, 1, 29, 1, 0, SFFa0, (/2, 1/), (/nGC_1641, nGC_1643/))

      allocate(vertices(482)%branchCT(0:0))
      call avCT(482, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1455/))

      allocate(vertices(208)%branchCT(0:0))
      call avCT(208, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1645/))

      allocate(vertices(484)%branchCT(0:0))
      call avCT(484, 0, 8, 1, 0, VUaU0, (/0, 3/), (/nGC_1555/))

      allocate(vertices(485)%branchCT(0:0))
      call avCT(485, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_1681, nGC_1682/))

      allocate(vertices(486)%branchCT(0:0))
      call avCT(486, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1725/))

      allocate(vertices(224)%branchCT(0:0))
      call avCT(224, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1459/))

      allocate(vertices(488)%branchCT(0:0))
      call avCT(488, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1561/))

      allocate(vertices(489)%branchCT(0:0))
      call avCT(489, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1494/))

      allocate(vertices(1439)%branchCT(0:0))
      call avCT(1439, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1529/))

      allocate(vertices(365)%branchCT(0:1))
      call avCT(365, 0, 31, 1, 0, FaVF0, (/0, 3/), (/nGC_1473, nGC_1475/))

      call avCT(365, 1, 31, 1, 0, FaVF0, (/2, 1/), (/nGC_1474, nGC_1476/))

      allocate(vertices(1440)%branchCT(0:1))
      call avCT(1440, 0, 42, 1, 0, FaF0, (/0, 2/), (/nGC_1726, nGC_1728,       &
      nGC_1728, nGC_1730/))

      call avCT(1440, 1, 42, 1, 0, FaF0, (/2, 0/), (/nGC_1727, nGC_1729,       &
      nGC_1729, nGC_1731/))

      allocate(vertices(492)%branchCT(0:0))
      call avCT(492, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1466/))

      allocate(vertices(181)%branchCT(0:0))
      call avCT(181, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1732/))

      allocate(vertices(494)%branchCT(0:3))
      call avCT(494, 0, 21, 4, 0, FVFa0, (/3, 0/), (/nGC_1712, nGC_1714/))

      call avCT(494, 1, 21, 4, 0, FVFa0, (/1, 2/), (/nGC_1713, nGC_1715/))

      call avCT(494, 2, 22, 5, 0, FVFa0, (/3, 0/), (/nGC_1712, nGC_1714/))

      call avCT(494, 3, 22, 5, 0, FVFa0, (/1, 2/), (/nGC_1713, nGC_1715/))

      allocate(vertices(495)%branchCT(0:0))
      call avCT(495, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1626/))

      allocate(vertices(496)%branchCT(0:0))
      call avCT(496, 0, 8, 1, 0, USUa0, (/0, 3/), (/nGC_1355/))

      allocate(vertices(498)%branchCT(0:0))
      call avCT(498, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1523/))

      allocate(vertices(499)%branchCT(0:0))
      call avCT(499, 0, 8, 1, 0, SUaU0, (/0, 3/), (/nGC_1733/))

      allocate(vertices(1221)%branchCT(0:0))
      call avCT(1221, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1648, nGC_1647,       &
      nGC_1648/))

      allocate(vertices(293)%branchCT(0:0))
      call avCT(293, 0, 8, 1, 0, FaSF0, (/0, 3/), (/nGC_1681, nGC_1682/))

      allocate(vertices(503)%branchCT(0:0))
      call avCT(503, 0, 8, 1, 0, UVUa0, (/0, 3/), (/nGC_1531/))

      allocate(vertices(504)%branchCT(0:0))
      call avCT(504, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1471/))

      allocate(vertices(502)%branchCT(0:0))
      call avCT(502, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1466/))

      allocate(vertices(507)%branchCT(0:1))
      call avCT(507, 0, 28, 1, 0, VFaF1, (/0, 3/), (/nGC_1677, nGC_1679/))

      call avCT(507, 1, 28, 1, 0, VFaF1, (/2, 1/), (/nGC_1678, nGC_1680/))

      allocate(vertices(1441)%branchCT(0:0))
      call avCT(1441, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1483/))

      allocate(vertices(508)%branchCT(0:0))
      call avCT(508, 0, 8, 1, 0, UUaV0, (/0, 3/), (/nGC_1605/))

      allocate(vertices(1442)%branchCT(0:0))
      call avCT(1442, 0, 14, 1, 0, SS1, (/0, 2/), (/nGC_1551/))

      allocate(vertices(510)%branchCT(0:0))
      call avCT(510, 0, 8, 1, 0, UVUa0, (/0, 3/), (/nGC_1649/))

      allocate(vertices(511)%branchCT(0:1))
      call avCT(511, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1508, nGC_1508/))

      call avCT(511, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1509, nGC_1509/))

      allocate(vertices(512)%branchCT(0:0))
      call avCT(512, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1481, nGC_1480,        &
      nGC_1480/))

      allocate(vertices(383)%branchCT(0:0))
      call avCT(383, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1702/))

      allocate(vertices(514)%branchCT(0:0))
      call avCT(514, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1516, nGC_1517,        &
      nGC_1517/))

      allocate(vertices(515)%branchCT(0:1))
      call avCT(515, 0, 29, 1, 0, VFFa1, (/0, 3/), (/nGC_1557, nGC_1559/))

      call avCT(515, 1, 29, 1, 0, VFFa1, (/2, 1/), (/nGC_1558, nGC_1560/))

      allocate(vertices(516)%branchCT(0:0))
      call avCT(516, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1471/))

      allocate(vertices(518)%branchCT(0:0))
      call avCT(518, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1493/))

      allocate(vertices(519)%branchCT(0:0))
      call avCT(519, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1466/))

      allocate(vertices(520)%branchCT(0:1))
      call avCT(520, 0, 28, 1, 0, SFaF0, (/0, 3/), (/nGC_1623, nGC_1621/))

      call avCT(520, 1, 28, 1, 0, SFaF0, (/2, 1/), (/nGC_1624, nGC_1622/))

      allocate(vertices(206)%branchCT(0:0))
      call avCT(206, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1523/))

      allocate(vertices(521)%branchCT(0:0))
      call avCT(521, 0, 8, 1, 0, FVFa1, (/0, 3/), (/nGC_1547/))

      allocate(vertices(1443)%branchCT(0:0))
      call avCT(1443, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1734/))

      allocate(vertices(750)%branchCT(0:0))
      call avCT(750, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1648, nGC_1648,        &
      nGC_1647/))

      allocate(vertices(1444)%branchCT(0:0))
      call avCT(1444, 0, 14, 1, 0, FaF0, (/0, 2/), (/nGC_1635, nGC_1636,       &
      nGC_1636, nGC_1637/))

      allocate(vertices(523)%branchCT(0:0))
      call avCT(523, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1494/))

      allocate(vertices(979)%branchCT(0:0))
      call avCT(979, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1221/))

      allocate(vertices(525)%branchCT(0:1))
      call avCT(525, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1621, nGC_1623/))

      call avCT(525, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1622, nGC_1624/))

      allocate(vertices(316)%branchCT(0:0))
      call avCT(316, 0, 8, 1, 0, UaVU0, (/0, 3/), (/nGC_1605/))

      allocate(vertices(526)%branchCT(0:0))
      call avCT(526, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1563/))

      allocate(vertices(527)%branchCT(0:0))
      call avCT(527, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1497/))

      allocate(vertices(528)%branchCT(0:0))
      call avCT(528, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1514/))

      allocate(vertices(529)%branchCT(0:0))
      call avCT(529, 0, 8, 1, 0, UaVU0, (/0, 3/), (/nGC_1451/))

      allocate(vertices(530)%branchCT(0:0))
      call avCT(530, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1607/))

      allocate(vertices(531)%branchCT(0:1))
      call avCT(531, 0, 29, 1, 0, SFFa0, (/0, 3/), (/nGC_1654, nGC_1656/))

      call avCT(531, 1, 29, 1, 0, SFFa0, (/2, 1/), (/nGC_1655, nGC_1657/))

      allocate(vertices(532)%branchCT(0:0))
      call avCT(532, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1480, nGC_1480,        &
      nGC_1481/))

      allocate(vertices(533)%branchCT(0:0))
      call avCT(533, 0, 8, 1, 0, FaFV1, (/0, 3/), (/nGC_1718, nGC_1719/))

      allocate(vertices(1208)%branchCT(0:0))
      call avCT(1208, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1486/))

      allocate(vertices(534)%branchCT(0:0))
      call avCT(534, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1494/))

      allocate(vertices(535)%branchCT(0:0))
      call avCT(535, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1488/))

      allocate(vertices(536)%branchCT(0:0))
      call avCT(536, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1523/))

      allocate(vertices(537)%branchCT(0:0))
      call avCT(537, 0, 8, 1, 0, FaSF0, (/0, 3/), (/nGC_1487, nGC_1487/))

      allocate(vertices(87)%branchCT(0:0))
      call avCT(87, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1454/))

      allocate(vertices(539)%branchCT(0:1))
      call avCT(539, 0, 29, 1, 0, VFFa1, (/0, 3/), (/nGC_1735, nGC_1737/))

      call avCT(539, 1, 29, 1, 0, VFFa1, (/2, 1/), (/nGC_1736, nGC_1738/))

      allocate(vertices(1346)%branchCT(0:0))
      call avCT(1346, 0, 8, 1, 0, SUUa0, (/0, 3/), (/nGC_1355/))

      allocate(vertices(88)%branchCT(0:1))
      call avCT(88, 0, 30, 1, 0, FaFV1, (/0, 3/), (/nGC_1668, nGC_1670/))

      call avCT(88, 1, 30, 1, 0, FaFV1, (/2, 1/), (/nGC_1669, nGC_1671/))

      allocate(vertices(541)%branchCT(0:0))
      call avCT(541, 0, 8, 1, 0, FVFa0, (/0, 3/), (/nGC_1718, nGC_1719/))

      allocate(vertices(1096)%branchCT(0:0))
      call avCT(1096, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1455/))

      allocate(vertices(568)%branchCT(0:1))
      call avCT(568, 0, 30, 1, 0, FaFS0, (/0, 3/), (/nGC_1666, nGC_1666/))

      call avCT(568, 1, 30, 1, 0, FaFS0, (/2, 1/), (/nGC_1667, nGC_1667/))

      allocate(vertices(1228)%branchCT(0:0))
      call avCT(1228, 0, 8, 1, 0, UaUS0, (/0, 3/), (/nGC_1361/))

      allocate(vertices(545)%branchCT(0:1))
      call avCT(545, 0, 27, 1, 0, FSFa0, (/0, 3/), (/nGC_1721, nGC_1723/))

      call avCT(545, 1, 27, 1, 0, FSFa0, (/2, 1/), (/nGC_1722, nGC_1724/))

      allocate(vertices(757)%branchCT(0:0))
      call avCT(757, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1494/))

      allocate(vertices(547)%branchCT(0:0))
      call avCT(547, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1607/))

      allocate(vertices(373)%branchCT(0:0))
      call avCT(373, 0, 8, 1, 0, FaFS0, (/0, 3/), (/nGC_1620, nGC_1620/))

      allocate(vertices(549)%branchCT(0:0))
      call avCT(549, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_1620, nGC_1620/))

      allocate(vertices(550)%branchCT(0:0))
      call avCT(550, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1459/))

      allocate(vertices(551)%branchCT(0:0))
      call avCT(551, 0, 8, 1, 0, UUaV0, (/0, 3/), (/nGC_1649/))

      allocate(vertices(552)%branchCT(0:0))
      call avCT(552, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1454/))

      allocate(vertices(49)%branchCT(0:1))
      call avCT(49, 0, 29, 1, 0, SFFa0, (/0, 3/), (/nGC_1610, nGC_1608/))

      call avCT(49, 1, 29, 1, 0, SFFa0, (/2, 1/), (/nGC_1611, nGC_1609/))

      allocate(vertices(540)%branchCT(0:0))
      call avCT(540, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1523/))

      allocate(vertices(553)%branchCT(0:0))
      call avCT(553, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1455/))

      allocate(vertices(554)%branchCT(0:0))
      call avCT(554, 0, 8, 1, 0, FSFa0, (/0, 3/), (/nGC_1549, nGC_1549/))

      allocate(vertices(555)%branchCT(0:0))
      call avCT(555, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1607/))

      allocate(vertices(233)%branchCT(0:0))
      call avCT(233, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1453/))

      allocate(vertices(1445)%branchCT(0:0))
      call avCT(1445, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_1470/))

      allocate(vertices(556)%branchCT(0:1))
      call avCT(556, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1571/))

      call avCT(556, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1572/))

      allocate(vertices(557)%branchCT(0:0))
      call avCT(557, 0, 8, 1, 0, UaVU0, (/0, 3/), (/nGC_1604/))

      allocate(vertices(660)%branchCT(0:0))
      call avCT(660, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1221/))

      allocate(vertices(559)%branchCT(0:0))
      call avCT(559, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1482/))

      allocate(vertices(560)%branchCT(0:0))
      call avCT(560, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1472/))

      allocate(vertices(561)%branchCT(0:0))
      call avCT(561, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1739/))

      allocate(vertices(562)%branchCT(0:0))
      call avCT(562, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1545/))

      allocate(vertices(563)%branchCT(0:0))
      call avCT(563, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1648, nGC_1648,        &
      nGC_1647/))

      allocate(vertices(564)%branchCT(0:0))
      call avCT(564, 0, 8, 1, 0, FVFa1, (/0, 3/), (/nGC_1603/))

      allocate(vertices(565)%branchCT(0:1))
      call avCT(565, 0, 28, 1, 0, SFaF0, (/0, 3/), (/nGC_1640, nGC_1642/))

      call avCT(565, 1, 28, 1, 0, SFaF0, (/2, 1/), (/nGC_1641, nGC_1643/))

      allocate(vertices(566)%branchCT(0:0))
      call avCT(566, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1628/))

      allocate(vertices(567)%branchCT(0:0))
      call avCT(567, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1494/))

      allocate(vertices(543)%branchCT(0:3))
      call avCT(543, 0, 25, 4, 0, FaFV1, (/3, 0/), (/nGC_1712, nGC_1714/))

      call avCT(543, 1, 25, 4, 0, FaFV1, (/1, 2/), (/nGC_1713, nGC_1715/))

      call avCT(543, 2, 26, 5, 0, FaFV1, (/3, 0/), (/nGC_1712, nGC_1714/))

      call avCT(543, 3, 26, 5, 0, FaFV1, (/1, 2/), (/nGC_1713, nGC_1715/))

      allocate(vertices(1446)%branchCT(0:0))
      call avCT(1446, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1529/))

      allocate(vertices(569)%branchCT(0:0))
      call avCT(569, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1580/))

      allocate(vertices(571)%branchCT(0:0))
      call avCT(571, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1628/))

      allocate(vertices(572)%branchCT(0:0))
      call avCT(572, 0, 8, 1, 0, UaUS0, (/0, 3/), (/nGC_1591/))

      allocate(vertices(573)%branchCT(0:0))
      call avCT(573, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1545/))

      allocate(vertices(1447)%branchCT(0:0))
      call avCT(1447, 0, 14, 1, 0, FFa1, (/0, 2/), (/nGC_1740/))

      allocate(vertices(575)%branchCT(0:1))
      call avCT(575, 0, 30, 1, 0, FaFS0, (/0, 3/), (/nGC_1686, nGC_1686/))

      call avCT(575, 1, 30, 1, 0, FaFS0, (/2, 1/), (/nGC_1687, nGC_1687/))

      allocate(vertices(990)%branchCT(0:0))
      call avCT(990, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1466/))

      allocate(vertices(576)%branchCT(0:0))
      call avCT(576, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_1498/))

      allocate(vertices(577)%branchCT(0:3))
      call avCT(577, 0, 23, 4, 0, FaVF0, (/3, 0/), (/nGC_1614, nGC_1616/))

      call avCT(577, 1, 23, 4, 0, FaVF0, (/1, 2/), (/nGC_1615, nGC_1617/))

      call avCT(577, 2, 24, 5, 0, FaVF0, (/3, 0/), (/nGC_1614, nGC_1616/))

      call avCT(577, 3, 24, 5, 0, FaVF0, (/1, 2/), (/nGC_1615, nGC_1617/))

      allocate(vertices(578)%branchCT(0:0))
      call avCT(578, 0, 8, 1, 0, SUUa0, (/0, 3/), (/nGC_1452/))

      allocate(vertices(579)%branchCT(0:0))
      call avCT(579, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1471/))

      allocate(vertices(580)%branchCT(0:1))
      call avCT(580, 0, 29, 1, 0, SFFa0, (/0, 3/), (/nGC_1621, nGC_1623/))

      call avCT(580, 1, 29, 1, 0, SFFa0, (/2, 1/), (/nGC_1622, nGC_1624/))

      allocate(vertices(581)%branchCT(0:0))
      call avCT(581, 0, 8, 1, 0, VUUa0, (/0, 3/), (/nGC_1649/))

      allocate(vertices(1341)%branchCT(0:1))
      call avCT(1341, 0, 30, 1, 0, FaFS0, (/0, 3/), (/nGC_1623, nGC_1621/))

      call avCT(1341, 1, 30, 1, 0, FaFS0, (/2, 1/), (/nGC_1624, nGC_1622/))

      allocate(vertices(1448)%branchCT(0:0))
      call avCT(1448, 0, 14, 1, 0, FFa1, (/0, 2/), (/nGC_1741/))

      allocate(vertices(583)%branchCT(0:0))
      call avCT(583, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1645/))

      allocate(vertices(584)%branchCT(0:1))
      call avCT(584, 0, 28, 1, 0, SFaF0, (/0, 3/), (/nGC_1585, nGC_1585/))

      call avCT(584, 1, 28, 1, 0, SFaF0, (/2, 1/), (/nGC_1586, nGC_1586/))

      allocate(vertices(585)%branchCT(0:0))
      call avCT(585, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1646/))

      allocate(vertices(586)%branchCT(0:1))
      call avCT(586, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1608, nGC_1610/))

      call avCT(586, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1609, nGC_1611/))

      allocate(vertices(587)%branchCT(0:0))
      call avCT(587, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1471/))

      allocate(vertices(588)%branchCT(0:0))
      call avCT(588, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1725/))

      allocate(vertices(589)%branchCT(0:0))
      call avCT(589, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1648, nGC_1647,        &
      nGC_1648/))

      allocate(vertices(96)%branchCT(0:0))
      call avCT(96, 0, 8, 1, 0, UUaS0, (/0, 3/), (/nGC_1591/))

      allocate(vertices(591)%branchCT(0:0))
      call avCT(591, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_1549, nGC_1549/))

      allocate(vertices(592)%branchCT(0:0))
      call avCT(592, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_1519, nGC_1520/))

      allocate(vertices(914)%branchCT(0:0))
      call avCT(914, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1466/))

      allocate(vertices(594)%branchCT(0:0))
      call avCT(594, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1607/))

      allocate(vertices(595)%branchCT(0:0))
      call avCT(595, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1493/))

      allocate(vertices(596)%branchCT(0:0))
      call avCT(596, 0, 8, 1, 0, FaFV0, (/0, 3/), (/nGC_1603/))

      allocate(vertices(1072)%branchCT(0:0))
      call avCT(1072, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_1547/))

      allocate(vertices(933)%branchCT(0:0))
      call avCT(933, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1459/))

      allocate(vertices(600)%branchCT(0:1))
      call avCT(600, 0, 27, 1, 0, FVFa0, (/0, 3/), (/nGC_1742, nGC_1744/))

      call avCT(600, 1, 27, 1, 0, FVFa0, (/2, 1/), (/nGC_1743, nGC_1745/))

      allocate(vertices(601)%branchCT(0:0))
      call avCT(601, 0, 8, 1, 0, FaSF0, (/0, 3/), (/nGC_1467, nGC_1467/))

      allocate(vertices(1034)%branchCT(0:0))
      call avCT(1034, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1645/))

      allocate(vertices(1449)%branchCT(0:0))
      call avCT(1449, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(603)%branchCT(0:0))
      call avCT(603, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1523/))

      allocate(vertices(604)%branchCT(0:0))
      call avCT(604, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1454/))

      allocate(vertices(605)%branchCT(0:0))
      call avCT(605, 0, 8, 1, 0, UUaV0, (/0, 3/), (/nGC_1555/))

      allocate(vertices(100)%branchCT(0:0))
      call avCT(100, 0, 8, 1, 0, UaUV0, (/0, 3/), (/nGC_1605/))

      allocate(vertices(607)%branchCT(0:1))
      call avCT(607, 0, 31, 1, 0, FaSF0, (/0, 3/), (/nGC_1601, nGC_1601/))

      call avCT(607, 1, 31, 1, 0, FaSF0, (/2, 1/), (/nGC_1602, nGC_1602/))

      allocate(vertices(608)%branchCT(0:0))
      call avCT(608, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1561/))

      allocate(vertices(1450)%branchCT(0:0))
      call avCT(1450, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1734/))

      allocate(vertices(612)%branchCT(0:0))
      call avCT(612, 0, 8, 1, 0, UaUV0, (/0, 3/), (/nGC_1604/))

      allocate(vertices(1451)%branchCT(0:0))
      call avCT(1451, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1483/))

      allocate(vertices(613)%branchCT(0:0))
      call avCT(613, 0, 8, 1, 0, SUaU0, (/0, 3/), (/nGC_1362/))

      allocate(vertices(614)%branchCT(0:0))
      call avCT(614, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1488/))

      allocate(vertices(615)%branchCT(0:1))
      call avCT(615, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1652, nGC_1652/))

      call avCT(615, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1653, nGC_1653/))

      allocate(vertices(616)%branchCT(0:0))
      call avCT(616, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1467, nGC_1467/))

      allocate(vertices(617)%branchCT(0:0))
      call avCT(617, 0, 8, 1, 0, UUaS0, (/0, 3/), (/nGC_1362/))

      allocate(vertices(618)%branchCT(0:1))
      call avCT(618, 0, 29, 1, 0, VFFa1, (/0, 3/), (/nGC_1742, nGC_1744/))

      call avCT(618, 1, 29, 1, 0, VFFa1, (/2, 1/), (/nGC_1743, nGC_1745/))

      allocate(vertices(619)%branchCT(0:0))
      call avCT(619, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1480, nGC_1481,        &
      nGC_1480/))

      allocate(vertices(620)%branchCT(0:1))
      call avCT(620, 0, 31, 1, 0, FaVF0, (/0, 3/), (/nGC_1668, nGC_1670/))

      call avCT(620, 1, 31, 1, 0, FaVF0, (/2, 1/), (/nGC_1669, nGC_1671/))

      allocate(vertices(1452)%branchCT(0:0))
      call avCT(1452, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1627/))

      allocate(vertices(1453)%branchCT(0:1))
      call avCT(1453, 0, 13, 1, 0, FFa0, (/0, 2/), (/nGC_1726, nGC_1728,       &
      nGC_1728, nGC_1730/))

      call avCT(1453, 1, 13, 1, 0, FFa0, (/2, 0/), (/nGC_1727, nGC_1729,       &
      nGC_1729, nGC_1731/))

      allocate(vertices(1079)%branchCT(0:0))
      call avCT(1079, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1466/))

      allocate(vertices(623)%branchCT(0:1))
      call avCT(623, 0, 28, 1, 0, SFaF0, (/0, 3/), (/nGC_1621, nGC_1623/))

      call avCT(623, 1, 28, 1, 0, SFaF0, (/2, 1/), (/nGC_1622, nGC_1624/))

      allocate(vertices(774)%branchCT(0:0))
      call avCT(774, 0, 8, 1, 0, VFaF0, (/0, 3/), (/nGC_1603/))

      allocate(vertices(624)%branchCT(0:0))
      call avCT(624, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1563/))

      allocate(vertices(625)%branchCT(0:0))
      call avCT(625, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1561/))

      allocate(vertices(626)%branchCT(0:0))
      call avCT(626, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1454/))

      allocate(vertices(627)%branchCT(0:0))
      call avCT(627, 0, 8, 1, 0, SFaF2, (/0, 3/), (/nGC_1618/))

      allocate(vertices(628)%branchCT(0:0))
      call avCT(628, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1658/))

      allocate(vertices(1454)%branchCT(0:0))
      call avCT(1454, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1627/))

      allocate(vertices(629)%branchCT(0:0))
      call avCT(629, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1746/))

      allocate(vertices(630)%branchCT(0:1))
      call avCT(630, 0, 31, 1, 0, FaVF0, (/0, 3/), (/nGC_1742, nGC_1744/))

      call avCT(630, 1, 31, 1, 0, FaVF0, (/2, 1/), (/nGC_1743, nGC_1745/))

      allocate(vertices(1455)%branchCT(0:0))
      call avCT(1455, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1518/))

      allocate(vertices(1456)%branchCT(0:0))
      call avCT(1456, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1734/))

      allocate(vertices(632)%branchCT(0:0))
      call avCT(632, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1747/))

      allocate(vertices(633)%branchCT(0:1))
      call avCT(633, 0, 28, 1, 0, VFaF1, (/0, 3/), (/nGC_1504, nGC_1506/))

      call avCT(633, 1, 28, 1, 0, VFaF1, (/2, 1/), (/nGC_1505, nGC_1507/))

      allocate(vertices(634)%branchCT(0:0))
      call avCT(634, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_1681, nGC_1682/))

      allocate(vertices(636)%branchCT(0:0))
      call avCT(636, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_1634/))

      allocate(vertices(637)%branchCT(0:0))
      call avCT(637, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1466/))

      allocate(vertices(638)%branchCT(0:0))
      call avCT(638, 0, 8, 1, 0, VFaF0, (/0, 3/), (/nGC_1619/))

      allocate(vertices(703)%branchCT(0:0))
      call avCT(703, 0, 8, 1, 0, VUaU0, (/0, 3/), (/nGC_1649/))

      allocate(vertices(640)%branchCT(0:3))
      call avCT(640, 0, 17, 4, 0, VFFa1, (/3, 0/), (/nGC_1712, nGC_1714/))

      call avCT(640, 1, 17, 4, 0, VFFa1, (/1, 2/), (/nGC_1713, nGC_1715/))

      call avCT(640, 2, 18, 5, 0, VFFa1, (/3, 0/), (/nGC_1712, nGC_1714/))

      call avCT(640, 3, 18, 5, 0, VFFa1, (/1, 2/), (/nGC_1713, nGC_1715/))

      allocate(vertices(641)%branchCT(0:0))
      call avCT(641, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1459/))

      allocate(vertices(642)%branchCT(0:0))
      call avCT(642, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1471/))

      allocate(vertices(643)%branchCT(0:1))
      call avCT(643, 0, 28, 1, 0, SFaF0, (/0, 3/), (/nGC_1652, nGC_1652/))

      call avCT(643, 1, 28, 1, 0, SFaF0, (/2, 1/), (/nGC_1653, nGC_1653/))

      allocate(vertices(104)%branchCT(0:1))
      call avCT(104, 0, 28, 1, 0, VFaF1, (/0, 3/), (/nGC_1668, nGC_1670/))

      call avCT(104, 1, 28, 1, 0, VFaF1, (/2, 1/), (/nGC_1669, nGC_1671/))

      allocate(vertices(645)%branchCT(0:0))
      call avCT(645, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1746/))

      allocate(vertices(646)%branchCT(0:0))
      call avCT(646, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1545/))

      allocate(vertices(647)%branchCT(0:0))
      call avCT(647, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1548/))

      allocate(vertices(648)%branchCT(0:0))
      call avCT(648, 0, 8, 1, 0, SFFa1, (/0, 3/), (/nGC_1618/))

      allocate(vertices(1255)%branchCT(0:0))
      call avCT(1255, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1471/))

      allocate(vertices(649)%branchCT(0:0))
      call avCT(649, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1220/))

      allocate(vertices(1262)%branchCT(0:0))
      call avCT(1262, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1459/))

      allocate(vertices(1263)%branchCT(0:0))
      call avCT(1263, 0, 8, 1, 0, FaSF1, (/0, 3/), (/nGC_1606/))

      allocate(vertices(652)%branchCT(0:0))
      call avCT(652, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1514/))

      allocate(vertices(1273)%branchCT(0:0))
      call avCT(1273, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_1552/))

      allocate(vertices(654)%branchCT(0:0))
      call avCT(654, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1683/))

      allocate(vertices(655)%branchCT(0:1))
      call avCT(655, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1585, nGC_1585/))

      call avCT(655, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1586, nGC_1586/))

      allocate(vertices(1115)%branchCT(0:0))
      call avCT(1115, 0, 8, 1, 0, FVFa0, (/0, 3/), (/nGC_1543, nGC_1544/))

      allocate(vertices(656)%branchCT(0:0))
      call avCT(656, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1497/))

      allocate(vertices(657)%branchCT(0:0))
      call avCT(657, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1479/))

      allocate(vertices(658)%branchCT(0:0))
      call avCT(658, 0, 8, 1, 0, FaFS0, (/0, 3/), (/nGC_1681, nGC_1682/))

      allocate(vertices(659)%branchCT(0:1))
      call avCT(659, 0, 31, 1, 0, FaVF1, (/0, 3/), (/nGC_1477/))

      call avCT(659, 1, 31, 1, 0, FaVF1, (/2, 1/), (/nGC_1478/))

      allocate(vertices(558)%branchCT(0:0))
      call avCT(558, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1454/))

      allocate(vertices(661)%branchCT(0:1))
      call avCT(661, 0, 30, 1, 0, FaFS0, (/0, 3/), (/nGC_1652, nGC_1652/))

      call avCT(661, 1, 30, 1, 0, FaFS0, (/2, 1/), (/nGC_1653, nGC_1653/))

      allocate(vertices(662)%branchCT(0:0))
      call avCT(662, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1523/))

      allocate(vertices(663)%branchCT(0:0))
      call avCT(663, 0, 8, 1, 0, FaFS2, (/0, 3/), (/nGC_1530/))

      allocate(vertices(107)%branchCT(0:0))
      call avCT(107, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1220/))

      allocate(vertices(665)%branchCT(0:0))
      call avCT(665, 0, 8, 1, 0, UaVU0, (/0, 3/), (/nGC_1451/))

      allocate(vertices(666)%branchCT(0:3))
      call avCT(666, 0, 21, 4, 0, FVFa0, (/1, 2/), (/nGC_1630, nGC_1632/))

      call avCT(666, 1, 21, 4, 0, FVFa0, (/3, 0/), (/nGC_1629, nGC_1631/))

      call avCT(666, 2, 22, 5, 0, FVFa0, (/1, 2/), (/nGC_1630, nGC_1632/))

      call avCT(666, 3, 22, 5, 0, FVFa0, (/3, 0/), (/nGC_1629, nGC_1631/))

      allocate(vertices(962)%branchCT(0:0))
      call avCT(962, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1607/))

      allocate(vertices(667)%branchCT(0:0))
      call avCT(667, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1220/))

      allocate(vertices(668)%branchCT(0:0))
      call avCT(668, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1482/))

      allocate(vertices(669)%branchCT(0:0))
      call avCT(669, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1471/))

      allocate(vertices(670)%branchCT(0:0))
      call avCT(670, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1748/))

      allocate(vertices(671)%branchCT(0:0))
      call avCT(671, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1545/))

      allocate(vertices(1457)%branchCT(0:0))
      call avCT(1457, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1749/))

      allocate(vertices(673)%branchCT(0:0))
      call avCT(673, 0, 8, 1, 0, UVUa0, (/0, 3/), (/nGC_1451/))

      allocate(vertices(13)%branchCT(0:0))
      call avCT(13, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1517, nGC_1516, nGC_1517&
      /))

      allocate(vertices(1458)%branchCT(0:0))
      call avCT(1458, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1750/))

      allocate(vertices(1258)%branchCT(0:0))
      call avCT(1258, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1545/))

      allocate(vertices(28)%branchCT(0:0))
      call avCT(28, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1493/))

      allocate(vertices(677)%branchCT(0:1))
      call avCT(677, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1654, nGC_1656/))

      call avCT(677, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1655, nGC_1657/))

      allocate(vertices(678)%branchCT(0:0))
      call avCT(678, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1514/))

      allocate(vertices(493)%branchCT(0:1))
      call avCT(493, 0, 31, 1, 0, FaVF0, (/0, 3/), (/nGC_1533, nGC_1535/))

      call avCT(493, 1, 31, 1, 0, FaVF0, (/2, 1/), (/nGC_1534, nGC_1536/))

      allocate(vertices(1459)%branchCT(0:1))
      call avCT(1459, 0, 42, 1, 0, FaF0, (/0, 2/), (/nGC_1694, nGC_1696,       &
      nGC_1696, nGC_1698/))

      call avCT(1459, 1, 42, 1, 0, FaF0, (/2, 0/), (/nGC_1695, nGC_1697,       &
      nGC_1697, nGC_1699/))

      allocate(vertices(20)%branchCT(0:0))
      call avCT(20, 0, 8, 1, 0, VFaF0, (/0, 3/), (/nGC_1564/))

      allocate(vertices(680)%branchCT(0:0))
      call avCT(680, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1455/))

      allocate(vertices(681)%branchCT(0:1))
      call avCT(681, 0, 30, 1, 0, FaFS0, (/0, 3/), (/nGC_1656, nGC_1654/))

      call avCT(681, 1, 30, 1, 0, FaFS0, (/2, 1/), (/nGC_1657, nGC_1655/))

      allocate(vertices(682)%branchCT(0:0))
      call avCT(682, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1676/))

      allocate(vertices(683)%branchCT(0:0))
      call avCT(683, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1645/))

      allocate(vertices(500)%branchCT(0:0))
      call avCT(500, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1471/))

      allocate(vertices(684)%branchCT(0:0))
      call avCT(684, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1482/))

      allocate(vertices(685)%branchCT(0:0))
      call avCT(685, 0, 8, 1, 0, SUUa0, (/0, 3/), (/nGC_1355/))

      allocate(vertices(94)%branchCT(0:0))
      call avCT(94, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1647, nGC_1648, nGC_1648&
      /))

      allocate(vertices(687)%branchCT(0:0))
      call avCT(687, 0, 8, 1, 0, UaSU0, (/0, 3/), (/nGC_1359/))

      allocate(vertices(203)%branchCT(0:0))
      call avCT(203, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_1542/))

      allocate(vertices(688)%branchCT(0:0))
      call avCT(688, 0, 8, 1, 0, FaSF2, (/0, 3/), (/nGC_1618/))

      allocate(vertices(689)%branchCT(0:0))
      call avCT(689, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1488/))

      allocate(vertices(690)%branchCT(0:1))
      call avCT(690, 0, 27, 1, 0, FSFa0, (/0, 3/), (/nGC_1621, nGC_1623/))

      call avCT(690, 1, 27, 1, 0, FSFa0, (/2, 1/), (/nGC_1622, nGC_1624/))

      allocate(vertices(123)%branchCT(0:0))
      call avCT(123, 0, 8, 1, 0, FSFa1, (/0, 3/), (/nGC_1618/))

      allocate(vertices(691)%branchCT(0:0))
      call avCT(691, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1545/))

      allocate(vertices(692)%branchCT(0:1))
      call avCT(692, 0, 29, 1, 0, SFFa0, (/0, 3/), (/nGC_1581, nGC_1583/))

      call avCT(692, 1, 29, 1, 0, SFFa0, (/2, 1/), (/nGC_1582, nGC_1584/))

      allocate(vertices(693)%branchCT(0:0))
      call avCT(693, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1639, nGC_1638,        &
      nGC_1638/))

      allocate(vertices(694)%branchCT(0:1))
      call avCT(694, 0, 30, 1, 0, FaFS0, (/0, 3/), (/nGC_1585, nGC_1585/))

      call avCT(694, 1, 30, 1, 0, FaFS0, (/2, 1/), (/nGC_1586, nGC_1586/))

      allocate(vertices(695)%branchCT(0:0))
      call avCT(695, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1466/))

      allocate(vertices(1460)%branchCT(0:0))
      call avCT(1460, 0, 8, 1, 0, FaFV0, (/0, 3/), (/nGC_1470/))

      allocate(vertices(697)%branchCT(0:0))
      call avCT(697, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1523/))

      allocate(vertices(698)%branchCT(0:0))
      call avCT(698, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1522/))

      allocate(vertices(700)%branchCT(0:0))
      call avCT(700, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1514/))

      allocate(vertices(193)%branchCT(0:0))
      call avCT(193, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1486/))

      allocate(vertices(702)%branchCT(0:0))
      call avCT(702, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1497/))

      allocate(vertices(396)%branchCT(0:0))
      call avCT(396, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1751/))

      allocate(vertices(704)%branchCT(0:0))
      call avCT(704, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_1688, nGC_1689/))

      allocate(vertices(705)%branchCT(0:0))
      call avCT(705, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1752/))

      allocate(vertices(1461)%branchCT(0:0))
      call avCT(1461, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1541/))

      allocate(vertices(707)%branchCT(0:0))
      call avCT(707, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1545/))

      allocate(vertices(708)%branchCT(0:0))
      call avCT(708, 0, 8, 1, 0, UaSU0, (/0, 3/), (/nGC_1753/))

      allocate(vertices(709)%branchCT(0:0))
      call avCT(709, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1497/))

      allocate(vertices(710)%branchCT(0:0))
      call avCT(710, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1550/))

      allocate(vertices(114)%branchCT(0:3))
      call avCT(114, 0, 17, 4, 0, VFFa1, (/3, 0/), (/nGC_1614, nGC_1616/))

      call avCT(114, 1, 17, 4, 0, VFFa1, (/1, 2/), (/nGC_1615, nGC_1617/))

      call avCT(114, 2, 18, 5, 0, VFFa1, (/3, 0/), (/nGC_1614, nGC_1616/))

      call avCT(114, 3, 18, 5, 0, VFFa1, (/1, 2/), (/nGC_1615, nGC_1617/))

      allocate(vertices(243)%branchCT(0:0))
      call avCT(243, 0, 8, 1, 0, UVUa0, (/0, 3/), (/nGC_1604/))

      allocate(vertices(713)%branchCT(0:0))
      call avCT(713, 0, 8, 1, 0, UaUS0, (/0, 3/), (/nGC_1452/))

      allocate(vertices(1462)%branchCT(0:0))
      call avCT(1462, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1541/))

      allocate(vertices(715)%branchCT(0:0))
      call avCT(715, 0, 8, 1, 0, FVFa1, (/0, 3/), (/nGC_1469/))

      allocate(vertices(716)%branchCT(0:0))
      call avCT(716, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1516, nGC_1517,        &
      nGC_1517/))

      allocate(vertices(717)%branchCT(0:1))
      call avCT(717, 0, 27, 1, 0, FVFa0, (/0, 3/), (/nGC_1668, nGC_1670/))

      call avCT(717, 1, 27, 1, 0, FVFa0, (/2, 1/), (/nGC_1669, nGC_1671/))

      allocate(vertices(718)%branchCT(0:0))
      call avCT(718, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1523/))

      allocate(vertices(296)%branchCT(0:1))
      call avCT(296, 0, 30, 1, 0, FaFV1, (/0, 3/), (/nGC_1533, nGC_1535/))

      call avCT(296, 1, 30, 1, 0, FaFV1, (/2, 1/), (/nGC_1534, nGC_1536/))

      allocate(vertices(582)%branchCT(0:0))
      call avCT(582, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1607/))

      allocate(vertices(720)%branchCT(0:0))
      call avCT(720, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1645/))

      allocate(vertices(721)%branchCT(0:0))
      call avCT(721, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1754/))

      allocate(vertices(66)%branchCT(0:0))
      call avCT(66, 0, 8, 1, 0, FaFV0, (/0, 3/), (/nGC_1564/))

      allocate(vertices(722)%branchCT(0:0))
      call avCT(722, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1497/))

      allocate(vertices(723)%branchCT(0:0))
      call avCT(723, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_1564/))

      allocate(vertices(1463)%branchCT(0:0))
      call avCT(1463, 0, 14, 1, 0, VS0, (/0, 2/), (/nGC_1755/))

      allocate(vertices(1464)%branchCT(0:0))
      call avCT(1464, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1541/))

      allocate(vertices(724)%branchCT(0:0))
      call avCT(724, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_1603/))

      allocate(vertices(725)%branchCT(0:1))
      call avCT(725, 0, 27, 1, 0, FSFa0, (/0, 3/), (/nGC_1464, nGC_1464/))

      call avCT(725, 1, 27, 1, 0, FSFa0, (/2, 1/), (/nGC_1465, nGC_1465/))

      allocate(vertices(726)%branchCT(0:0))
      call avCT(726, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1545/))

      allocate(vertices(727)%branchCT(0:0))
      call avCT(727, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1751/))

      allocate(vertices(361)%branchCT(0:0))
      call avCT(361, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1454/))

      allocate(vertices(730)%branchCT(0:0))
      call avCT(730, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1592/))

      allocate(vertices(731)%branchCT(0:0))
      call avCT(731, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1481, nGC_1480,        &
      nGC_1480/))

      allocate(vertices(732)%branchCT(0:0))
      call avCT(732, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1517, nGC_1517,        &
      nGC_1516/))

      allocate(vertices(733)%branchCT(0:0))
      call avCT(733, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1561/))

      allocate(vertices(956)%branchCT(0:1))
      call avCT(956, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1721, nGC_1723/))

      call avCT(956, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1722, nGC_1724/))

      allocate(vertices(699)%branchCT(0:0))
      call avCT(699, 0, 8, 1, 0, USUa0, (/0, 3/), (/nGC_1361/))

      allocate(vertices(1465)%branchCT(0:0))
      call avCT(1465, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(735)%branchCT(0:1))
      call avCT(735, 0, 29, 1, 0, VFFa0, (/0, 3/), (/nGC_1571/))

      call avCT(735, 1, 29, 1, 0, VFFa0, (/2, 1/), (/nGC_1572/))

      allocate(vertices(736)%branchCT(0:0))
      call avCT(736, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1457/))

      allocate(vertices(737)%branchCT(0:0))
      call avCT(737, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1523/))

      allocate(vertices(738)%branchCT(0:0))
      call avCT(738, 0, 8, 1, 0, FaFV0, (/0, 3/), (/nGC_1603/))

      allocate(vertices(739)%branchCT(0:0))
      call avCT(739, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1739/))

      allocate(vertices(740)%branchCT(0:0))
      call avCT(740, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1545/))

      allocate(vertices(741)%branchCT(0:0))
      call avCT(741, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1563/))

      allocate(vertices(742)%branchCT(0:0))
      call avCT(742, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1545/))

      allocate(vertices(743)%branchCT(0:0))
      call avCT(743, 0, 8, 1, 0, UaUS0, (/0, 3/), (/nGC_1753/))

      allocate(vertices(744)%branchCT(0:0))
      call avCT(744, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1471/))

      allocate(vertices(746)%branchCT(0:0))
      call avCT(746, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1563/))

      allocate(vertices(748)%branchCT(0:0))
      call avCT(748, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1497/))

      allocate(vertices(749)%branchCT(0:0))
      call avCT(749, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1523/))

      allocate(vertices(522)%branchCT(0:0))
      call avCT(522, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1466/))

      allocate(vertices(751)%branchCT(0:1))
      call avCT(751, 0, 31, 1, 0, FaVF0, (/0, 3/), (/nGC_1756, nGC_1758/))

      call avCT(751, 1, 31, 1, 0, FaVF0, (/2, 1/), (/nGC_1757, nGC_1759/))

      allocate(vertices(752)%branchCT(0:0))
      call avCT(752, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1646/))

      allocate(vertices(753)%branchCT(0:0))
      call avCT(753, 0, 8, 1, 0, USUa0, (/0, 3/), (/nGC_1733/))

      allocate(vertices(1023)%branchCT(0:0))
      call avCT(1023, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1646/))

      allocate(vertices(755)%branchCT(0:0))
      call avCT(755, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1645/))

      allocate(vertices(756)%branchCT(0:0))
      call avCT(756, 0, 8, 1, 0, FVFa1, (/0, 3/), (/nGC_1619/))

      allocate(vertices(546)%branchCT(0:0))
      call avCT(546, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1514/))

      allocate(vertices(548)%branchCT(0:0))
      call avCT(548, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1732/))

      allocate(vertices(759)%branchCT(0:0))
      call avCT(759, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1488/))

      allocate(vertices(760)%branchCT(0:1))
      call avCT(760, 0, 27, 1, 0, FVFa1, (/0, 3/), (/nGC_1477/))

      call avCT(760, 1, 27, 1, 0, FVFa1, (/2, 1/), (/nGC_1478/))

      allocate(vertices(761)%branchCT(0:1))
      call avCT(761, 0, 29, 1, 0, VFFa1, (/0, 3/), (/nGC_1499, nGC_1501/))

      call avCT(761, 1, 29, 1, 0, VFFa1, (/2, 1/), (/nGC_1500, nGC_1502/))

      allocate(vertices(762)%branchCT(0:0))
      call avCT(762, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1466/))

      allocate(vertices(763)%branchCT(0:0))
      call avCT(763, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1454/))

      allocate(vertices(1328)%branchCT(0:0))
      call avCT(1328, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1556/))

      allocate(vertices(597)%branchCT(0:0))
      call avCT(597, 0, 8, 1, 0, UVUa0, (/0, 3/), (/nGC_1701/))

      allocate(vertices(766)%branchCT(0:0))
      call avCT(766, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1545/))

      allocate(vertices(767)%branchCT(0:3))
      call avCT(767, 0, 19, 4, 0, VFaF1, (/3, 0/), (/nGC_1712, nGC_1714/))

      call avCT(767, 1, 19, 4, 0, VFaF1, (/1, 2/), (/nGC_1713, nGC_1715/))

      call avCT(767, 2, 20, 5, 0, VFaF1, (/3, 0/), (/nGC_1712, nGC_1714/))

      call avCT(767, 3, 20, 5, 0, VFaF1, (/1, 2/), (/nGC_1713, nGC_1715/))

      allocate(vertices(1466)%branchCT(0:0))
      call avCT(1466, 0, 14, 1, 0, VV0, (/0, 2/), (/nGC_1760, nGC_1761,        &
      nGC_1762/))

      allocate(vertices(769)%branchCT(0:0))
      call avCT(769, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1523/))

      allocate(vertices(770)%branchCT(0:1))
      call avCT(770, 0, 31, 1, 0, FaSF0, (/0, 3/), (/nGC_1610, nGC_1608/))

      call avCT(770, 1, 31, 1, 0, FaSF0, (/2, 1/), (/nGC_1611, nGC_1609/))

      allocate(vertices(772)%branchCT(0:0))
      call avCT(772, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1466/))

      allocate(vertices(773)%branchCT(0:0))
      call avCT(773, 0, 8, 1, 0, VUUa0, (/0, 3/), (/nGC_1700/))

      allocate(vertices(631)%branchCT(0:0))
      call avCT(631, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1482/))

      allocate(vertices(775)%branchCT(0:0))
      call avCT(775, 0, 8, 1, 0, FaFV0, (/0, 3/), (/nGC_1634/))

      allocate(vertices(574)%branchCT(0:0))
      call avCT(574, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1471/))

      allocate(vertices(1467)%branchCT(0:0))
      call avCT(1467, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1529/))

      allocate(vertices(777)%branchCT(0:0))
      call avCT(777, 0, 8, 1, 0, FaFS1, (/0, 3/), (/nGC_1606/))

      allocate(vertices(778)%branchCT(0:0))
      call avCT(778, 0, 8, 1, 0, UaVU0, (/0, 3/), (/nGC_1649/))

      allocate(vertices(1468)%branchCT(0:0))
      call avCT(1468, 0, 14, 1, 0, SS0, (/0, 2/), (/nGC_1763, nGC_1764/))

      allocate(vertices(780)%branchCT(0:0))
      call avCT(780, 0, 8, 1, 0, UaVU0, (/0, 3/), (/nGC_1700/))

      allocate(vertices(1469)%branchCT(0:0))
      call avCT(1469, 0, 14, 1, 0, VV0, (/0, 2/), (/nGC_1760, nGC_1761,        &
      nGC_1762/))

      allocate(vertices(781)%branchCT(0:1))
      call avCT(781, 0, 31, 1, 0, FaSF0, (/0, 3/), (/nGC_1585, nGC_1585/))

      call avCT(781, 1, 31, 1, 0, FaSF0, (/2, 1/), (/nGC_1586, nGC_1586/))

      allocate(vertices(782)%branchCT(0:0))
      call avCT(782, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1747/))

      allocate(vertices(1470)%branchCT(0:0))
      call avCT(1470, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1483/))

      allocate(vertices(1471)%branchCT(0:0))
      call avCT(1471, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1483/))

      allocate(vertices(783)%branchCT(0:1))
      call avCT(783, 0, 29, 1, 0, SFFa0, (/0, 3/), (/nGC_1684, nGC_1684/))

      call avCT(783, 1, 29, 1, 0, SFFa0, (/2, 1/), (/nGC_1685, nGC_1685/))

      allocate(vertices(784)%branchCT(0:1))
      call avCT(784, 0, 30, 1, 0, FaFS0, (/0, 3/), (/nGC_1654, nGC_1656/))

      call avCT(784, 1, 30, 1, 0, FaFS0, (/2, 1/), (/nGC_1655, nGC_1657/))

      allocate(vertices(785)%branchCT(0:0))
      call avCT(785, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1545/))

      allocate(vertices(786)%branchCT(0:0))
      call avCT(786, 0, 8, 1, 0, UaUS0, (/0, 3/), (/nGC_1733/))

      allocate(vertices(787)%branchCT(0:1))
      call avCT(787, 0, 27, 1, 0, FVFa0, (/0, 3/), (/nGC_1557, nGC_1559/))

      call avCT(787, 1, 27, 1, 0, FVFa0, (/2, 1/), (/nGC_1558, nGC_1560/))

      allocate(vertices(788)%branchCT(0:0))
      call avCT(788, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1548/))

      allocate(vertices(789)%branchCT(0:0))
      call avCT(789, 0, 8, 1, 0, UaSU0, (/0, 3/), (/nGC_1356/))

      allocate(vertices(180)%branchCT(0:0))
      call avCT(180, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1453/))

      allocate(vertices(790)%branchCT(0:0))
      call avCT(790, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1658/))

      allocate(vertices(791)%branchCT(0:0))
      call avCT(791, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1545/))

      allocate(vertices(792)%branchCT(0:0))
      call avCT(792, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1466/))

      allocate(vertices(793)%branchCT(0:0))
      call avCT(793, 0, 8, 1, 0, FaSF1, (/0, 3/), (/nGC_1618/))

      allocate(vertices(1166)%branchCT(0:3))
      call avCT(1166, 0, 19, 4, 0, VFaF1, (/3, 0/), (/nGC_1614, nGC_1616/))

      call avCT(1166, 1, 19, 4, 0, VFaF1, (/1, 2/), (/nGC_1615, nGC_1617/))

      call avCT(1166, 2, 20, 5, 0, VFaF1, (/3, 0/), (/nGC_1614, nGC_1616/))

      call avCT(1166, 3, 20, 5, 0, VFaF1, (/1, 2/), (/nGC_1615, nGC_1617/))

      allocate(vertices(795)%branchCT(0:1))
      call avCT(795, 0, 30, 1, 0, FaFV0, (/0, 3/), (/nGC_1449/))

      call avCT(795, 1, 30, 1, 0, FaFV0, (/2, 1/), (/nGC_1450/))

      allocate(vertices(1472)%branchCT(0:0))
      call avCT(1472, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1483/))

      allocate(vertices(1110)%branchCT(0:0))
      call avCT(1110, 0, 8, 1, 0, SUUa0, (/0, 3/), (/nGC_1753/))

      allocate(vertices(1085)%branchCT(0:0))
      call avCT(1085, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1471/))

      allocate(vertices(796)%branchCT(0:0))
      call avCT(796, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1549, nGC_1549/))

      allocate(vertices(797)%branchCT(0:0))
      call avCT(797, 0, 8, 1, 0, FaFS0, (/0, 3/), (/nGC_1703, nGC_1703/))

      allocate(vertices(798)%branchCT(0:0))
      call avCT(798, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1453/))

      allocate(vertices(799)%branchCT(0:0))
      call avCT(799, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_1547/))

      allocate(vertices(800)%branchCT(0:0))
      call avCT(800, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1523/))

      allocate(vertices(363)%branchCT(0:0))
      call avCT(363, 0, 8, 1, 0, VUUa0, (/0, 3/), (/nGC_1555/))

      allocate(vertices(1473)%branchCT(0:0))
      call avCT(1473, 0, 14, 1, 0, FFa0, (/0, 2/), (/nGC_1765, nGC_1766,       &
      nGC_1766, nGC_1767/))

      allocate(vertices(802)%branchCT(0:0))
      call avCT(802, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1455/))

      allocate(vertices(803)%branchCT(0:0))
      call avCT(803, 0, 8, 1, 0, UaSU0, (/0, 3/), (/nGC_1359/))

      allocate(vertices(1083)%branchCT(0:0))
      call avCT(1083, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1486/))

      allocate(vertices(804)%branchCT(0:0))
      call avCT(804, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1471/))

      allocate(vertices(805)%branchCT(0:1))
      call avCT(805, 0, 31, 1, 0, FaSF0, (/0, 3/), (/nGC_1656, nGC_1654/))

      call avCT(805, 1, 31, 1, 0, FaSF0, (/2, 1/), (/nGC_1657, nGC_1655/))

      allocate(vertices(806)%branchCT(0:0))
      call avCT(806, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1497/))

      allocate(vertices(807)%branchCT(0:0))
      call avCT(807, 0, 8, 1, 0, FVFa1, (/0, 3/), (/nGC_1634/))

      allocate(vertices(808)%branchCT(0:0))
      call avCT(808, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1454/))

      allocate(vertices(809)%branchCT(0:0))
      call avCT(809, 0, 8, 1, 0, FaFS2, (/0, 3/), (/nGC_1606/))

      allocate(vertices(810)%branchCT(0:1))
      call avCT(810, 0, 29, 1, 0, SFFa0, (/0, 3/), (/nGC_1601, nGC_1601/))

      call avCT(810, 1, 29, 1, 0, SFFa0, (/2, 1/), (/nGC_1602, nGC_1602/))

      allocate(vertices(811)%branchCT(0:0))
      call avCT(811, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1493/))

      allocate(vertices(812)%branchCT(0:0))
      call avCT(812, 0, 8, 1, 0, UaUV0, (/0, 3/), (/nGC_1700/))

      allocate(vertices(813)%branchCT(0:0))
      call avCT(813, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1693/))

      allocate(vertices(461)%branchCT(0:1))
      call avCT(461, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1684, nGC_1684/))

      call avCT(461, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1685, nGC_1685/))

      allocate(vertices(815)%branchCT(0:1))
      call avCT(815, 0, 31, 1, 0, FaSF0, (/0, 3/), (/nGC_1508, nGC_1508/))

      call avCT(815, 1, 31, 1, 0, FaSF0, (/2, 1/), (/nGC_1509, nGC_1509/))

      allocate(vertices(1035)%branchCT(0:1))
      call avCT(1035, 0, 31, 1, 0, FaSF0, (/0, 3/), (/nGC_1510, nGC_1512/))

      call avCT(1035, 1, 31, 1, 0, FaSF0, (/2, 1/), (/nGC_1511, nGC_1513/))

      allocate(vertices(817)%branchCT(0:0))
      call avCT(817, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1556/))

      allocate(vertices(818)%branchCT(0:0))
      call avCT(818, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1455/))

      allocate(vertices(1474)%branchCT(0:0))
      call avCT(1474, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_1470/))

      allocate(vertices(819)%branchCT(0:0))
      call avCT(819, 0, 8, 1, 0, SUUa0, (/0, 3/), (/nGC_1359/))

      allocate(vertices(820)%branchCT(0:0))
      call avCT(820, 0, 8, 1, 0, FSFa2, (/0, 3/), (/nGC_1606/))

      allocate(vertices(821)%branchCT(0:0))
      call avCT(821, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1453/))

      allocate(vertices(822)%branchCT(0:0))
      call avCT(822, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1480, nGC_1481,        &
      nGC_1480/))

      allocate(vertices(1475)%branchCT(0:0))
      call avCT(1475, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1518/))

      allocate(vertices(714)%branchCT(0:0))
      call avCT(714, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1548/))

      allocate(vertices(824)%branchCT(0:0))
      call avCT(824, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1471/))

      allocate(vertices(825)%branchCT(0:0))
      call avCT(825, 0, 8, 1, 0, UaUS0, (/0, 3/), (/nGC_1355/))

      allocate(vertices(826)%branchCT(0:0))
      call avCT(826, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_1634/))

      allocate(vertices(827)%branchCT(0:0))
      call avCT(827, 0, 8, 1, 0, UVUa0, (/0, 3/), (/nGC_1451/))

      allocate(vertices(828)%branchCT(0:0))
      call avCT(828, 0, 8, 1, 0, VFaF0, (/0, 3/), (/nGC_1603/))

      allocate(vertices(1476)%branchCT(0:0))
      call avCT(1476, 0, 14, 1, 0, VS0, (/0, 2/), (/nGC_1768/))

      allocate(vertices(829)%branchCT(0:0))
      call avCT(829, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1497/))

      allocate(vertices(955)%branchCT(0:0))
      call avCT(955, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1468/))

      allocate(vertices(831)%branchCT(0:0))
      call avCT(831, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1221/))

      allocate(vertices(832)%branchCT(0:3))
      call avCT(832, 0, 21, 4, 0, FVFa0, (/1, 2/), (/nGC_1490, nGC_1492/))

      call avCT(832, 1, 21, 4, 0, FVFa0, (/3, 0/), (/nGC_1489, nGC_1491/))

      call avCT(832, 2, 22, 5, 0, FVFa0, (/1, 2/), (/nGC_1490, nGC_1492/))

      call avCT(832, 3, 22, 5, 0, FVFa0, (/3, 0/), (/nGC_1489, nGC_1491/))

      allocate(vertices(833)%branchCT(0:0))
      call avCT(833, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1453/))

      allocate(vertices(834)%branchCT(0:3))
      call avCT(834, 0, 21, 4, 0, FVFa0, (/3, 0/), (/nGC_1614, nGC_1616/))

      call avCT(834, 1, 21, 4, 0, FVFa0, (/1, 2/), (/nGC_1615, nGC_1617/))

      call avCT(834, 2, 22, 5, 0, FVFa0, (/3, 0/), (/nGC_1614, nGC_1616/))

      call avCT(834, 3, 22, 5, 0, FVFa0, (/1, 2/), (/nGC_1615, nGC_1617/))

      allocate(vertices(1477)%branchCT(0:0))
      call avCT(1477, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1518/))

      allocate(vertices(836)%branchCT(0:0))
      call avCT(836, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1493/))

      allocate(vertices(837)%branchCT(0:0))
      call avCT(837, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1493/))

      allocate(vertices(838)%branchCT(0:0))
      call avCT(838, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1480, nGC_1481,        &
      nGC_1480/))

      allocate(vertices(839)%branchCT(0:0))
      call avCT(839, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1494/))

      allocate(vertices(840)%branchCT(0:1))
      call avCT(840, 0, 31, 1, 0, FaVF1, (/0, 3/), (/nGC_1449/))

      call avCT(840, 1, 31, 1, 0, FaVF1, (/2, 1/), (/nGC_1450/))

      allocate(vertices(841)%branchCT(0:0))
      call avCT(841, 0, 8, 1, 0, UVUa0, (/0, 3/), (/nGC_1649/))

      allocate(vertices(842)%branchCT(0:0))
      call avCT(842, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1517, nGC_1517,        &
      nGC_1516/))

      allocate(vertices(843)%branchCT(0:1))
      call avCT(843, 0, 31, 1, 0, FaVF0, (/0, 3/), (/nGC_1504, nGC_1506/))

      call avCT(843, 1, 31, 1, 0, FaVF0, (/2, 1/), (/nGC_1505, nGC_1507/))

      allocate(vertices(948)%branchCT(0:0))
      call avCT(948, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1453/))

      allocate(vertices(844)%branchCT(0:0))
      call avCT(844, 0, 8, 1, 0, FSFa2, (/0, 3/), (/nGC_1530/))

      allocate(vertices(133)%branchCT(0:0))
      call avCT(133, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1454/))

      allocate(vertices(846)%branchCT(0:1))
      call avCT(846, 0, 28, 1, 0, VFaF1, (/0, 3/), (/nGC_1473, nGC_1475/))

      call avCT(846, 1, 28, 1, 0, VFaF1, (/2, 1/), (/nGC_1474, nGC_1476/))

      allocate(vertices(847)%branchCT(0:0))
      call avCT(847, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1454/))

      allocate(vertices(848)%branchCT(0:0))
      call avCT(848, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_1619/))

      allocate(vertices(849)%branchCT(0:0))
      call avCT(849, 0, 8, 1, 0, UaSU0, (/0, 3/), (/nGC_1362/))

      allocate(vertices(370)%branchCT(0:0))
      call avCT(370, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1466/))

      allocate(vertices(850)%branchCT(0:0))
      call avCT(850, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1219/))

      allocate(vertices(851)%branchCT(0:0))
      call avCT(851, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1528/))

      allocate(vertices(852)%branchCT(0:0))
      call avCT(852, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1497/))

      allocate(vertices(1102)%branchCT(0:0))
      call avCT(1102, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1455/))

      allocate(vertices(853)%branchCT(0:0))
      call avCT(853, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1523/))

      allocate(vertices(854)%branchCT(0:1))
      call avCT(854, 0, 29, 1, 0, SFFa0, (/0, 3/), (/nGC_1526, nGC_1526/))

      call avCT(854, 1, 29, 1, 0, SFFa0, (/2, 1/), (/nGC_1527, nGC_1527/))

      allocate(vertices(794)%branchCT(0:0))
      call avCT(794, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1739/))

      allocate(vertices(856)%branchCT(0:1))
      call avCT(856, 0, 30, 1, 0, FaFS0, (/0, 3/), (/nGC_1581, nGC_1583/))

      call avCT(856, 1, 30, 1, 0, FaFS0, (/2, 1/), (/nGC_1582, nGC_1584/))

      allocate(vertices(857)%branchCT(0:0))
      call avCT(857, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1454/))

      allocate(vertices(858)%branchCT(0:0))
      call avCT(858, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1563/))

      allocate(vertices(860)%branchCT(0:1))
      call avCT(860, 0, 29, 1, 0, VFFa0, (/0, 3/), (/nGC_1449/))

      call avCT(860, 1, 29, 1, 0, VFFa0, (/2, 1/), (/nGC_1450/))

      allocate(vertices(861)%branchCT(0:1))
      call avCT(861, 0, 27, 1, 0, FVFa0, (/0, 3/), (/nGC_1593, nGC_1595/))

      call avCT(861, 1, 27, 1, 0, FVFa0, (/2, 1/), (/nGC_1594, nGC_1596/))

      allocate(vertices(862)%branchCT(0:0))
      call avCT(862, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1607/))

      allocate(vertices(863)%branchCT(0:1))
      call avCT(863, 0, 29, 1, 0, SFFa0, (/0, 3/), (/nGC_1652, nGC_1652/))

      call avCT(863, 1, 29, 1, 0, SFFa0, (/2, 1/), (/nGC_1653, nGC_1653/))

      allocate(vertices(864)%branchCT(0:0))
      call avCT(864, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1455/))

      allocate(vertices(866)%branchCT(0:0))
      call avCT(866, 0, 8, 1, 0, FaFV0, (/0, 3/), (/nGC_1469/))

      allocate(vertices(867)%branchCT(0:1))
      call avCT(867, 0, 27, 1, 0, FSFa0, (/0, 3/), (/nGC_1484, nGC_1484/))

      call avCT(867, 1, 27, 1, 0, FSFa0, (/2, 1/), (/nGC_1485, nGC_1485/))

      allocate(vertices(868)%branchCT(0:0))
      call avCT(868, 0, 8, 1, 0, FFaS2, (/0, 3/), (/nGC_1606/))

      allocate(vertices(869)%branchCT(0:1))
      call avCT(869, 0, 31, 1, 0, FaSF0, (/0, 3/), (/nGC_1690, nGC_1690/))

      call avCT(869, 1, 31, 1, 0, FaSF0, (/2, 1/), (/nGC_1691, nGC_1691/))

      allocate(vertices(870)%branchCT(0:0))
      call avCT(870, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1658/))

      allocate(vertices(871)%branchCT(0:0))
      call avCT(871, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1514/))

      allocate(vertices(872)%branchCT(0:0))
      call avCT(872, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1607/))

      allocate(vertices(873)%branchCT(0:1))
      call avCT(873, 0, 29, 1, 0, VFFa0, (/0, 3/), (/nGC_1571/))

      call avCT(873, 1, 29, 1, 0, VFFa0, (/2, 1/), (/nGC_1572/))

      allocate(vertices(874)%branchCT(0:0))
      call avCT(874, 0, 8, 1, 0, UaVU0, (/0, 3/), (/nGC_1531/))

      allocate(vertices(139)%branchCT(0:0))
      call avCT(139, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1471/))

      allocate(vertices(876)%branchCT(0:1))
      call avCT(876, 0, 29, 1, 0, SFFa0, (/0, 3/), (/nGC_1508, nGC_1508/))

      call avCT(876, 1, 29, 1, 0, SFFa0, (/2, 1/), (/nGC_1509, nGC_1509/))

      allocate(vertices(1225)%branchCT(0:0))
      call avCT(1225, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1523/))

      allocate(vertices(878)%branchCT(0:0))
      call avCT(878, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_1487, nGC_1487/))

      allocate(vertices(1478)%branchCT(0:0))
      call avCT(1478, 0, 14, 1, 0, FFa1, (/0, 2/), (/nGC_1659/))

      allocate(vertices(879)%branchCT(0:0))
      call avCT(879, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1580/))

      allocate(vertices(881)%branchCT(0:0))
      call avCT(881, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1471/))

      allocate(vertices(1264)%branchCT(0:0))
      call avCT(1264, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1455/))

      allocate(vertices(1479)%branchCT(0:0))
      call avCT(1479, 0, 14, 1, 0, SS1, (/0, 2/), (/nGC_1551/))

      allocate(vertices(883)%branchCT(0:1))
      call avCT(883, 0, 30, 1, 0, FaFS0, (/0, 3/), (/nGC_1610, nGC_1608/))

      call avCT(883, 1, 30, 1, 0, FaFS0, (/2, 1/), (/nGC_1611, nGC_1609/))

      allocate(vertices(884)%branchCT(0:3))
      call avCT(884, 0, 21, 4, 0, FVFa0, (/3, 0/), (/nGC_1708, nGC_1710/))

      call avCT(884, 1, 21, 4, 0, FVFa0, (/1, 2/), (/nGC_1709, nGC_1711/))

      call avCT(884, 2, 22, 5, 0, FVFa0, (/3, 0/), (/nGC_1708, nGC_1710/))

      call avCT(884, 3, 22, 5, 0, FVFa0, (/1, 2/), (/nGC_1709, nGC_1711/))

      allocate(vertices(885)%branchCT(0:0))
      call avCT(885, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1480, nGC_1480,        &
      nGC_1481/))

      allocate(vertices(886)%branchCT(0:0))
      call avCT(886, 0, 8, 1, 0, SUUa0, (/0, 3/), (/nGC_1591/))

      allocate(vertices(887)%branchCT(0:1))
      call avCT(887, 0, 30, 1, 0, FaFV1, (/0, 3/), (/nGC_1756, nGC_1758/))

      call avCT(887, 1, 30, 1, 0, FaFV1, (/2, 1/), (/nGC_1757, nGC_1759/))

      allocate(vertices(143)%branchCT(0:0))
      call avCT(143, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1561/))

      allocate(vertices(889)%branchCT(0:0))
      call avCT(889, 0, 8, 1, 0, FVFa1, (/0, 3/), (/nGC_1564/))

      allocate(vertices(891)%branchCT(0:0))
      call avCT(891, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1494/))

      allocate(vertices(771)%branchCT(0:0))
      call avCT(771, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_1769/))

      allocate(vertices(893)%branchCT(0:1))
      call avCT(893, 0, 28, 1, 0, VFaF1, (/0, 3/), (/nGC_1533, nGC_1535/))

      call avCT(893, 1, 28, 1, 0, VFaF1, (/2, 1/), (/nGC_1534, nGC_1536/))

      allocate(vertices(894)%branchCT(0:1))
      call avCT(894, 0, 29, 1, 0, VFFa1, (/0, 3/), (/nGC_1756, nGC_1758/))

      call avCT(894, 1, 29, 1, 0, VFFa1, (/2, 1/), (/nGC_1757, nGC_1759/))

      allocate(vertices(895)%branchCT(0:0))
      call avCT(895, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_1603/))

      allocate(vertices(896)%branchCT(0:0))
      call avCT(896, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1545/))

      allocate(vertices(376)%branchCT(0:0))
      call avCT(376, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1453/))

      allocate(vertices(899)%branchCT(0:0))
      call avCT(899, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1545/))

      allocate(vertices(900)%branchCT(0:1))
      call avCT(900, 0, 29, 1, 0, SFFa0, (/0, 3/), (/nGC_1686, nGC_1686/))

      call avCT(900, 1, 29, 1, 0, SFFa0, (/2, 1/), (/nGC_1687, nGC_1687/))

      allocate(vertices(1480)%branchCT(0:0))
      call avCT(1480, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1483/))

      allocate(vertices(901)%branchCT(0:0))
      call avCT(901, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1459/))

      allocate(vertices(902)%branchCT(0:0))
      call avCT(902, 0, 8, 1, 0, VUUa0, (/0, 3/), (/nGC_1701/))

      allocate(vertices(903)%branchCT(0:1))
      call avCT(903, 0, 29, 1, 0, VFFa1, (/0, 3/), (/nGC_1593, nGC_1595/))

      call avCT(903, 1, 29, 1, 0, VFFa1, (/2, 1/), (/nGC_1594, nGC_1596/))

      allocate(vertices(145)%branchCT(0:0))
      call avCT(145, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1453/))

      allocate(vertices(905)%branchCT(0:0))
      call avCT(905, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1455/))

      allocate(vertices(906)%branchCT(0:0))
      call avCT(906, 0, 8, 1, 0, SFFa1, (/0, 3/), (/nGC_1606/))

      allocate(vertices(907)%branchCT(0:3))
      call avCT(907, 0, 23, 4, 0, FaVF0, (/3, 0/), (/nGC_1712, nGC_1714/))

      call avCT(907, 1, 23, 4, 0, FaVF0, (/1, 2/), (/nGC_1713, nGC_1715/))

      call avCT(907, 2, 24, 5, 0, FaVF0, (/3, 0/), (/nGC_1712, nGC_1714/))

      call avCT(907, 3, 24, 5, 0, FaVF0, (/1, 2/), (/nGC_1713, nGC_1715/))

      allocate(vertices(602)%branchCT(0:0))
      call avCT(602, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1497/))

      allocate(vertices(908)%branchCT(0:0))
      call avCT(908, 0, 8, 1, 0, UaVU0, (/0, 3/), (/nGC_1701/))

      allocate(vertices(1249)%branchCT(0:0))
      call avCT(1249, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1514/))

      allocate(vertices(909)%branchCT(0:0))
      call avCT(909, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1221/))

      allocate(vertices(916)%branchCT(0:1))
      call avCT(916, 0, 31, 1, 0, FaSF0, (/0, 3/), (/nGC_1686, nGC_1686/))

      call avCT(916, 1, 31, 1, 0, FaSF0, (/2, 1/), (/nGC_1687, nGC_1687/))

      allocate(vertices(1481)%branchCT(0:0))
      call avCT(1481, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(910)%branchCT(0:0))
      call avCT(910, 0, 8, 1, 0, FaVF0, (/0, 3/), (/nGC_1718, nGC_1719/))

      allocate(vertices(911)%branchCT(0:0))
      call avCT(911, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1522/))

      allocate(vertices(912)%branchCT(0:0))
      call avCT(912, 0, 8, 1, 0, FFaS2, (/0, 3/), (/nGC_1530/))

      allocate(vertices(913)%branchCT(0:0))
      call avCT(913, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1523/))

      allocate(vertices(776)%branchCT(0:0))
      call avCT(776, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1453/))

      allocate(vertices(593)%branchCT(0:0))
      call avCT(593, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1221/))

      allocate(vertices(768)%branchCT(0:0))
      call avCT(768, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1648, nGC_1647,        &
      nGC_1648/))

      allocate(vertices(1482)%branchCT(0:1))
      call avCT(1482, 0, 13, 1, 0, FFa0, (/0, 2/), (/nGC_1770, nGC_1772,       &
      nGC_1772, nGC_1774/))

      call avCT(1482, 1, 13, 1, 0, FFa0, (/2, 0/), (/nGC_1771, nGC_1773,       &
      nGC_1773, nGC_1775/))

      allocate(vertices(915)%branchCT(0:0))
      call avCT(915, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1454/))

      allocate(vertices(611)%branchCT(0:0))
      call avCT(611, 0, 8, 1, 0, UaSU0, (/0, 3/), (/nGC_1733/))

      allocate(vertices(917)%branchCT(0:0))
      call avCT(917, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1497/))

      allocate(vertices(918)%branchCT(0:0))
      call avCT(918, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1607/))

      allocate(vertices(142)%branchCT(0:0))
      call avCT(142, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1514/))

      allocate(vertices(920)%branchCT(0:1))
      call avCT(920, 0, 31, 1, 0, FaVF1, (/0, 3/), (/nGC_1571/))

      call avCT(920, 1, 31, 1, 0, FaVF1, (/2, 1/), (/nGC_1572/))

    end subroutine fill_vertices_mdl3
end module vertices_info3
